=== release 0.3.17 ===

2009-05-19  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmcontext.c:
	* plugins/opengles/pgmglescontext.c:
	Remove the immediate source right after quitting the mainloop.
	Nullify io channels after clean up.
	Unref main loop and main context once render thread has been joined.

2009-05-19  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmglimage.c:
	* plugins/opengl/pgmgltext.c:
	* plugins/opengl/pgmtexture.c:
	* plugins/opengl/pgmtexture.h:
	* plugins/opengles/pgmglesimage.c:
	* plugins/opengles/pgmglestext.c:
	* plugins/opengles/pgmglestexture.c:
	* plugins/opengles/pgmglestexture.h:
	Copy the buffer of an image set from buffer when giving it to the
	texture.

	fixes #192

2009-05-18  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmviewport.c:
	Lock the canvas while getting copies of each layer, then unlock and
	process picking on each copy.

2009-05-18  Loïc Molinari  <loic@fluendo.com>

	Patch by: Romain Tartière <romain@blogreen.org>

	* tests/check/plugins/common/pgmimage.c:
	Fixed segfault by allocating memory dynamically for the buffer.

	fixes #310

2009-05-15  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmglxbackend.c:
	Fixed GCC 4.4 implicit casts warnings.

	fixes #321

2009-05-15  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmcontext.c:
	* plugins/opengl/pgmglviewport.c:
	* plugins/opengles/pgmglescontext.c:
	* plugins/opengles/pgmglesviewport.c:
	Copy the layers for the regeneration and update layout passes that can
	then be done without locking the layers.

2009-05-14  Sergi Alvarez  <salvarez@fluendo.com>

	* plugins/opengles/pgmglesimage.c:
	Apply a patch from Loïc that fixes a glitch while drawing borders in
	OpenGL-ES

2009-05-14  Guillaume Emont  <guillaume@fluendo.com>

	* pgm/pgmimagesink.c:
	Learned to code: now use break in switch/case, so that the button can
	be sent in the navigation event.

2009-05-13  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmviewport.c:
	* plugins/opengl/pgmcontext.c:
	* plugins/opengles/pgmglescontext.c:
	Use g_io_channel_win32_new_fd instead of g_io_channel_unix_new on
	Windows.

	fixes #320

2009-05-12  Loïc Molinari  <loic@fluendo.com>

	* examples/video.c:
	* pgm/pgmimage.c:
	Don't emit the 'changed' signal when setting a GstBuffer if the drawable
	is not visible.

2009-05-11  Sergi Alvarez  <salvarez@fluendo.com>

	* plugins/opengles/pgmgleseglbackend.c:
	Fix missing set_size -> set_screen_resolution

2009-05-11  Sergi Alvarez  <salvarez@fluendo.com>

	* plugins/opengles/pgmgleseglbackend.c:
	* plugins/opengles/pgmglesviewport.c:
	Fix warnings appeared after removing the gst log calls.
	Use set_screen_resolution instead of set_size (Needs to be fixed).

2009-05-11  Sergi Alvarez  <salvarez@fluendo.com>

	* plugins/opengles/pgmgleseglbackend.c:
	Implement set_size() for the EGL backend to adapt planes and
	surfaces for the a video resolution.

2009-05-11  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmglviewport.c:
	* plugins/opengl/pgmglxbackend.c:
	* plugins/opengles/pgmglesdrawable.c:
	* plugins/opengles/pgmgleseglbackend.c:
	* plugins/opengles/pgmglesviewport.c:
	* plugins/opengles/pgmglesxbackend.c:
	Removed useless and relatively CPU consuming logging calls.

	* plugins/opengl/pgmglimage.c:
	* plugins/opengl/pgmgltext.c:
	* plugins/opengles/pgmglesimage.c:
	* plugins/opengles/pgmglestext.c:
	Removed useless lock.

	* plugins/opengl/pgmgldrawable.c:
	Unrolled and optimized loop to set the drawable position.

	* examples/text.c:
	Added a fullscreen switch key press handler.

	* pgm/pgmimagesink.c:
	* plugins/opengl/pgmwglbackend.c:
	Removed useless pgm_lrintf.

2009-05-07  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmgltext.c:
	* plugins/opengles/pgmglestext.c:
	Use CLAMP_TO_BORDER wrappings for the texts in the OpenGL plugin.
	Hard code mask values in the defines without using bit shift operators.

2009-05-07  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmimagesink.c:
	* pgm/pgmviewport.c:
	* plugins/opengl/pgmgltext.c:
	* plugins/opengl/pgmwglbackend.c:
	* plugins/opengles/pgmglestext.c:
	Use pgm_lrintf wherever it makes sense.
	Surround macro definition with parentheses.

2009-05-07  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmgltext.c:
	* plugins/opengles/pgmglestext.c:
	Revert to nearest filtering for the texts.

2009-05-07  Loïc Molinari  <loic@fluendo.com>

	* configure.ac:
	* pgm/Makefile.am:
	* pgm/pgmcommon.c:
	* pgm/pgmcommon.h:
	* docs/pgm/pigment-sections.txt:
	* docs/pgm/tmpl/pgmcommon.sgml:
	* win32/common/libpigment.def:
	* win32/vs9/libpigment-0.3.vcproj:
	Added the pgm_lrintf function with a specific assembly implementation
	for MSVC.

	* pgm/pgmdrawable.c:
	* plugins/opengl/pgmgltext.c:
	* plugins/opengles/pgmglestext.c:
	Fixed rounding issues regarding grid alignment.

	* examples/text.c:
	Regenerate texts when a configure event is received.

2009-05-06  Sergi Alvarez  <salvarez@fluendo.com>

	* plugins/opengles/pgmglescontext.c:
	* plugins/opengles/pgmgleseglbackend.c:
	Fix build for EGL backend

2009-05-06  Sergi Alvarez  <salvarez@fluendo.com>

	* plugins/opengles/pgmgleseglbackend.c:
	Powerup HDMI if not already done while initializing GDL
	for the EGL backend.

2009-05-06  Loïc Molinari  <loic@fluendo.com>

	Patch by: Brian Cameron <brian.cameron@sun.com>

	* plugins/boilerplate/pgmbpviewport.c:
	* plugins/opengl/pgmaglbackend.c:
	* plugins/opengl/pgmbackend.c:
	* plugins/opengl/pgmgldrawable.c:
	* plugins/opengl/pgmglimage.c:
	* plugins/opengl/pgmgltext.c:
	* plugins/opengl/pgmglviewport.c:
	* plugins/opengl/pgmglxbackend.c:
	* plugins/opengl/pgmwglbackend.c:
	* plugins/opengles/pgmglesbackend.c:
	* plugins/opengles/pgmglesdrawable.c:
	* plugins/opengles/pgmgleseglbackend.c:
	* plugins/opengles/pgmglesimage.c:
	* plugins/opengles/pgmglestext.c:
	* plugins/opengles/pgmglesviewport.c:
	* plugins/opengles/pgmglesxbackend.c:
	Fixed implicit casts generating warnings on Sun Studio.
	Removed useless ";" at the end of macros.

	fixes #319

2009-05-05  Loïc Molinari  <loic@fluendo.com>

	Patch by: Arnout Vandecappelle <arnout@mind.be>

	* pgm/pgmimagesink.c:
	Fixed memory leak.

	fixes #318

2009-05-05  Loïc Molinari  <loic@fluendo.com>

	Patch by: Arnout Vandecappelle <arnout@mind.be>

	* plugins/opengl/pgmgldrawable.c:
	* plugins/opengles/pgmglesdrawable.c:
	Fixed memory leak.

	fixes #317

2009-05-05  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmcontext.c:
	* plugins/opengl/pgmcontext.h:
	* plugins/opengl/pgmglviewport.c:
	* plugins/opengles/pgmglescontext.c:
	* plugins/opengles/pgmglescontext.h:
	* plugins/opengles/pgmglesviewport.c:
	Updated viewport disposition procedure.
	Don't join the rendering threads anymore.
	Allowed viewport disposition in the 'update-pass' signal handlers.

2009-05-04  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmdrawable.c:
	Fixed z reordering regression introduced while adding grid alignment
	facilities.

	* plugins/opengl/pgmcontext.c:
	* plugins/opengles/pgmglescontext.c:
	Don't use near and far variable names since these are reserved keywords
	on Windows.

	* win32/common/libpigment.def:
	Added missing symbol for Windows build.

2009-05-04  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmcontext.c:
	* plugins/opengl/pgmgldrawable.c:
	* plugins/opengl/pgmglimage.c:
	* plugins/opengl/pgmgltext.c:
	* plugins/opengl/pgmglviewport.c:
	* plugins/opengles/pgmglescontext.c:
	* plugins/opengles/pgmglesdrawable.c:
	* plugins/opengles/pgmglesimage.c:
	* plugins/opengles/pgmglestext.c:
	* plugins/opengles/pgmglesviewport.c:
	Fixed crashes at viewport clean up.
	Copy the drawables in the layers taking a ref on each of them before
	the rendering, then unref each drawable once rendered. The layer lock
	is only taken for the copies which can potentially increase performance.
	Removed useless logs generated while rendering a frame.

	fixes #304, #305, #308

2009-05-04  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmcanvas.c:
	* pgm/pgmcanvas.h:
	* pgm/pgmcommon.h:
	* pgm/pgmdrawable.c:
	* pgm/pgmdrawable.h:
	* pgm/pgmimage.c:
	* pgm/pgmimage.h:
	* pgm/pgmimagesink.c:
	* pgm/pgmtext.c:
	* pgm/pgmtext.h:
	* pgm/pgmviewport.c:
	* pgm/pgmviewport.h:
	* pgm/pgmviewportfactory.h:
	* plugins/opengl/pgmgldrawable.c:
	* plugins/opengl/pgmgldrawable.h:
	* plugins/opengl/pgmglimage.c:
	* plugins/opengl/pgmglimage.h:
	* plugins/opengl/pgmgltext.c:
	* plugins/opengl/pgmgltext.h:
	* plugins/opengl/pgmglviewport.c:
	* plugins/opengl/pgmglviewport.h:
	* plugins/opengles/pgmglesdrawable.c:
	* plugins/opengles/pgmglesdrawable.h:
	* plugins/opengles/pgmglesimage.c:
	* plugins/opengles/pgmglesimage.h:
	* plugins/opengles/pgmglestext.h:
	* plugins/opengles/pgmglesviewport.c:
	* plugins/opengles/pgmglesviewport.h:
	* docs/pgm/pigment-sections.txt:
	* docs/pgm/tmpl/pgmdrawable.sgml:
	* docs/pgm/tmpl/pgmimage.sgml:
	* docs/pgm/tmpl/pgmtext.sgml:
	* docs/pgm/tmpl/pgmviewport.sgml:
	Globally reduced sizes of structures.
	Removed the 16 bytes padding kept for ABI stability at the end of each
	GObject structures, keeping ABI stability is not possible with
	pigment-0.3 anyway.
	Reordered fields within structures sorting them by decreasing sizes,
	it allows to reduce structure sizes since on most platforms N-byte
	fields are N-byte aligned by compilers.

2009-05-04  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmdrawable.c:
	Don't lock the canvas while accessing the offset ratios, it's safe and
	removes potential deadlocks.

2009-04-30  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmcontext.c:
	* plugins/opengl/pgmgltext.c:
	* plugins/opengles/pgmglescontext.c:
	* plugins/opengles/pgmglescontext.h:
	* plugins/opengles/pgmglesdrawable.c:
	* plugins/opengles/pgmglesimage.c:
	* plugins/opengles/pgmglestext.c:
	* plugins/opengles/pgmglesviewport.c:
	* plugins/opengles/pgmglesviewport.h:
	Synced the OpenGL ES plugin with the OpenGL one.

2009-04-30  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmgltext.c:
	* plugins/opengles/pgmglestext.c:
	Don't save/restore cairo states to restore a simple translation matrix,
	simply revert the translation.

2009-04-27  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmcanvas.c:
	* pgm/pgmcanvas.h:
	* pgm/pgmdrawable.c:
	* pgm/pgmdrawable.h:
	* pgm/pgmtext.c:
	* pgm/pgmviewport.c:
	Added support to retrieve the offset between two pixels in canvas
	coordinates.
	Added support to align drawable vertices to pixel boundaries.
	Added pgm_canvas_get_pixel_offsets symbol.
	Added PgmCanvas::pixel_offset_x and PgmCanvas::pixel_offset_y struct
	fields.
	Added pgm_drawable_set_grid_aligned and pgm_drawable_get_grid_aligned
	symbols.
	Added PgmDrawable::orig_x, PgmDrawable::orig_y, PgmDrawable::orig_width,
	PgmDrawable::orig_height and PgmDrawable::grid_aligned struct fields.

	* plugins/opengl/pgmgltext.c:
	* plugins/opengl/pgmglviewport.c:
	* plugins/opengl/pgmglviewport.h:
	Removed support to align vertices to pixel boundaries since it's now
	done in the core.

	* docs/pgm/pigment-sections.txt:
	* docs/pgm/tmpl/pgmcanvas.sgml:
	* docs/pgm/tmpl/pgmdrawable.sgml:
	Added doc for the new symbols.

	* win32/common/libpigment.def:
	Added new symbols in the Win32 import file.

	fixes #315

2009-04-27  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmviewport.c:
	* pgm/pgmviewport.h:
	Added pgm_viewport_get_max_texture_size symbol.

	* plugins/opengl/pgmglviewport.c:
	* plugins/opengles/pgmglesviewport.c:
	Added support for the new symbol.

	* docs/pgm/pigment-sections.txt:
	* docs/pgm/tmpl/pgmviewport.sgml:
	Added doc for the new symbol.

	* win32/common/libpigment.def:
	Added symbol in the Win32 import file.

	fixes #314

2009-04-17  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmwglbackend.c:
	Handle the maximized state as the restored state.

	fixes #312

2009-04-16  Sergi Alvarez  <salvarez@fluendo.com>

	* configure.ac:
	Do not pass configure if not plugins can be built. There is no sense to
	build pigment without backends.

2009-04-15  Sergi Alvarez  <salvarez@fluendo.com>

	* plugins/opengles/pgmglescontext.c:
	* plugins/opengles/pgmgleseglbackend.c:
	Fix build for OpenGL-ES egl-gdl backend

2009-04-15  Sergi Alvarez  <salvarez@fluendo.com>

	* configure.ac:
	Fix missing 'test' in conditional

2009-04-15  Sergi Alvarez  <salvarez@fluendo.com>

	* plugins/opengles/pgmglesbackend.c:
	* plugins/opengles/pgmglesbackend.h:
	Added generic trampoline for set_screen_resolution and
	PGM_GLES_CONTEX_RESOLUTION

	* plugins/opengles/pgmglescontext.c:
	* plugins/opengles/pgmglescontext.h:
	Remove DEFAULT_GDL_WIDTH and DEFAULT_GDL_HEIGHT
	Added do_resolution callback binded to the PGM_GLES_CONTEXT_RESOLUTION
	task

	* plugins/opengles/pgmgleseglbackend.c:
	* plugins/opengles/pgmgleseglbackend.h:
	Add singleton for SIGINT handling to avoid dupped destruction.
	Added get/set tvmode helper functions for the GDL backend
	Hook set_screen_resolution glesbackend callback for this task

	* plugins/opengles/pgmglestext.c:
	Fix build of previous commit

	* plugins/opengles/pgmglesviewport.c:
	Added gles_viewport_set_screen_resolution callback to push a
	PGM_GLES_CONTEXT_RESOLUTION immediate task

2009-04-15  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmdrawable.h:
	* pgm/pgmtext.c:
	* pgm/pgmtext.h:
	Added pgm_text_set/get_color, pgm_text_set/get_cast_shadow,
	pgm_text_set/get_shadow_position, pgm_text_set/get_shadow_color symbols.
	Added PgmTextShadowPosition enum.
	Added PgmDrawableProperty::PGM_TEXT_COLOR,
	PgmDrawableProperty::PGM_TEXT_CAST_SHADOW,
	PgmDrawableProperty::PGM_TEXT_SHADOW_POSITION,
	PgmDrawableProperty::PGM_TEXT_SHADOW_COLOR enum fields.

	* plugins/opengl/pgmgltext.c:
	* plugins/opengl/pgmgltext.h:
	* plugins/opengl/pgmglviewport.c:
	* plugins/opengl/pgmglviewport.h:
	* plugins/opengles/pgmglestext.c:
	* plugins/opengles/pgmglestext.h:
	* plugins/opengles/pgmglesviewport.c:
	* plugins/opengles/pgmglesviewport.h:
	Added support for the new symbols in the plugins.

	* docs/pgm/pigment-sections.txt:
	* docs/pgm/tmpl/pgmdrawable.sgml:
	* docs/pgm/tmpl/pgmtext.sgml:
	Added docs for the new symbols.

	* examples/text.c:
	Added example for the new symbols.

	* win32/common/libpigment.def:
	Added the new symbols to the Win32 def file.

	fixes #311

=== release 0.3.16 ===

2009-04-02  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmprogram.c:
	Removed workaround for the DRI R300 driver, it's now fixed in Mesa and
	widely shipped in distributions released in the last 18 months.

2009-04-02  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmglxbackend.c:
	Fixed attempt to remove a source in the render context using
	g_source_remove which is removing sources from the main
	context. Even the right removal code is causing in some conditions
	deadlocks when used from Python. Then, the source removal is
	simply not done now, it's not a problem since the mainloop is
	stopped and the thread joined right after.

	fixes #309

2009-04-02  Sergi Alvarez  <salvarez@fluendo.com>

	* plugins/opengles/pgmglestext.c:
	Fix 0-dimension pixmaps loading with OpenGL-ES plugin
	Added some asserts at different points to avoid some NULL pointers

2009-04-01  Sergi Alvarez  <salvarez@fluendo.com>

	* cl.pl:
	Fix warning issue for perl 5.10 avoid uninitialized variables

	* plugins/opengles/pgmglestext.c:
	Fix build of OpenGL-ES plugin by removing an unused local variable.

2009-03-31  Loïc Molinari  <loic@fluendo.com>

	* configure.ac:
	Bumped Pango dependency requirement to 1.20.

	* misc/pgm-uninstalled:
	Added version number in the shell prompt prefix.

	* pgm/pgmdrawable.h:
	* pgm/pgmtext.c:
	* pgm/pgmtext.h:
	Added pgm_text_set_multiline and pgm_text_set_multiline functions.
	The meaning of the text's font height has been changed in order to be
	easier to use, the height is now defined in canvas coordinates.

	* plugins/opengl/pgmgltext.c:
	* plugins/opengl/pgmgltext.h:
	* plugins/opengl/pgmglviewport.c:
	* plugins/opengl/pgmglviewport.h:
	* plugins/opengles/pgmglestext.c:
	* plugins/opengles/pgmglestext.h:
	* plugins/opengles/pgmglesviewport.c:
	* plugins/opengles/pgmglesviewport.h:
	Added support in the plugins for the new symbols.

	* docs/pgm/pigment-sections.txt:
	* docs/pgm/tmpl/pgmdrawable.sgml:
	* docs/pgm/tmpl/pgmevents.sgml:
	* docs/pgm/tmpl/pgmtext.sgml:
	Added documentation for the new symbols.
	Fixed compilation warnings.

	* examples/dragndrop.c:
	* examples/mappingmatrix.c:
	* examples/rotations.c:
	* examples/text.c:
	* examples/xpixmapsystembuffer.c:
	* examples/xwindowsystembuffer.c:
	Updated examples for the new meaning of the font height.
	Changed the text example to test the new symbols.

	* win32/common/libpigment.def:
	Added new symbols.

	* win32/vs9/libpgmboilerplate.vcproj:
	* win32/vs9/libpgmopengl.vcproj:
	* win32/vs9/libpigment-0.3.vcproj:
	* win32/vs9/libpigmentimaging-0.3.vcproj:
	Added def files to be listed in the projects.

=== release 0.3.15 ===

2009-03-12  Loïc Molinari  <loic@fluendo.com>

	* pkgconfig/pigment-uninstalled.pc.in:
	* pkgconfig/pigment.pc.in:
	Added missing dependencies.

	fixes #302

2009-03-12  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmimage.c:
	Fixed race condition in image loading using set_from_file.

	* pgm/pgmviewport.c:
	Make GTK-Doc happy.

	fixes #307

2009-03-06  Sergi Alvarez  <salvarez@fluendo.com>

	* plugins/opengles/pgmglescontext.c:
	* plugins/opengles/pgmgleseglbackend.c:
	* plugins/opengles/pgmgleseglbackend.h:
	Force OpenGL viewport resolution to fit always into the fullscreen
	defined by the underlying EGL+GDL layer.

2009-03-05  Guillaume Emont  <guillaume@fluendo.com>

	* pigment/pgm/pgmmarshal.list:
	* pigment/pgm/pgmviewport.c:
	Changed the return type of PgmViewport::win32-message-event to long.

	fixes #303

2009-02-25  Sergi Alvarez  <salvarez@fluendo.com>

	* configure.ac:
	Link against the correct libraries when using --enable-gdl

	* pgm/pgmviewport.c:
	Initialize width and height local variables with 0

	* plugins/opengles/pgmgleseglbackend.c:
	Fix initialization of the GDL bindings for OpenGL ES 1.1.
	Handle SIGINT to properly deinitialize the egl+gdl contexts.
	Add some more debugging information in the init
	Fix width and height with hardcoded values

	* plugins/opengles/pgmglestext.c:
	Ensure g_slice_alloc0 is giving us a non-null buffer

2009-02-24  Sergi Alvarez  <salvarez@fluendo.com>

	* configure.ac:
	Disable the build of OpenGL plugin when --with-x=no

2009-02-19  Sergi Alvarez  <salvarez@fluendo.com>

	* configure.ac:
	--with-x=no is now disabling cairo-xlib and xcomposite modules

	* plugins/opengles/pgmgleseglbackend.c:
	Fix glib/gprintf include and also include EGL/egl.h

2009-02-12  Sergi Alvarez  <salvarez@fluendo.com>

	* configure.ac:
	Add --enable-gdl configure flag

	* plugins/opengles/pgmgleseglbackend.c:
	Initial implementation of the GDL backend for the OpenGL-ES plugin

=== release 0.3.14 ===

2009-02-02  Loïc Molinari  <loic@fluendo.com>

	Patch by: Florian Boucault <florian@fluendo.com>

	* pgm/pgmimage.c:
	Do not slave an image that's already the slave of the given image.

2009-02-02  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmviewport.c:
	* pgm/pgmviewport.h:
	* win32/common/libpigment.def:
	Ifdef'd out Win32 stuff for non-Win32 platforms.
	Added the _pgm_viewport_push_win32_message function so that plugins can
	wait and synchronize for the WinProc LRESULT return value from the main
	thread.

	* plugins/opengl/pgmwglbackend.c:
	Implemented support for the WinProc return value in the OpenGL plugin.

	* pgm/pgmevents.h:
	Ifdef'd out Win32 stuff for non-Win32 platforms.
	Changed PgmEventWin32Message fields to use the right Win32 types.

	* pgm/pgmmarshal.list:
	Added support for the new "win32-message" signal prototype.

	fixes #298

2008-12-11  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmdrawable.c:
	* pgm/pgmdrawable.h:
	* win32/common/libpigment.def:
	Added the pgm_drawable_[get,set]_scale functions.

	* docs/pgm/pigment-sections.txt:
	* docs/pgm/tmpl/pgmdrawable.sgml:
	Added documentation for the new symbols.

	* examples/rotations.c:
	Updated example for the new symbols.

	fixes #295

2008-12-11  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmgltext.c:
	Clamped the minimum text size to 1.

	fixes #294

=== release 0.3.13 ===

2008-12-05  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmimage.c:
	Fixed wrong GTypeInfo::class_size field initialization.

2008-12-03  Loïc Molinari  <loic@fluendo.com>

	* win32/vs9/example-dragndrop.vcproj:
	* win32/vs9/example-image.vcproj:
	* win32/vs9/example-imaging.vcproj:
	* win32/vs9/example-mappingmatrix.vcproj:
	* win32/vs9/example-rotations.vcproj:
	* win32/vs9/example-sphere.vcproj:
	* win32/vs9/example-text.vcproj:
	* win32/vs9/example-video.vcproj:
	* win32/vs9/example-viewportopacity.vcproj:
	* win32/vs9/example-viewportprojection.vcproj:
	* win32/vs9/libpgmboilerplate.vcproj:
	* win32/vs9/libpgmopengl.vcproj:
	* win32/vs9/libpigment-0.3.vcproj:
	* win32/vs9/libpigmentimaging-0.3.vcproj:
	Generate and copy debug information files in release.

2008-12-02  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmviewport.c:
	Take ref on each drawable copied from layers before processing picking.
	Merged the layer copying and reversing steps.

	fixes #290

2008-11-13  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmwglbackend.c:
	* plugins/opengl/pgmwglbackend.h:
	* win32/vs9/libpgmopengl.vcproj:
	Added support for drag-and-drop using the OLE IDropTarget and
	IDropTargetHelper interfaces.

	* plugins/opengl/pgmglxbackend.c:
	Changed the action to link as it is in the Win32 support.

	fixes #289

=== release 0.3.12 ===

2008-11-11  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmcanvas.c:
	Added check in pgm_canvas_get_order to test if the given drawable's
	parent is the canvas.

	fixes #283

2008-11-10  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmglviewport.c:
	Fixed implicit casts.

2008-11-07  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmgltext.c:
	* plugins/opengl/pgmglviewport.c:
	* plugins/opengl/pgmglviewport.h:
	Align the text vertices to pixel boundaries so that the texture is
	rasterized at z=0 as it's been generated.
	Store the projected size and the canvas size when the projection gets
	updated to avoid useless computation and locks.
	Correctly scale the text generated by Cairo depending on the
	pixel-aspect-ratio and the rotation state of the canvas.
	Filter all the texts with the nearest neighbour algorithm.

	* pgm/pgmcanvas.c:
	Clamped the canvas size setter to 1.0f minimum.

	* examples/viewportprojection.c:
	Regenerate the text when the rotation or the reflection are changed.

	fixes #287

2008-11-07  Loïc Molinari  <loic@fluendo.com>

	* win32/vs9/libpgmboilerplate.vcproj:
	* win32/vs9/libpgmopengl.vcproj:
	Create the destination directory in post-build event if it doesn't
	exist.

2008-11-03  Loïc Molinari  <loic@fluendo.com>

	* win32/vs9/libpigment-0.3.vcproj:
	* win32/vs9/libpigmentimaging-0.3.vcproj:
	Added the PDB MSVC9 debug files to the files copied in the post-build
	event step.

	* win32/common/libpigment.def:
	Added missing symbols.

2008-10-29  Loïc Molinari  <loic@fluendo.com>

	* tests/misc/vsync.c:
	Initialize GLX extension function pointers to NULL.
	Set up the VBL method after context creation.

2008-10-29  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmglxbackend.c:
	Correct X11 screen size when broken with size of 1 mm.

	fixes #285

=== release 0.3.11 ===

2008-10-06  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmviewport.h:
	Fixed from/to_canvas function prototypes, the viewport_* and canvas_*
	arguments were swapped.

2008-10-02  Loïc Molinari  <loic@fluendo.com>

	* configure.ac:
	* docs/pgm/Makefile.am:
	Don't add the "-Wall -Werror" flags in debug for the compilation of the
	gtk-doc scanner to avoid stopping the build with gtk-doc versions
	generating warnings.

	* plugins/opengl/pgmprogram.c:
	Add sprintf format parameter in order to prevent warnings with GCC 4.3.

	fixes #279

2008-09-30  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmcontext.c:
	* plugins/opengl/pgmcontext.h:
	* plugins/opengl/pgmglxbackend.c:
	* plugins/opengl/pgmwglbackend.c:
	Prevent updates when the window is iconified or fully obscured.

	* examples/mappingmatrix.c:
	Changed wrapping mode to transparent to remove the visible clamping.

	fixes #281

=== release 0.3.10 ===

2008-09-29  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmcontext.c:
	* plugins/opengl/pgmcontext.h:
	Added a workaround for the Intel 945GM chipset/drivers on Windows to
	correct a bug in the driver preventing fast texture upload when there's
	only one texture bound. Yes that's quite weird.

	fixes #280

2008-09-25  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmwglbackend.c:
	Defined the window backround color.
	Set the window NOTOPMOST when going fullscreen.

2008-09-25  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmimage.c:
	* pgm/pgmimage.h:
	Added the PGM_IMAGE_TRANSPARENT wrapping to PgmImageWrapping.
	Default wrappings to PGM_IMAGE_CLAMP.

	* plugins/opengl/pgmglimage.c:
	* plugins/opengl/pgmtexture.c:
	* plugins/opengles/pgmglesimage.c:
	Adapted plugins to the wrapping changes.

	* docs/pgm/tmpl/pgmimage.sgml:
	Updated documentation to the wrapping changes.

=== release 0.3.9 ===

2008-09-16  Loïc Molinari  <loic@fluendo.com>

	Patch by: Jerry Yu <jijun.yu@sun.com>

	* common/m4/as-version.m4:
	Converted m4 macro to use bash style.

	fixes #277

2008-09-16  Loïc Molinari  <loic@fluendo.com>

	Patch by: Loïc Minier <lool@dooz.org>

	* configure.ac:
	Fixed assignment operator typo.

	fixes #278

2008-09-16  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmevents.h:
	Added the PgmEventState structure.
	Added the PGM_STATE field to PgmEventType.
	Added the PgmViewportState enum.

	* pgm/pgmviewport.c:
	* pgm/pgmviewport.h:
	Added pgm_viewport_[get,set]_iconified functions.
	Added pgm_viewport_focus function.
	Added 'state-event' signal.
	Removed get_fullscreen virtual method.
	Added checks to avoid setting fullscreen and visiblility if the current
	state is the one requested.

	* plugins/boilerplate/pgmbpviewport.c:
	* plugins/opengl/pgmbackend.c:
	* plugins/opengl/pgmbackend.h:
	* plugins/opengl/pgmcontext.c:
	* plugins/opengl/pgmcontext.h:
	* plugins/opengl/pgmglviewport.c:
	* plugins/opengl/pgmglxbackend.c:
	* plugins/opengl/pgmglxbackend.h:
	* plugins/opengl/pgmwglbackend.c:
	* plugins/opengl/pgmwglbackend.h:
	Added support for the new API to the plugins.

	* examples/image.c:
	Added demonstration of the new API functions.

	* docs/pgm/pigment-sections.txt:
	* docs/pgm/tmpl/pgmevents.sgml:
	* docs/pgm/tmpl/pgmviewport.sgml:
	Updated doc for the new symbols.

	* win32/common/libpigment.def:
	Updated symbol list.

=== release 0.3.8 ===

2008-09-10  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmimage.c:
	Test for file name validity in set_from_file.

	* examples/pictures/Makefile.am:
	Added new images to the dist.

	* tests/check/pgm/pgmimage.c:
	Fixed tests broken by the new system to load images from files.

2008-09-10  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmtexture.c:
	* plugins/opengles/pgmglestexture.c:
	Replaced get_upper_power_of_two implementation by a branch-free version.

2008-09-10  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmimage.c:
	* plugins/opengl/pgmtexture.c:
	Set the default wrapping mode to PGM_IMAGE_REPEAT.

2008-09-10  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmdrawable.h:
	* pgm/pgmimage.c:
	* pgm/pgmimage.h:
	Added the pgm_image_[set,get]_wrapping symbols.
	Added the PgmImageWrapping enumeration.

	* plugins/opengl/pgmcontext.c:
	* plugins/opengl/pgmcontext.h:
	* plugins/opengl/pgmgldefs.h:
	* plugins/opengl/pgmglimage.c:
	* plugins/opengl/pgmglimage.h:
	* plugins/opengl/pgmglviewport.c:
	* plugins/opengl/pgmglviewport.h:
	* plugins/opengl/pgmtexture.c:
	* plugins/opengl/pgmtexture.h:
	Adapted OpenGL ES plugin to the new wrapping API.
	Changed clamp wrapping mode to CLAMP_TO_BORDER with a transparent
	border color so that images are displayed anti-aliased at the edges.

	* plugins/opengles/pgmglesimage.c:
	* plugins/opengles/pgmglesimage.h:
	* plugins/opengles/pgmglestexture.c:
	* plugins/opengles/pgmglestexture.h:
	* plugins/opengles/pgmglesviewport.c:
	* plugins/opengles/pgmglesviewport.h:
	Adapted OpenGL ES plugin to the new wrapping API.

	* examples/pictures/line-pattern.png:
	Renamed pattern.png to line-pattern.png.
	Changed the image to a simple repeat pattern.

	* examples/Makefile.am:
	* examples/pictures/square-pattern.png:
	* examples/wrapping.c:
	Added wrapping example demonstrating the new API.

	* examples/dragndrop.c:
	Adapted to the new wrapping API.

	* examples/gtk.c:
	Adapted to the new PgmImage::file-loaded signal.

	* docs/pgm/pigment-sections.txt:
	* docs/pgm/tmpl/pgmdrawable.sgml:
	* docs/pgm/tmpl/pgmimage.sgml:
	Updated documentation to the new wrapping API.

	* win32/common/libpigment.def:
	Updated symbol list to the new wrapping API.

	fixes #276

2008-09-09  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmdrawable.h:
	* pgm/pgmimage.c:
	* pgm/pgmimage.h:
	Added two new protected functions to the Image API to allow on-demand
	freeing and reloading if the GdkPixbuf used by the
	pgm_image_set_from_file function. It allows to reduce a lot memory
	comsumption of Pigment programs.

	* plugins/opengl/pgmglimage.c:
	* plugins/opengl/pgmglimage.h:
	* plugins/opengl/pgmgltext.c:
	* plugins/opengl/pgmglviewport.c:
	* plugins/opengl/pgmglviewport.h:
	* plugins/opengl/pgmtexture.c:
	* plugins/opengles/pgmglesimage.c:
	* plugins/opengles/pgmglesimage.h:
	* plugins/opengles/pgmglestext.c:
	* plugins/opengles/pgmglestexture.c:
	* plugins/opengles/pgmglesviewport.c:
	* plugins/opengles/pgmglesviewport.h:
	Adapted plugins to the new API.

	* docs/pgm/tmpl/pgmdrawable.sgml:
	* docs/pgm/tmpl/pgmimage.sgml:
	Updated documentation to the new API.

	* win32/common/libpigment.def:
	Adapted symbol list to the new API.

	fixes #275

2008-09-08  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmcontext.c:
	Display a message box on Win32 when the plugin can't initialize.

2008-09-08  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmdrawable.c:
	Removed compilation warnings adding explicit casts.

2008-09-08  Loïc Molinari  <loic@fluendo.com>

	* examples/Makefile.am:
	* pgm/Makefile.am:
	* pgm/gtk/Makefile.am:
	* pgm/imaging/Makefile.am:
	* plugins/opengl/Makefile.am:
	* plugins/opengles/Makefile.am:
	Added the optional CFLAGS to all the makefiles.

2008-09-02  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmimage.c:
	* pgm/pgmimage.h:
	* pgm/pgmmarshal.list:
	Added "PgmImage::cloned" and "PgmImage::un-cloned" signals.

	* docs/pgm/tmpl/pgmimage.sgml:
	Updated documentation for the new signals.

	fixes #274

2008-08-14  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmdrawable.c:
	* pgm/pgmdrawable.h:
	Added a drag distance threshold of 5 to cover before emitting the
	'drag-begin' signal.
	Added pgm_drawable_[get,set]_drag_distance functions to change and
	retrieve the current drag distance.

	* win32/common/libpigment.def:
	* docs/pgm/pigment-sections.txt:
	* docs/pgm/tmpl/pgmdrawable.sgml:
	Updated symbol list and documentation for the new functions.

	#fixes 273

2008-08-13  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmdrawable.c:
	Removed useless local variables.

	* pgm/pgmviewport.c:
	Don't clamp z_zero_ndc if we set it ourselves.
	Added missing lock.

2008-08-13  Loïc Molinari  <loic@fluendo.com>

	* win32/common/libpigment.def:
	Sorted symbols alphabetically.

2008-08-11  Loïc Molinari  <loic@fluendo.com>

	* pgm/imaging/pgmimaging.c:
	Alloc Cairo destination buffer with bytes set to 0.
	Flush Cairo image surface before twiddling bits.
	Perform correct premultipy/unpremultiply alpha operations.

2008-08-08  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmimage.c:
	* pgm/pgmimage.h:
	Cancel image loading tasks in the thread pool when new image loading
	are requested.

	fixes #272

2008-08-07  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmtexture.c:
	Test validity of a buffer before sending it to video memory.

2008-08-07  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmimage.c:
	The string given to set_from_file has to be copied cause it's still used
	after the function returns.

2008-08-05  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmimage.c:
	Included stdlib.h for atoi().

2008-08-05  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmimage.c:
	* pgm/pgmimage.h:
	* docs/pgm/running.xml:
	Deferred image loading using a thread pool. The loading is now serialized
	in other thread(s) and not processed chunk by chunk in the Pigment
	main loop.

	fixes #175

2008-08-04  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmdrawable.c:
	Do not emit "clicked" at the end of a drag.

	fixes #271

2008-08-01  Loïc Molinari  <loic@fluendo.com>

	* win32/common/Makefile.am:
	* win32/common/libpigmentimaging.def:
	* win32/common/libpigmentimaging.rc:
	* win32/vs9/Makefile.am:
	* win32/vs9/libpigmentimaging-0.3.vcproj:
	* win32/vs9/pigment.sln:
	* win32/vs9/example-imaging.vcproj:
	Added project files for the new imaging library.

	* win32/vs9/example-dragndrop.vcproj:
	* win32/vs9/example-image.vcproj:
	* win32/vs9/example-mappingmatrix.vcproj:
	* win32/vs9/example-rotations.vcproj:
	* win32/vs9/example-sphere.vcproj:
	* win32/vs9/example-text.vcproj:
	* win32/vs9/example-video.vcproj:
	* win32/vs9/example-viewportopacity.vcproj:
	* win32/vs9/example-viewportprojection.vcproj:
	* win32/vs9/libpgmboilerplate.vcproj:
	* win32/vs9/libpgmopengl.vcproj:
	* win32/vs9/libpigment-0.3.vcproj:
	Added link optimization options in Release mode.

	* win32/common/libpigment.def:
	Added the new pgmimage symbols.

	* pgm/imaging/pgmimaging.c:
	* pgm/pgmimage.c:
	Cosmetic and casting fixes.

2008-08-01  Loïc Molinari  <loic@fluendo.com>

	* pgm/Makefile.am:
	* pgm/imaging/Makefile.am:
	* pgm/imaging/pgmimaging.c:
	* pgm/imaging/pgmimaging.h:
	* pkgconfig/Makefile.am:
	* pkgconfig/pigment-imaging-uninstalled.pc.in:
	* pkgconfig/pigment-imaging.pc.in:
	Added new library dedicated to image processing.
	Added the pgm_imaging_linear_alpha_gradient function.

	* configure.ac:
	Added configuration option to disable building of the imaging library.

	* pgm/pgmimage.c:
	* pgm/pgmimage.h:
	Added pgm_image_set_from_pixbuf, pgm_image_new_from_pixbuf and
	pgm_image_to_pixbuf functions.

	* docs/pgm/Makefile.am:
	* docs/pgm/pigment-docs.sgml:
	* docs/pgm/pigment-sections.txt:
	* docs/pgm/tmpl/pgmimage.sgml:
	Adapted documentation for the new imaging library and functions.

	* examples/Makefile.am:
	* examples/imaging.c:
	Added an example demonstrating the imaging library.

2008-07-29  Loïc Molinari  <loic@fluendo.com>

	* pgm/Makefile.am:
	* pgm/gtk/Makefile.am:
	Defined libpigment as a link dependency of libpigment-gtk.

	* configure.ac:
	Defined XRender as a link dependency of the X11 OpenGL plugin.

	fixes #269

=== release 0.3.7 ===

2008-07-25  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmwglbackend.c:
	Reduced executed code and stack overhead when no messages are filtered.

2008-07-24  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmevents.h:
	Added a PgmEventWin32Message structure and the PGM_WIN32_MESSAGE
	event type.

	* pgm/pgmviewport.c:
	* pgm/pgmviewport.h:
	Added pgm_viewport_{set,get}_message_filter functions.
	Added a "win32-message-event" signal.

	* plugins/opengl/pgmbackend.c:
	* plugins/opengl/pgmbackend.h:
	* plugins/opengl/pgmcontext.c:
	* plugins/opengl/pgmcontext.h:
	* plugins/opengl/pgmglviewport.c:
	* plugins/opengl/pgmwglbackend.c:
	* plugins/opengl/pgmwglbackend.h:
	Adapted OpenGL plugin to the new symbols.

	* docs/pgm/pigment-sections.txt:
	* docs/pgm/tmpl/pgmevents.sgml:
	* docs/pgm/tmpl/pgmviewport.sgml:
	* win32/common/libpigment.def:
	Adapted documentation and symbol list to new symbols.

2008-07-24  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmdrawable.c:
	Get the canvas only if there's a z-reordering.

	* pgm/pgmlinearalgebra.c:
	Documentation fixes.

2008-07-14  Loïc Molinari  <loic@fluendo.com>

	* tests/check/pgm/pgmimage.c:
	Fixed unit test on 64 bits systems adding a threshold comparison of 1
	to deal with rounding issues.
	Use G_STMT_* instead of do{;}while(0); in multi-lined macros.

	fixes #267

=== release 0.3.6 ===

2008-07-10  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengles/pgmglesdrawable.c:
	* plugins/opengles/pgmglesdrawable.h:
	* plugins/opengles/pgmglesviewport.c:
	* plugins/opengles/pgmglesviewport.h:
	Added support for rotations in the OpenGL ES plugin.

	* README:
	Added explanations on how to build the OpenGL ES plugin for emulation
	on X11.

2008-07-10  Loïc Molinari  <loic@fluendo.com>

	* examples/video.c:
	Added support for rotating the drawable with the mouse.

2008-07-10  Guillaume Emont  <guillaume@fluendo.com>

	* pgm/pgmimagesink.c:
	* pgm/pgmimagesink.h:
	Added optional forwarding of motion, pressed and released events to
	the pipeline.
	Added the PgmImageSinkEventMask enum.
	Added the PgmImageSink:events properties of the new
	PgmImageSinkEventMask type.
	Added a getter and a setter for PgmImageSink:events.
	No longer get the object lock on sink in pgm_image_sink_get_image().

	* docs/pgm/pigment-sections.txt:
	* docs/pgm/tmpl/pgmimagesink.sgml:
	Updated documentation.

	* win32/common/libpigment.def:
	Updated definitions.

	fixes #258

2008-07-10  Guillaume Emont  <guillaume@fluendo.com>

	* pgm/pgmdrawable.c:
	* pgm/pgmdrawable.h:
	Reworked the algorithm used for PgmDrawable::left,
	PgmDrawable::entered and PgmDrawable::motion to change the definition
	of the return value of PgmDrawable::entered into something more
	useful.
	Clarified a bit the code for emission of these signals.
	Removed the return value of PgmDrawable::left.
	Removed PGM_DRAWABLE_PICKING_LEFT (not used).

	* pgm/pgmcanvas.c:
	* pgm/pgmcanvas.h:
	Added an entered_emission_stopper member used for picking.
	Added a getter and a setter for this member.

	* pgm/pgmmarshal.list:
	Added a marshaller for the new type of PgmDrawable::left.

	* win32/common/libpigment.def:
	Added new symbols.

	* docs/pgm/tmpl/pgmdrawable.sgml:
	Updated documentation template.

	* examples/image.c:
	Made the example change the opacity of an image when it is entered or
	left.

2008-07-10  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmwglbackend.c:
	Do not let Windows erase the background when the window is resized.
	Retrieve the y decoration border size to define the correct deco height.

2008-07-09  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmwglbackend.c:
	* plugins/opengl/pgmwglbackend.h:
	Fixed fullscreen crash/flickering with Intel chipsets/drivers.
	Discarded the mouse move message generated after button up messages.
	Fixed uninitialized flag in set_size causing random weird behaviours.
	Removed unused fields in the instance struct.
	Added logging for the generated Windows messages.
	Replaced SetWindowLong by SetWindowLongPtr which is compatible with both
	32-bit and 64-bit versions of Windows.
	Changed window class name.

	* plugins/opengl/pgmcontext.c:
	Improved comment on how to remove sources in the rendering loop.

	fixes #264

2008-07-09  Loïc Molinari  <loic@fluendo.com>

	* win32/vs9/example-dragndrop.vcproj:
	* win32/vs9/example-image.vcproj:
	* win32/vs9/example-mappingmatrix.vcproj:
	* win32/vs9/example-rotations.vcproj:
	* win32/vs9/example-sphere.vcproj:
	* win32/vs9/example-text.vcproj:
	* win32/vs9/example-video.vcproj:
	* win32/vs9/example-viewportopacity.vcproj:
	* win32/vs9/example-viewportprojection.vcproj:
	Generate debug informations in Debug configuration.

2008-07-09  Guillaume Emont  <guillaume@fluendo.com>

	* pgm/pgmimage.c:
	Fixed the handling of vertical PGM_IMAGE_CENTER in
	pgm_image_from_drawable() and pgm_image_to_drawable().
	Fixed an == that should have been an & in handling of PGM_IMAGE_RIGHT
	for the same functions.

	* tests/check/pgm/pgmimage.c:
	Added tests for the fix above.

	* pgm/pgmimage.h:
	Clarified documentation of PGM_IMAGE_CENTER.

2008-07-07  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmglxbackend.c:
	* plugins/opengl/pgmwglbackend.c:
	* plugins/opengles/pgmgleseglbackend.c:
	* plugins/opengles/pgmglesxbackend.c:
	Increased event source priorities in plugin rendering main loops.

2008-07-07  Guillaume Emont  <guillaume@fluendo.com>

	* plugins/opengl/pgmcontext.c:
	Don't use g_source_remove() for sources not in the default main
	context.

	fixes #261

2008-07-07  Guillaume Emont  <guillaume@fluendo.com>

	* pgm/pgmdrawable.c:
	* pgm/pgmdrawable.h:
	Added the PgmDrawable::motion, PgmDrawable::entered and
	PgmDrawable::left signals.

	* docs/pgm/tmpl/pgmdrawable.sgml:
	Updated documentation for these new signals.

	* examples/image.c:
	Added the printing of the new signals.

	fixes #255

2008-07-04  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmwglbackend.c:
	* plugins/opengl/pgmwglbackend.h:
	Use a local variable instead of instance one for initial window rect.

	* win32/common/libpigment.def:
	Added new missing symbols.

2008-07-04  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmwglbackend.c:
	Return the window handle as embedding ID.

	fixes #263

2008-07-03  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmwglbackend.c:
	* plugins/opengl/pgmwglbackend.h:
	Use a top most window in fullscreen mode.
	Do not store the window style.
	Create the window with an overlapped-window default style.
	Do not use clip siblings/children styles.
	Removed the thick frame in non-decorated state.
	Do not change the decoration state in fullscreen.

	* examples/viewportopacity.c:
	* examples/rotations.c:
	Added fullscreen switch key binding.

	* pgm/pgmdrawable.c:
	* pgm/pgmdrawable.h:
	* pgm/pgmimage.c:
	Coding style fixes.

	* win32/common/libpigment.def:
	Sorted symbols alphabetically.

	* win32/common/pgmversion.h:
	Added 2008 to the header.

	* win32/vs9/example-dragndrop.vcproj:
	* win32/vs9/example-image.vcproj:
	* win32/vs9/example-mappingmatrix.vcproj:
	* win32/vs9/example-rotations.vcproj:
	* win32/vs9/example-sphere.vcproj:
	* win32/vs9/example-text.vcproj:
	* win32/vs9/example-video.vcproj:
	* win32/vs9/example-viewportopacity.vcproj:
	* win32/vs9/example-viewportprojection.vcproj:
	* win32/vs9/libpgmboilerplate.vcproj:
	* win32/vs9/libpgmopengl.vcproj:
	* win32/vs9/libpigment-0.3.vcproj:
	Don't use incremental linking in Debug.

2008-07-04  Guillaume Emont  <guillaume@fluendo.com>

	* pgm/pgmdrawable.c:
	Modified get_line_intersection() so that the drawable transformation
	is taken into account for picking.

	fixes #256

2008-07-03  Guillaume Emont  <guillaume@fluendo.com>

	* pgm/pgmdrawable.c:
	Added a clearing of the PGM_DRAWABLE_ORIGIN flag in
	pgm_drawable_set_position().

2008-07-03  Guillaume Emont  <guillaume@fluendo.com>

	* pgm/pgmdrawable.c:
	* pgm/pgmdrawable.h:
	Added pgm_drawable_from_canvas() and pgm_drawable_to_canvas().

	* pgm/pgmimage.c:
	* pgm/pgmimage.h:
	Added pgm_image_from_drawable() and pgm_image_to_drawable().

	* docs/pgm/pigment-sections.txt:
	* docs/pgm/tmpl/pgmdrawable.sgml:
	* docs/pgm/tmpl/pgmimage.sgml:
	Documentation update.

	* tests/check/common/pgmcheck.h:
	* tests/check/pgm/pgmdrawable.c:
	* tests/check/pgm/pgmimage.c:
	Added tests for the new functions.

	* pgm/pgmviewport.h:
	Typo fix in documentation.

	fixes #257

2008-07-02  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmdrawable.c:
	Do not process picking for transparent drawables.

	fixes #262

2008-07-02  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmwglbackend.c:
	* plugins/opengl/pgmwglbackend.h:
	Do not show the window at its creation.
	Call SetWindowPos with the SWP_SHOWWINDOW flag bit set only when the
	window is shown.

	* examples/image.c:
	Start in fullscreen.

	fixes #260

2008-07-02  Loïc Molinari  <loic@fluendo.com>

	* win32/vs9/Makefile.am:
	Added MSVC9 project files to the dist.

2008-07-02  Loïc Molinari  <loic@fluendo.com>

	* examples/viewportopacity.c:
	* pgm/pgmimagesink.c:
	Fixed cast warnings.

	* plugins/opengl/pgmprogram.c:
	Included stdio.h for sprintf.

	* plugins/opengl/pgmtexture.h:
	Fixed typos in comments.

	* pgm/pgmviewport.c:
	Use _close instead of close on Windows due to deprecation.
	Fixed cast warnings.

	* win32/vs9/example-dragndrop.vcproj:
	* win32/vs9/example-image.vcproj:
	* win32/vs9/example-mappingmatrix.vcproj:
	* win32/vs9/example-rotations.vcproj:
	* win32/vs9/example-sphere.vcproj:
	* win32/vs9/example-text.vcproj:
	* win32/vs9/example-video.vcproj:
	* win32/vs9/example-viewportopacity.vcproj:
	* win32/vs9/example-viewportprojection.vcproj:
	* win32/vs9/libpgmboilerplate.vcproj:
	* win32/vs9/libpgmopengl.vcproj:
	* win32/vs9/libpigment-0.3.vcproj:
	* win32/vs9/pigment.sln:
	Added MSVC9 solution.

	* win32/vs8/_pgm.vcproj:
	* win32/vs8/libgstpgmimagesink.vcproj:
	* win32/vs8/libpgmboilerplate.vcproj:
	* win32/vs8/libpgmopengl.vcproj:
	* win32/vs8/libpigment-0.3.vcproj:
	* win32/vs8/pigment-image.vcproj:
	* win32/vs8/pigment.sln:
	Removed unsupported and broken MSVC8 solution.

	* win32/README.txt:
	Updated description of win32 support.

	* win32/common/libpigment.def:
	Updated symbol list.

2008-06-25  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmviewport.c:
	* plugins/opengl/pgmcontext.c:
	Tell the GIOChannels to automatically close the file descriptors when
	unref'd. It allows Pigment not to directly call close() avoiding
	deadlocks on Windows systems where GLib creates dedicated threads for
	IO watches.

	* plugins/opengles/pgmgleseglbackend.c:
	Fixed typos in comments.

	fixes #254

2008-06-25  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmwglbackend.c:
	Added missing call to wglSwapIntervalEXT() by default if available.
	Cleaned up coding style.

2008-06-25  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmcontext.c:
	* plugins/opengl/pgmcontext.h:
	* plugins/opengl/pgmglviewport.c:
	Cleaned up rendering thread termination.

2008-06-12  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmviewport.c:
	* pgm/pgmviewport.h:
	Added the "update-pass" signal the user can use to perform object update
	prior to each rendering.
	Added the pgm_viewport_emit_update_pass function.

	* plugins/opengl/pgmglviewport.c:
	* plugins/opengles/pgmglesviewport.c:
	Added support for the 'update-pass' signal in the plugins.
	Changed the update timeout removal to ensure the update source is not
	going to be removed.

	* examples/gtk.c:
	* examples/mappingmatrix.c:
	* examples/rotations.c:
	Adapted examples.

	* docs/pgm/pigment-sections.txt:
	* docs/pgm/tmpl/pgmviewport.sgml:
	* win32/common/libpigment.def:
	Adapted doc and symbol list.

	fixes #253

2008-06-09  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmdrawable.c:
	* pgm/pgmdrawable.h:
	Added support for rotation around the center of the drawables. Added
	the pgm_drawable_[set,get]_rotation_[x,y,z] functions.

	* plugins/opengl/pgmgldrawable.c:
	* plugins/opengl/pgmgldrawable.h:
	* plugins/opengl/pgmglviewport.c:
	* plugins/opengl/pgmglviewport.h:
	Added support for rotations in the plugin. When rendered, each
	drawable now push its modelview matrix if it's not the identity.

	* examples/Makefile.am:
	* examples/rotations.c:
	Added example demonstrating rotations.

	* examples/gtk.c:
	Made the star rotate.

	* win32/common/libpigment.def:
	* docs/pgm/pigment-sections.txt:
	* docs/pgm/tmpl/pgmdrawable.sgml:
	Updated exports and documentation for the new symbols.

	fixes #251

2008-06-05  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmglxbackend.c:
	Changed the default vblank method to video_sync for the Intel G33 GPU
	series to avoid a kernel freeze...

	fixes #249

2008-06-02  Loïc Molinari  <loic@fluendo.com>

	Patch by: Bernhard Kaindl <bkaindl@ffii.org>

	* plugins/opengl/pgmglxbackend.c:
	Switch to glXChooseVisual if glXChooseFBConfig returned NULL which
	allows to create a window in that case.

	* plugins/opengl/pgmcontext.c:
	Check if the window has been created correctly.
	Put a g_print instead of a GST_ERROR if the context/window tests don't
	pass, it's a workaround to put a correct error message in release
	packages. Waiting for correct error handling in that part of the code.

	fixes #239

2008-05-26  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmevents.h:
	* pgm/pgmviewport.h:
	Removed the PgmEventDelete structure, it was containing a delete field
	which is a C++ keyword. The viewport "delete-event" signal now takes
	a PgmEvent as parameter instead of a PgmEventDelete. The side effect
	apart from API breakage is that it's not possible anymore to know the
	time of a delete event. The new behaviour now mimicks extactly what
	GTK+ does.

	* plugins/opengl/pgmaglbackend.c:
	* plugins/opengl/pgmglxbackend.c:
	* plugins/opengl/pgmwglbackend.c:
	* plugins/opengles/pgmglesxbackend.c:
	Updated the plugins for the PgmEventDelete removing.

	* docs/pgm/pigment-sections.txt:
	* docs/pgm/tmpl/pgmevents.sgml:
	Updated documentation for the PgmEventDelete removing.

	fixes #248

2008-05-19  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmviewport.c:
	* plugins/opengl/pgmgltext.c:
	* plugins/opengles/pgmgltext.c:
	Fixed buggy 90° and 270° rotated projection of the canvas when the
	viewport ratio is smaller than the canvas ratio.

2008-05-09  Loïc Molinari  <loic@fluendo.com>

	* configure.ac:
	* examples/Makefile.am:
	* examples/xpixmapsystembuffer.c:
	* examples/xwindowsystembuffer.c:
	Separated the x11systembuffer.c example in two examples, the first one
	using X11 pixmaps as system buffers, and the second using X11 windows as
	system buffers.
	Added a opacity fading effect on the images.

	* examples/viewportprojection.c:
	Added key bindings for the keypad.

2008-05-08  Loïc Molinari  <loic@fluendo.com>

	* docs/pgm/tmpl/pgmviewport.sgml:
	* examples/viewportprojection.c:
	* pgm/pgmviewport.c:
	* pgm/pgmviewport.h:
	Removed useless PGM_VIEWPORT_REFLECTION_HORIZONTAL_VERTICAL_FLIP field
	from PgmViewportReflection.

2008-05-08  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmviewport.c:
	* pgm/pgmviewport.h:
	Added support to rotate and reflect the projection of a canvas.

	* examples/Makefile.am:
	* examples/viewportprojection.c:
	Added example demonstrating the rotation/reflection functions.

	* docs/pgm/pigment-sections.txt:
	* docs/pgm/tmpl/pgmviewport.sgml:
	Updated docs for the new symbols.

	* win32/common/libpigment.def:
	Added the new symbols.

	fixes #245

2008-05-07  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmglxbackend.c:
	* plugins/opengl/pgmglxbackend.h:
	removed glXGetFBConfigs procedure address retrieving since it's not used
	and returns NULL with some DRI drivers when the LIBGL_ALWAYS_INDIRECT
	environment variable is set.

2008-05-07  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmimage.c:
	* pgm/pgmimage.h:
	Added support to map system buffers.
	Added the pgm_image_set_from_system_buffer, pgm_image_system_buffer_lock
	and pgm_image_system_buffer_unlock functions.
	Added the PgmImageSystemBuffer structure.
	Added PGM_IMAGE_SYSTEM_BUFFER to PgmImageStorageType.

	* pgm/pgmdrawable.h:
	Added PGM_IMAGE_DATA_SYSTEM_BUFFER and PGM_IMAGE_SYSTEM_BUFFER_CONTENT
	to PgmDrawableProperty.

	* pgm/pgmviewport.h:
	Added PGM_VIEWPORT_X11_SYSTEM_BUFFER to PgmViewportCapacity.

	* plugins/opengl/pgmbackend.c:
	* plugins/opengl/pgmbackend.h:
	* plugins/opengl/pgmglimage.c:
	* plugins/opengl/pgmglimage.h:
	* plugins/opengl/pgmglviewport.c:
	* plugins/opengl/pgmglviewport.h:
	* plugins/opengl/pgmglxbackend.c:
	* plugins/opengl/pgmglxbackend.h:
	* plugins/opengl/pgmtexture.c:
	* plugins/opengl/pgmtexture.h:
	Added support for system buffers through the GLX_EXT_texture_from_pixmap
	extension. It only works ATM for card/driver with support for
	non-power-of-two textures.
	Changed the way framebuffer configurations are retrieved in the GLX
	backend so that not only the XVisualInfo are returned but also the
	GLXFBConfig list with the corresponding index.

	* configure.ac:
	* examples/Makefile.am:
	* examples/x11systembuffer.c:
	Added example demonstrating the use of X11 pixmaps in pigment images.

	* docs/pgm/pigment-sections.txt:
	* docs/pgm/tmpl/pgmdrawable.sgml:
	* docs/pgm/tmpl/pgmimage.sgml:
	Updated documentation for the system buffers.

	* win32/common/libpigment.def:
	Added new symbols for the system buffers.

	fixes #244

2008-05-02  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmimage.c:
	Fixed copy-pasted code resulting in badly initialized image from buffer.

2008-04-25  Gernot Klimscha  <gernot@fluendo.com>

	* plugins/opengl/pgmwglbackend.c:
	Added missing storage type for update_viewport_size.
	Do not resize in WM_SIZE in case of minimization.

2008-04-21  Guillaume Emont  <guillaume@fluendo.com>

	* autogen.sh:
	Told autoreconf (and therefore automake) to ignore portability
	warning.

2008-04-17  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmglxbackend.c:
	* plugins/opengles/pgmgleseglbackend.c:
	Correctly set the event source timeouts in prepare callbacks depending
	on the rendering source types and state.

2008-04-16  Loïc Molinari  <loic@fluendo.com>

	* configure.ac:
	* plugins/opengles/pgmgleseglbackend.c:
	* plugins/opengles/pgmgleseglbackend.h:
	* plugins/opengles/pgmglesviewport.c:
	Added support for tslib.

	* examples/image.c:
	Adapted to new drawable signal prototypes.

	* pgm/pgmmarshal.list:
	* pgm/pgmdrawable.c:
	* pgm/pgmdrawable.h:
	Added a drawable "pressured" signal.
	Added a pressure parameter to the drawable "pressed", "clicked",
	"drag-begin", "drag-motion" signals.
	Added the x, y, z parameters to the drawable "released" signal.
	Improved documentation.

	* pgm/pgmevents.h:
	Added a PGM_BUTTON_PRESSURE event type.
	Added a pressure field to the motion and button events.

	* pgm/pgmviewport.c:
	* pgm/pgmviewport.h:
	Added a viewport "button-pressure-event" signal.
	Added a touchpad-aware capacity flag.

	* plugins/opengl/pgmglxbackend.c:
	Filled up the pressure field with 0.

	fixes #223

2008-04-16  Loïc Molinari  <loic@fluendo.com>

	* docs/pgm/running.xml:
	Added OpenGL ES plugin environment variable descriptions.

2008-04-14  Guillaume Emont  <guillaume@fluendo.com>

	* common/ChangeLog:
	* common/Makefile.am:
	* common/check.mak:
	* common/gettext.patch:
	* common/glib-gen.mak:
	* common/gst-autogen.sh:
	* common/gst.supp:
	* common/m4/Makefile.am:
	* common/m4/as-ac-expand.m4:
	* common/m4/as-compiler-flag.m4:
	* common/m4/as-version.m4:
	* common/m4/ax_create_stdint_h.m4:
	* common/m4/check.m4:
	* common/m4/gst-arch.m4:
	* common/m4/gst-args.m4:
	* common/m4/gst-check.m4:
	* common/m4/gst-cpu-tune.m4:
	* common/m4/gst-error.m4:
	* common/m4/gst-fionread.m4:
	* common/m4/gst-plugindir.m4:
	* common/m4/gst-valgrind.m4:
	* common/m4/gst.m4:
	* common/release.mak:
	Dropped common as an svn:externals and added it as a normal directory.

	fixes #224

2008-04-01  Loïc Molinari  <loic@fluendo.com>

	Patch by: Gernot Klimscha <gernot@fluendo.com>

	* plugins/opengl/pgmwglbackend.c:
	Reduced timeout resize/move value.
	Removed WM_WINDOWPOSCHANGED handling to avoid recursive main loop
	iteration warning.

2008-03-27  Guillaume Emont  <guillaume@fluendo.com>

	Patch by: Gernot Klimscha <gernot@fluendo.com>

	* pgm/pgmcanvas.c:
	* pgm/pgmmodule.c:
	Fixed format strings.

	* examples/mappingmatrix.c:
	* pgm/pgmimagesink.c:
	* pgm/pgmviewportfactory.c:
	Added casts.
	Added the final NULL to some GTypeInfos.

	* plugins/opengl/pgmwglbackend.c:
	Added NULLs to message_funcs.
	Fixed the logic of pgm_wgl_backend_set_visibility().

	* win32/common/libpigment.def:
	Added pgm_viewport_get_frame_rate to the list of symbols to be
	exported.

2008-03-14  Loïc Molinari  <loic@fluendo.com>

	* configure.ac:
	* plugins/Makefile.am:
	* plugins/opengles/*:
	Added the OpenGL ES-CM 1.X plugin.

	* plugins/opengl/pgmglxbackend.h:
	Removed unused structure field.

	* plugins/opengl/pgmcontext.c:
	Made use of PGM_GL_* defines instead of GL_*.

	* pgm/pgmmodule.c:
	Get the string length from the requested module plugin name.

=== release 0.3.5 ===

2008-03-03  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmcontext.c:
	Changed logging level of update add/remove sources to debug.

	fixes #228

2008-02-29  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmdrawable.c:
	Process a release event when there's an ongoing drag even if the
	drawable is invisible.

2008-02-26  Loïc Molinari  <loic@fluendo.com>

	* docs/pgm/running.xml:
	* plugins/opengl/pgmglxbackend.c:
	Added the PGM_GL_INDIRECT_RENDERING environment variable to request
	the creation of an indirectly rendered OpenGL context.

2008-02-25  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmglimage.c:
	Change the border vertices position in the same time than the drawable
	vertices.

	* plugins/opengl/pgmcontext.c:
	* plugins/opengl/pgmglxbackend.c:
	* plugins/opengl/pgmwglbackend.c:
	Disabled and removed depth buffer and depth testing. Pigment 0.3 is 2D
	and the sorting is done in the CPU.

2008-02-25  Guillaume Emont  <guillaume@fluendo.com>

	* tests/interactive/pgmimage.c:
	* tests/interactive/pgmtext.c:
	* tests/interactive/test_image_alpha_render.png:
	* tests/interactive/test_image_alpha_render_noblend.png:
	* tests/interactive/test_text_alpha_render.png:
	* tests/interactive/test_text_alpha_render_noblend.png:
	Added tests on the handling of alpha values, including tests with
	blending deactivated to check that stuff with alpha 0 isn't rendered
	(see r1069).

2008-02-25  Guillaume Emont  <guillaume@fluendo.com>

	* tests/interactive/pgmtext.c:
	Changed interactive tests to reflect the font height definition change
	introduced in r1040.

	* tests/interactive/test_text_alignment.png:
	* tests/interactive/test_text_attributes.png:
	* tests/interactive/test_text_basic.png:
	* tests/interactive/test_text_font.png:
	* tests/interactive/test_text_gravity.png:
	* tests/interactive/test_text_justify.png:
	* tests/interactive/test_text_style.png:
	* tests/interactive/test_text_wrap.png:
	Updated rendering captures to reflect these changes.

2008-02-15  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmgldrawable.c:
	* plugins/opengl/pgmglimage.c:
	* plugins/opengl/pgmgltext.c:
	Do not render primitives when alpha component is 0.0f.

2008-02-12  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmviewport.c:
	* pgm/pgmviewport.h:
	* win32/common/libpigment.def:
	* docs/pgm/pigment-sections.txt:
	* docs/pgm/tmpl/pgmviewport.sgml:
	Added pgm_viewport_[set,get]_alpha_blending functions.

	* plugins/opengl/pgmcontext.c:
	* plugins/opengl/pgmcontext.h:
	* plugins/opengl/pgmglviewport.c:
	Implemented the alpha blending functions.

	* examples/video.c:
	Disabled alpha blending.

2008-02-11  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmevents.c:
	* pgm/pgmevents.h:
	Added new event structure PgmEventDnd handling three new type
	PGM_DRAG_MOTION, PGM_DRAG_DROP and PGM_DRAG_LEAVE.

	* pgm/pgmmarshal.list:
	* pgm/pgmviewport.c:
	* pgm/pgmviewport.h:
	Added signals "drag-motion-event", "drag-drop-event" and
	"drag-leave-event" to handle drag and drop.
	Added virtual function set_drag_status.
	Clamp z coordinate given to viewport_to_canvas in [0.0, 1.0].
	Added possibility to easily convert 2D viewport coordinates to canvas
	coordinates.

	* plugins/opengl/pgmaglbackend.c:
	* plugins/opengl/pgmbackend.c:
	* plugins/opengl/pgmbackend.h:
	* plugins/opengl/pgmcontext.c:
	* plugins/opengl/pgmcontext.h:
	* plugins/opengl/pgmglviewport.c:
	* plugins/opengl/pgmglviewport.h:
	* plugins/opengl/pgmglxbackend.c:
	* plugins/opengl/pgmglxbackend.h:
	* plugins/opengl/pgmwglbackend.c:
	Implemented drag 'n drop support.
	Simplified X atoms manipulation putting them in a dedicated array.
	Do not discard event with XSync.

	* docs/pgm/pigment-sections.txt:
	* docs/pgm/tmpl/pgmevents.sgml:
	* docs/pgm/tmpl/pgmviewport.sgml:
	Updated docs for the new API.

	* examples/Makefile.am:
	* examples/dragndrop.c:
	* examples/pictures/pattern.png:
	Added drag 'n drop example.

2008-02-08  Guillaume Emont  <guillaume@fluendo.com>

	* plugins/opengl/pgmgltext.c:
	Use setlocale() + pango_language_from_string() instead of
	pango_language_get_default() if we have pango < 1.16.

2008-02-07  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmviewport.c:
	Moved get_clear_color to get_opacity.

	* plugins/opengl/pgmcontext.c:
	Reset FPS value when removing the update source.

2008-02-06  Guillaume Emont  <guillaume@fluendo.com>

	* configure.ac:
	Added -I$(top_builddir)/pgm to PGM_ALL_CFLAGS, needed to allow VPATH
	builds (and checks) because of generated .h files.

2008-02-06  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmviewport.c:
	* pgm/pgmviewport.h:
	* plugins/opengl/pgmcontext.c:
	* plugins/opengl/pgmcontext.h:
	* plugins/opengl/pgmglviewport.c:
	* docs/pgm/pigment-sections.txt:
	* docs/pgm/tmpl/pgmviewport.sgml:
	Added the pgm_viewport_get_frame_rate function.

	* examples/mappingmatrix.c:
	Added an example demonstrating the use of the new function.

2008-02-06  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmviewport.c:
	* pgm/pgmviewport.h:
	* plugins/opengl/pgmaglbackend.c:
	* plugins/opengl/pgmbackend.c:
	* plugins/opengl/pgmbackend.h:
	* plugins/opengl/pgmcontext.c:
	* plugins/opengl/pgmcontext.h:
	* plugins/opengl/pgmglviewport.c:
	* plugins/opengl/pgmglxbackend.c:
	* plugins/opengl/pgmwglbackend.c:
	* win32/common/libpigment.def:
	* docs/pgm/pigment-sections.txt:
	* docs/pgm/tmpl/pgmviewport.sgml:
	Moved PgmViewportCapacity::PGM_VIEWPORT_ALPHA_CLEAR_COLOR to
	PgmViewportCapacity::PGM_VIEWPORT_OPACITY.
	Moved pgm_viewport_[get,set]_clear_color to
	pgm_viewport_[get,set]_opacity.

	* examples/Makefile.am:
	* examples/clearcolor.c:
	* examples/viewportopacity.c:
	Renamed clearcolor to viewportopacity.

2008-02-06  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmglxbackend.c:
	* docs/pgm/running.xml:
	Search a RGB visual by default. ARGB visuals have issues and are for
	the moment only used on demand with the PGM_GL_ARGB_VISUAL environment
	variable.

	* plugins/opengl/pgmprogram.c:
	* plugins/opengl/pgmcontext.c:
	Modified logging levels to avoid too many outputs by default.

2008-02-06  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmglxbackend.h:
	* plugins/opengl/pgmglxbackend.c:
	Use the glXGetProcAddressARB function instead of glXGetProcAddress
	since the Linux OpenGL ABI requires that all libGL implementations
	on Linux statically export glXGetProcAddressARB. Thus NVIDIA's libGL
	does not export glXGetProcAddress in their old drivers.
	Added logging showing whether or not the created OpenGL context
	supports direct rendering.

2008-02-06  Guillaume Emont  <guillaume@fluendo.com>

	* pgm/pgmtext.c:
	* pgm/pgmtext.h:
	* plugins/opengl/pgmgltext.c:
	Changed the definition of the font height: now proportional to the
	height of the drawable.

	* examples/text.c:
	* tests/check/pgm/pgmtext.c:
	Updated example and test to reflect the new text height definition.

2008-02-04  Guillaume Emont  <guillaume@fluendo.com>

	* autogen.sh:
	Ensures we are in the path where the script is (needed for buildbot).

2008-02-04  Guillaume Emont  <guillaume@fluendo.com>

	* pgm/pgmtext.c:
	Fixed a small documentation bug (@height instead of @font_height).

2008-01-31  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmglxbackend.c:
	Added logging for each X generated events.

2008-01-31  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmglxbackend.c:
	Moved event handling source addition before XEmbed initialization.
	handled ISO_Left_Tab to request the previous widget focus.

	fixes #194

2008-01-31  Guillaume Emont  <guillaume@fluendo.com>

	* plugins/opengl/pgmglxbackend.c:
	* plugins/opengl/pgmglxbackend.h:
	Merged rendering and event threads, to avoid deadlocks when using
	Xlib/XCB.
	Added compression (resampling) of MotionNotify events.

	* plugins/opengl/pgmcontext.c:
	Changed the priority of the idle (rendering) update source, so that it
	has a priority as important as the other sources (we don't need to
	check for events twice between each frame, do we?).

	fixes #186

2008-01-30  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmaglbackend.c:
	* plugins/opengl/pgmbackend.c:
	* plugins/opengl/pgmbackend.h:
	* plugins/opengl/pgmcontext.c:
	* plugins/opengl/pgmglxbackend.c:
	* plugins/opengl/pgmglxbackend.h:
	* plugins/opengl/pgmwglbackend.c:
	Added support for freedesktop's startup notification specification in
	the OpenGL plugin.

	fixes #170

2008-01-29  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmcontext.c:
	Added more logging for OpenGL support.

2008-01-28  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmviewport.c:
	* plugins/opengl/pgmcontext.c:
	Changed viewport alpha clear color to 255 by default.

	* examples/clearcolor.c:
	Set the window title.

	* examples/gtk.c:
	Changed the image to star.png.

2008-01-28  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmviewport.c:
	* pgm/pgmviewport.h:
	* win32/common/libpigment.def:
	Removed PGM_VIEWPORT_HAS_CAPS broken macro.
	Added the PGM_VIEWPORT_ALPHA_CLEAR_COLOR capacity to PgmViewportCapacity.
	Added the pgm_viewport_[get,set]_clear_color functions.

	* examples/Makefile.am:
	* examples/clearcolor.c:
	* examples/pictures/Makefile.am:
	Added an example demo'ing the new clear color functions.

	* plugins/opengl/pgmaglbackend.c:
	* plugins/opengl/pgmbackend.c:
	* plugins/opengl/pgmbackend.h:
	* plugins/opengl/pgmcontext.c:
	* plugins/opengl/pgmcontext.h:
	* plugins/opengl/pgmgldefs.h:
	* plugins/opengl/pgmglviewport.c:
	* plugins/opengl/pgmglxbackend.c:
	* plugins/opengl/pgmglxbackend.h:
	* plugins/opengl/pgmwglbackend.c:
	Changed backend show/hide functions to set_visibility.
	Used the immediate queue for the set_visibility backend function.
	Added the glBlendFuncSeparate to the GL loaded functions.
	Implemented the set_clear_color functions adding ARGB visual support to
	the GLX backend.

	* docs/pgm/pigment-sections.txt:
	* docs/pgm/tmpl/pgmviewport.sgml:
	Added the new symbols to the documentation.

	* pgm/pgmimagesink.c:
	Removed trailing windows EOF.

	fixes #215

2008-01-25  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmgltext.c:
	* plugins/opengl/pgmgltext.h:
	Force subpixel text antialiasing.

=== release 0.3.4 ===

2008-01-22  Loïc Molinari  <loic@fluendo.com>

	* configure.ac:
	Correctly check for the sincosf, sinf, cosf and fabs functions.

	* pgm/pgmcommon.h:
	Added support in PGM_SINCOS when there's no sinccosf nor sinf/cosf by
	simply using sin/cos.

	* pgm/pgmplugin.h:
	* pgm/pgmmodule.c:
	Added a version field in the plugin description structure.
	Adapted the PGM_PLUGIN_DEFINE macro.
	Test for the correct version string in the module loader.
	Added logging.

	* plugins/boilerplate/pgmbp.c:
	* plugins/opengl/pgmgl.c:
	Added version paramater to plugin definitions.

	* examples/gtk.c:
	* examples/image.c:
	* examples/mappingmatrix.c:
	* examples/sphere.c:
	* examples/text.c:
	* examples/video.c:
	Changed gl variable name to viewport.
	Init viewport to NULL to correctly test for factory_make success.
	Generalized the factory_make failure displayed error string.

2008-01-21  Loïc Molinari  <loic@fluendo.com>

	* configure.ac:
	* pgm/pgmmodule.c:
	* pigment.spec.in:
	* pkgconfig/pigment.pc.in:
	* plugins/boilerplate/Makefile.am:
	* plugins/opengl/Makefile.am:
	* win32/common/config.h:
	Modified plugin path including @VERSION@ since Pigment doesn't
	guarantee ABI compatibility between core and plugin versions.

2008-01-21  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmviewport.c:
	* pgm/pgmviewport.h:
	Added the pgm_viewport_[get,set]_decorated functions.

	* plugins/opengl/pgmaglbackend.c:
	* plugins/opengl/pgmbackend.c:
	* plugins/opengl/pgmbackend.h:
	* plugins/opengl/pgmcontext.c:
	* plugins/opengl/pgmcontext.h:
	* plugins/opengl/pgmglviewport.c:
	* plugins/opengl/pgmglxbackend.c:
	* plugins/opengl/pgmwglbackend.c:
	Implemented the set_decorated functions in the OpenGL plugin.

	* examples/mappingmatrix.c:
	Added decorations add/remove.

	* win32/common/libpigment.def:
	* docs/pgm/pigment-sections.txt:
	Added new symbols.

2008-01-17  Loïc Molinari  <loic@fluendo.com>

	* docs/pgm/pigment-docs.sgml:
	Just print the package version.

	* plugins/opengl/pgmgltext.c:
	Added support to write the surface to a PNG on Win32.

=== release 0.3.3 ===

2008-01-16  Loïc Molinari  <loic@fluendo.com>

	* Makefile.am:
	* configure.ac:
	* win32/Makefile.am:
	* win32/common/Makefile.am:
	* win32/vs6/Makefile.am:
	Added win32 files to dist.

	* examples/image.c:
	* pgm/pgmimagesink.h:
	* pgm/pgmlinearalgebra.c:
	Removed win32 EOF.

	* win32/README.txt:
	Added explanations.

2008-01-15  Loïc Molinari  <loic@fluendo.com>

	* examples/image.c:
	Added comments.

	* pgm/pgmimagesink.h:
	Removed inclusion of pgm/pgm.h adding only needed headers.

	* pgm/pgmlinearalgebra.c:
	* pgm/pgmviewport.c:
	Fixed compilation warnings with MSVC6.

	* pgm/win32:
	Adapted MSCV6 configuration files for the Python binding split.

2008-01-15  Loïc Molinari  <loic@fluendo.com>

	* tests/check/pgm/pgmimage.c:
	Fixed compilation warning.

2008-01-15  Loïc Molinari  <loic@fluendo.com>

	* docs/pgm/Makefile.am:
	Removed unneeded include directories in CFLAGS.
	Added GTK+ widget files to the rebuild dependency globs.

	* pgm/pgmlinearalgebra.c:
	Added description on the notation and convention used.
	Fixed wrong rotation signs.

	* tests/check/pgm/pgmlinearalgebra.c:
	* examples/gtk.c:
	Adapted to core changes.

2008-01-15  Guillaume Emont  <guillaume@fluendo.com>

	* pgm/Makefile.am:
	Fixed core test coverage reporting.

2008-01-15  Loïc Molinari  <loic@fluendo.com>

	* configure.ac:
	Removed unneeded AC_SUBST.
	Cleaned up commentaries.

	* plugins/opengl/pgmcontext.c:
	Added logging specifying the type of update source added.

2008-01-14  Loïc Molinari  <loic@fluendo.com>

	* configure.ac:
	* pgm/Makefile.am:
	* pgm/gtk/Makefile.am:
	* plugins/boilerplate/Makefile.am:
	* plugins/opengl/Makefile.am:
	* docs/pgm/version-full.xml.in:
	* examples/Makefile.am:
	* pgm/pgm.c:
	Simplified the use of the cflags and libs variables.
	Added check for SVN version using the nano number.
	Made use of -Werror for SVN builds.
	Made use of GST_LEVEL_INFO for pgm_* for SVN build.

	* examples/image.c:
	* examples/sphere.c:
	* examples/video.c:
	* pgm/gtk/pgmgtk.c:
	Fixed compilation warnings.

2008-01-14  Guillaume Emont  <guillaume@fluendo.com>

	* tests/interactive/Makefile.am:
	Fixed the path to libpigment-gtk.

2008-01-11  Loïc Molinari  <loic@fluendo.com>

	* examples/gtk.c:
	Added a rotation to the logo.

2008-01-11  Loïc Molinari  <loic@fluendo.com>

	Python binding split.

	fixes #211

2008-01-10  Loïc Molinari  <loic@fluendo.com>

	* examples/pypgm/Makefile.am:
	Fixed wrong example name.

	* examples/pgm/gtk.c:
	* examples/pypgm/pgmgtk.py:
	Set border widths to 5.

2008-01-09  Loïc Molinari  <loic@fluendo.com>

	* pgm/gtk/pgmgtk.c:
	* pgm/gtk/pgmgtk.h:
	* docs/pgm/pigment-sections.txt:
	Added pgm_gtk_get_viewport symbol.

	* libs/pypgm/pgm/Makefile.am:
	Force recompilation when pgmgtk.override or pgmgtk.c change.

	* libs/pypgm/pgm/pgmgtk.defs:
	* libs/pypgm/pgm/pgmgtk.override:
	Added the new symbol.
	Added the viewport field.

	* examples/pypgm/Makefile.am:
	* examples/pypgm/pgmgtk.py:
	Added example integrating Pigment with GTK+ in Python.

2008-01-09  Guillaume Emont  <guillaume@fluendo.com>

	* tests/check/common/pgmcheck.c:
	* tests/check/common/pgmcheck.h:
	Added PGM_START_TEST / PGM_END_TEST macros, that add support for a
	PGM_CHECKS environment variable.

	* tests/check/pgm/pgm.c:
	* tests/check/pgm/pgmcanvas.c:
	* tests/check/pgm/pgmdrawable.c:
	* tests/check/pgm/pgmimage.c:
	* tests/check/pgm/pgmlinearalgebra.c:
	* tests/check/pgm/pgmtext.c:
	* tests/check/plugins/common/pgmcanvas.c:
	* tests/check/plugins/common/pgmimage.c:
	* tests/check/plugins/common/pgmviewportfactory.c:
	* tests/check/plugins/opengl/pgmgldrawable.c:
	Updated to use PGM_START_TEST / PGM_END_TEST.

	* tests/check/plugins/common/pgmviewport.c:
	Updated to use PGM_START_TEST / PGM_END_TEST.
	Now checks that the callback is called in the test for
	pgm_viewport_read_pixels(). Also fixed the callback prototype.

	* tests/README:
	Added documentation on how to run the tests and how to create new
	ones.

	* tests/interactive/interactive_tests.h:
	* tests/interactive/interface.glade:
	* tests/interactive/interface.xml:
	* tests/interactive/main.c:
	* tests/interactive/pgmimage.c:
	* tests/interactive/test_image_alignment_scaled_horiz.png:
	* tests/interactive/test_image_alignment_scaled_vert.png:
	* tests/interactive/test_image_alignment_zoomed.png:
	* tests/interactive/test_image_basic.png:
	* tests/interactive/test_image_layout.png:
	* tests/interactive/test_text_alignment.png:
	* tests/interactive/test_text_attributes.png:
	* tests/interactive/test_text_basic.png:
	* tests/interactive/test_text_ellipsize.png:
	* tests/interactive/test_text_font.png:
	* tests/interactive/test_text_gravity.png:
	* tests/interactive/test_text_justify.png:
	* tests/interactive/test_text_style.png:
	* tests/interactive/test_text_wrap.png:
	* tests/interactive/Makefile.am:
	* tests/interactive/pgmtext.c:
	Added interactive visual tests for real.

	* configure.ac:
	Added a check for libglade which is used by interactive tests if
	GtkBuilder is present (gtk+ < 2.12).

	* examples/pgm/sphere.c:
	Use g_malloc0() instead of calloc(), for consistency, esp. with the
	fact that we use g_free() for that buffer.

	* pgm/pgmtext.c:
	Fixed a documentation issue (default font height is 0.1f not 0.25f).

	* pgm/pgmviewport.c:
	Added some documentation for plugin writers regarding
	pgm_viewport_push_pixels().

	* plugins/boilerplate/pgmbpviewport.c:
	Added support for read_pixels() in the boilerplate plugin.

2008-01-09  Loïc Molinari  <loic@fluendo.com>

	* configure.ac:
	* pgm/pgm.c:
	Added a workaround for GStreamer versions older than 0.10.13
	which prevent from registering static plugin giving NULL as the plugin
	parameter.

2008-01-09  Loïc Molinari  <loic@fluendo.com>

	* configure.ac:
	* libs/Makefile.am:
	* libs/pgm/Makefile.am:
	* libs/pgm/gtk/Makefile.am:
	* libs/pgm/gtk/pgmgtk.c:
	* libs/pgm/gtk/pgmgtk.h:
	* libs/pypgm/pgm/Makefile.am:
	* examples/pgm/Makefile.am:
	* pgm/Makefile.am:
	Moved the pgmgtk external library to a pgm sources subdir.

	* pgm/gtk/pgmgtk.c:
	* docs/pgm/pigment-docs.sgml:
	* docs/pgm/pigment.types:
	* docs/pgm/pigment-sections.txt:
	* docs/pgm/Makefile.am:
	Added PgmGtk to the docs.
	Improved the pigment description.
	Added an introduction section.

	fixes #195

2008-01-08  Loïc Molinari  <loic@fluendo.com>

	* AUTHORS:
	Moved Alessandro and Benjamin to the author part.

	* pigment.spec.in:
	Removed the pgmimagesink from the package.

2008-01-08  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmdrawable.c:
	Clamped allowed drawable sizes to ([0.0, MAX_FLOAT], [0.0, MAX_FLOAT]).

2008-01-08  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmviewport.c:
	Return a ref of the icon in pgm_viewport_get_icon.

	* libs/pypgm/pgm/pgmviewport.override:
	Unref the icon after the returned PyObject creation in
	Viewport.get_icon.

2008-01-08  Loïc Molinari  <loic@fluendo.com>

	* configure.ac:
	* pgm/Makefile.am:
	* pgm/pgm.c:
	* pgm/pgm.h:
	Removed the GStreamer image sink plugin, it is now statically linked
	to libpigment.
	Register the statically linked sink in pgm_init.

	* pgm/pgmimagesink.c:
	* pgm/pgmimagesink.h:
	Added pgm_image_sink_new and pgm_image_sink_[get,set]_image symbols.

	* docs/pgm/Makefile.am:
	* docs/pgm/pigment-sections.txt:
	* docs/pgm/pigment.types:
	* docs/pgm/tmpl/pgmimagesink.sgml:
	Added docs for the new symbols.

	* misc/pgm-uninstalled:
	* tests/pypgm/run.py:
	* tests/pypgmtools/run.py:
	Removed the GST_PLUGIN_PATH environment variable definition.

	fixes #123

2008-01-07  Guillaume Emont  <guillaume@fluendo.com>

	* plugins/opengl/pgmgltext.c:
	Optimised again unpremultiply_alpha(), for cases where alpha is 0 and
	255 (there was a performance regression with my previous commit).

2008-01-07  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmmarshal.list:
	* pgm/pgmviewport.c:
	* pgm/pgmviewport.h:
	Added pgm_viewport_[read/push]_pixels symbols.
	Added "pixels-read" signal.
	Generalized io watch creation/destruction.
	Removed useless lock in pgm_viewport_dispose.

	* plugins/opengl/pgmcontext.c:
	* plugins/opengl/pgmcontext.h:
	* plugins/opengl/pgmglviewport.c:
	* plugins/opengl/pgmglviewport.h:
	Added support for pgm_viewport_read_pixels.

	* docs/pgm/pigment-sections.txt:
	* docs/pgm/tmpl/pgmviewport.sgml:
	Added docs for the new symbols.

	* tests/check/plugins/common/pgmviewport.c:
	Added tests for the new symbols.

	* examples/pgm/Makefile.am:
	* examples/pgm/sphere.c:
	Added an example for the read_pixels function.

	* plugins/opengl/pgmgltext.c:
	Cosmetic fixes.

2008-01-07  Guillaume Emont  <guillaume@fluendo.com>

	* plugins/opengl/pgmgltext.c:
	Made unpremultiply_alpha() big-endian-proof (hopefully).

	* examples/pypgm/text.py:
	Changed the example so that it shows some colours.

	fixes #81.

2008-01-06  Florian Boucault  <florian@fluendo.com>

	* pgm/pgmimage.c:
	pgm_image_clear now cancels any previous set_from_file.

2008-01-06  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/grid_ng.py:
	* libs/pypgmtools/widgets/list_ng.py:
	Added progressive loading capabilities with a variable number of
	preloaded items on top of those visible.
	Do not always relayout on insertion but only when necessary: more
	efficient.

2008-01-06  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/grid_ng.py:
	* libs/pypgmtools/widgets/list_ng.py:
	More symetrical approach to compute visible and invisible items.
	Do not make transparent the item if only one is shown.

2008-01-04  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmglxbackend.c:
	Logged the x window id.

2008-01-04  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/list_ng.py:
	More generic approach to stopping the deceleration. Fixes cover flow.

2008-01-03  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/grid_ng.py:
	* libs/pypgmtools/widgets/list_ng.py:
	Stop the deceleration when a drag begins.
	List dragging resolution raised.

2008-01-03  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/grid_ng.py:
	Merged changes to list_ng from changeset 947 into grid_ng.

2008-01-03  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/grid_ng.py:
	Reverted changeset 946. Needs discussion.

2008-01-03  Alessandro Decina <alessandro@nnva.org>

	* libs/pypgm/pgm/Makefile.am:
	Add pgmgtk.c to CLEANFILES.

2008-01-03  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/list_ng.py:
	Moved self._dragging assignments to _drag_begin and _drag_end for more
	consistency.
	Factorised code to interrupt deceleration in a separate method which
	is now called on selected_item__set.

2008-01-03  Benjamin Kampmann  <benjamin@fluendo.com>

	* libs/pypgmtools/widgets/grid_ng.py:
	update the selection part, when needed. fixes a lot of issues

2008-01-03  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmdrawable.c:
	Added logging for mouse picking signal emissions.

2008-01-03  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/grid_ng.py:
	* libs/pypgmtools/widgets/list_ng.py:
	Drag resolution changed from seconds to milliseconds.
	Fixes a regression.

2008-01-03  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmcanvas.c:
	Fixed implicit cast warning.

2008-01-03  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/grid_ng.py:
	* libs/pypgmtools/widgets/list_ng.py:
	Inertia improvement: stop the deceleration if edges are reached.

2008-01-03  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/list_ng.py:
	Set drag_motion_resolution the same as in in Grid.
	Moved code from Elisa widget ScrolledList for clicking (do_clicked,
	do_double_clicked).
	Replaced _compute_drag_position by a simpler and easier to understand
	range_start_to_selected which is a reciprocal function of
	selected_item__set. Removed its very frequent calls in dragging.
	Added inertia like capabilities: while dragging a speed is computed
	and then used when the dragging ends to fake a deceleration.

	* libs/pypgmtools/widgets/grid_ng.py:
	Made the code as similar as possible to list_ng to facilitate
	maintenance and ease writing a common base class in the future.
	Direct consequence: same additions and modifications as above.

2008-01-01  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/grid_ng.py:
	* libs/pypgmtools/widgets/list_ng.py:
	Removed useless time.time calls.
	Removed unused local variable (old_start).
	Removed a statement executed twice for no reason.

2007-12-31  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/utils/image.py:
	Removed useless commented wrong crashing code.

	* libs/pypgmtools/utils/maths.py:
	Sinusoidal interpolation was not reaching the maximal value in 1.0 but
	in 0.5.

	* libs/pypgmtools/widgets/grid_ng.py:
	* libs/pypgmtools/widgets/list_ng.py:
	Module constant DRAG_THRESHOLD moved to class variable drag_threshold.
	Factorised widget layout code to a member method layout_widget.

2007-12-31  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/utils/maths.py:
	Added sinusoidal interpolation.

	* libs/pypgmtools/widgets/grid_ng.py:
	* libs/pypgmtools/widgets/list_ng.py:
	Invisibility for items now set through their opacity.
	Fixes extremely annoying bug: items were flickering at random
	places just before being shown while browsing fast. It was especially
	visible on slower machines. Root of the issue remains unknown.

2007-12-26  Alessandro Decina <alessandro@nnva.org>

	* libs/pypgmtools/widgets/grid_ng.py:
	Fix clicking to handle non int-aligned visible_range_start.
	Return False and don't emit child-clicked if an empty area of the grid
	is clicked.

2007-12-22  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/sliced_image.py:
	Parts of the selector should not appear before they are loaded. A
	widget should never set properties on itself (self.visible = ... is
	fundamentally wrong).

2007-12-21  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/grid_ng.py:
	* libs/pypgmtools/widgets/list_ng.py:
	Improved dragging handling. Handles border cases gracefully by applying
	a simple rule: when the dragging ends the list/grid should not move
	more than half the size of an item.

2007-12-21  Alessandro Decina  <alessandro@fluendo.com>

	* libs/pypgm/pgm/Makefile.am:
	* libs/pypgm/pgm/__init__.py:
	* libs/pypgm/pgm/pgmgtk.defs:
	* libs/pypgm/pgm/pgmgtk.override:
	* libs/pypgm/pgm/pgmgtkmodule.c:
	Add bindings for PgmGtk.

2007-12-21  Guillaume Emont  <guillaume@fluendo.com>

	* tests/pypgm/test_canvas.py:
	Fixed the removal tests so that they don't try to work around the bug
	fixed in my previous commit.

2007-12-21  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmglviewport.c:
	* plugins/opengl/pgmglviewport.h:
	Cosmetic fixes.

2007-12-21  Guillaume Emont  <guillaume@fluendo.com>

	* pgm/pgmcanvas.c:
	Now checks that the drawable is in the canvas in pgm_canvas_remove().

2007-12-21  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmglimage.c:
	Do not remove one pixel on the bottom and the right side.

	* plugins/opengl/pgmtexture.c:
	Initialized the content of the YV12 textures with black.
	Changed the texture wrapping mode the CLAMP_TO_EDGE so that we don't
	blend with borders. The issue being that the user sees the clamping when
	he plays with the mapping matrix.

	* plugins/opengl/pgmgltext.c:
	Fixed typo in a commentary.

2007-12-21  Benjamin Kampmann  <benjamin@fluendo.com>

	* libs/pypgmtools/widgets/sliced_image.py:
	make visible after all images got loaded only

2007-12-21  Guillaume Emont  <guillaume@fluendo.com>

	* plugins/opengl/pgmgltext.c:
	Font weight was not updated in update_properties(), meaning it was
	ignored when seting it before adding the text to the canvas.

2007-12-21  Philippe Normand  <philippe@fluendo.com>

	* examples/pgm/Makefile.am:
	pgm_gtk headers are in src dir, not build dir.

2007-12-21  Benjamin Kampmann  <benjamin@fluendo.com>

	* libs/pypgmtools/widgets/sliced_image.py:
	now with static size

2007-12-21  Alessandro Decina  <alessandro@fluendo.com>

	* libs/pypgmtools/widgets/grid_ng.py:
	Fix double-click.

2007-12-20  Guillaume Emont  <guillaume@fluendo.com>

	* plugins/opengl/pgmglimage.c:
	* plugins/opengl/pgmgltext.c:
	* plugins/opengl/pgmglviewport.c:
	Changed the way we register the "changed" callback in the opengl
	plugin (fixes a race condition when a drawable property is changed
	between the creation/sync of the gldrawable and registration of that
	callback).

2007-12-20  Guillaume Emont  <guillaume@fluendo.com>

	* pgm/pgmimage.c:
	Avoid mixing image and async loader locks.
	Removed the pixbuf member of the async loader since it is not needed.
	Now takes a reference to the image in async_loader_read_chunk_cb() to
	avoid the race condition where the image is disposed before we try to
	copy the data in it.

2007-12-20  Alessandro Decina  <alessandro@fluendo.com>

	* libs/pypgmtools/widgets/grid_ng.py:
	Set drag_motion_resolution to 0.05 which seems to be a better magic
	number with the lowest zoom level.

2007-12-20  Lionel Martin  <lionel@fluendo.com>

	* libs/pypgmtools/widgets/grid_ng.py:
	* libs/pypgmtools/widgets/list_ng.py:
	update drag_motion resolution to 0.040

2007-12-20  Alessandro Decina  <alessandro@fluendo.com>

	* libs/pypgmtools/graph/group.py:
	* libs/pypgmtools/widgets/list_ng.py:
	Remove default class closures.

2007-12-20  Lionel Martin  <lionel@fluendo.com>

	* libs/pypgmtools/widgets/grid_ng.py:
	* libs/pypgmtools/widgets/list_ng.py:
	drag_motion resolution is now customizable

2007-12-20  Benjamin Kampmann  <benjamin@fluendo.com>

	* libs/pypgmtools/timing/implicit.py:
	allow setting the end_behavior for the controllers

2007-12-20  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmtexture.c:
	Do not flag as identity the mapping matrix in the clean step. It's
	asynchronous and could reset a previous mapping matrix.

2007-12-20  Alessandro Decina  <alessandro@fluendo.com>

	* libs/pypgmtools/graph/group.py:
	* libs/pypgmtools/widgets/grid_ng.py:
	* libs/pypgmtools/widgets/list_ng.py:
	Move the drag-begin drag-motion drag-end an clicked signals in the Group
	base class.
	Add the child-clicked signal to the widgets.

2007-12-20  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/utils/image.py:
	Changed the method for allocating the Cairo surface.
	Fixes crashes.

2007-12-20  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/grid_ng.py:
	Performance improvements.

2007-12-20  Philippe Normand  <philippe@fluendo.com>

	* libs/pypgmtools/utils/image.py:
	Fixed missing import

2007-12-20  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmglimage.c:
	Correctly blend the border when the drawable opacity changes.

2007-12-20  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/utils/image.py:
	Added a Cairo generated gradient utility function.

2007-12-20  Loïc Molinari  <loic@fluendo.com>

	* examples/pypgm/border.py:
	Described bindings on stdout.
	Fixed title.

2007-12-20  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmimage.c:
	* pgm/pgmimage.h:
	* pgm/pgmdrawable.h:
	Added support for borders around images through the
	pgm_image_[get,set]_border_[width,inner_color,outer_color] symbols.

	* plugins/opengl/pgmglimage.c:
	* plugins/opengl/pgmglimage.h:
	* plugins/opengl/pgmglviewport.c:
	* plugins/opengl/pgmglviewport.h:
	Added support for the borders in the OpenGL plugin.

	* plugins/opengl/pgmcontext.c:
	* plugins/opengl/pgmcontext.h:
	* plugins/opengl/pgmgldefs.h:
	Added new OpenGL definitions.

	* docs/pgm/pigment-sections.txt:
	* docs/pgm/tmpl/pgmdrawable.sgml:
	* docs/pgm/tmpl/pgmimage.sgml:
	Added docs for the new symbols.

	* libs/pypgm/pgm/pgm.defs:
	* libs/pypgm/pgm/pgmimage.override:
	Added Python binding for the new symbols.

	* plugins/opengl/pgmgldrawable.c:
	Do not load the identity before drawing, since the modelview matrix
	is never modified.

	fixes #209

2007-12-20  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/list_ng.py:
	Quicker transition to invisible.

2007-12-20  Alessandro Decina  <alessandro@fluendo.com>

	* libs/pypgmtools/widgets/list_ng.py:
	Emit drag events.

2007-12-19  Alessandro Decina  <alessandro@fluendo.com>

	* libs/pypgmtools/widgets/grid_ng.py:
	Emit drag events.

2007-12-19  Alessandro Decina  <alessandro@fluendo.com>

	* libs/pypgmtools/widgets/grid_ng.py:
	* libs/pypgmtools/widgets/list_ng.py:
	Fix mouse support with touchscreens.

2007-12-19  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/graph/drawable.py:
	* libs/pypgmtools/graph/text.py:
	Removed evil hacks used for Drawable regeneration. This is now part of
	the public C API.

2007-12-19  Guillaume Emont  <guillaume@fluendo.com>

	* pgm/pgmdrawable.c:
	* pgm/pgmdrawable.h:
	Added a pgm_drawable_regenerate() function to force the regeneration
	of a drawable.

	* plugins/opengl/pgmglviewport.c:
	* plugins/opengl/pgmglviewport.h:
	Changed the opengl plugin to handle the new call.

	* docs/pgm/pigment-sections.txt:
	* docs/pgm/tmpl/pgmdrawable.sgml:
	Updated documentation.

	* libs/pypgm/pgm/pgm.defs:
	Updated python binding: pgm.Drawable objects now have a regenerate()
	method.

	Fixes #116

2007-12-19  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/sliced_image.py:
	Removed crazy spaces.

2007-12-19  Lionel Martin  <lionel@fluendo.com>

	* libs/pypgmtools/widgets/sliced_image.py:
	 _compute_layout() is not called before the loading of all the images

2007-12-19  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/Makefile.am:
	* libs/pypgmtools/widgets/curved_list.py:
	* libs/pypgmtools/widgets/grid_view.py:
	* libs/pypgmtools/widgets/image_list.py:
	* libs/pypgmtools/widgets/inprogress/button.py:
	* libs/pypgmtools/widgets/inprogress/choice_box.py:
	* libs/pypgmtools/widgets/inprogress/growing_progressbar.py:
	* libs/pypgmtools/widgets/inprogress/popup.py:
	* libs/pypgmtools/widgets/inprogress/text_button.py:
	* libs/pypgmtools/widgets/inprogress/text_choice_box.py:
	* libs/pypgmtools/widgets/list.py:
	* libs/pypgmtools/widgets/ring_list.py:
	* libs/pypgmtools/widgets/text_list.py:
	Removed deprecated widgets.

2007-12-18  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmlinearalgebra.c:
	* pgm/pgmlinearalgebra.h:
	Added pgm_mat4x4_new_predefined function and PgmMAt4x4Predefined enum.
	Added 4 predefined matrices.

	* docs/pgm/pigment-sections.txt:
	* docs/pgm/tmpl/pgmlinearalgebra.sgml:
	Added docs for the new symbols.

	* libs/pypgm/pgm/pgm.defs:
	Added Python binding for the new symbols.

2007-12-18  Alessandro Decina  <alessandro@fluendo.com>

	* libs/pypgmtools/widgets/grid_ng.py:
	* libs/pypgmtools/widgets/list_ng.py:
	Add mouse drag and click support to the widgets.

2007-12-18  Guillaume Emont  <guillaume@fluendo.com>

	* libs/codegen/Makefile.am:
	* libs/codegen/argtypes.py:
	* libs/codegen/codegen.py:
	* libs/codegen/definitions.py:
	* libs/codegen/defsparser.py:
	* libs/codegen/docgen.py:
	* libs/codegen/h2def.py:
	* libs/codegen/mergedefs.py:
	* libs/codegen/mkskel.py:
	* libs/codegen/override.py:
	* libs/codegen/reversewrapper.py:
	* libs/codegen/scmexpr.py:
	Now use the codegen version used in gstreamer's python binding: it has
	the advantage of adding pyg_begin_allow_threads/pyg_end_allow_threads
	before/after pigment function calls.

	* libs/pypgm/pgm/pgm.override:
	* libs/pypgm/pgm/pgmcanvas.override:
	* libs/pypgm/pgm/pgmdrawable.override:
	* libs/pypgm/pgm/pgmimage.override:
	* libs/pypgm/pgm/pgmtext.override:
	* libs/pypgm/pgm/pgmviewport.override:
	* libs/pypgm/pgm/pgmviewportfactory.override:
	Added pyg_begin_allow_threads / pyg_end_allow_threads before/after
	pigment function calls.

2007-12-18  Loïc Molinari  <loic@fluendo.com>

	* libs/pypgm/pgm/pgm.override:
	Defined Py_ssize_t to int if the Python version is less than 2.5.

	fixes #207

2007-12-18  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmglimage.c:
	Update the texture matrix right after a new texture upload so that
	the matrix for the non power-of-two image is correctly recomputed.

	* examples/pypgm/mappingmatrix.py:
	Cleaned up example.

	* plugins/opengl/pgmtexture.c:
	Cosmetic fix.

2007-12-17  Loïc Molinari  <loic@fluendo.com>

	* libs/pypgm/pgm/pgm.defs:
	* libs/pypgm/pgm/pgmimage.override:
	Added the get/set_mapping_matrix Python binding.

	* examples/pypgm/Makefile.am:
	* examples/pypgm/mappingmatrix.py:
	Added an example on how to use the mapping matrix in Python.

2007-12-17  Loïc Molinari  <loic@fluendo.com>

	* libs/pypgm/pgm/Makefile.am:
	* libs/pypgm/pgm/pgm.defs:
	* libs/pypgm/pgm/pgm.override:
	* libs/pypgm/pgm/pgmlinearalgebra.override:
	Added Python binding for the linear algebra objects and functions.

	* pgm/pgm.c:
	Changed debug category to non-static.

	* pgm/pgmlinearalgebra.c:
	* pgm/pgmlinearalgebra.h:
	Changed to use pgm debug category.
	Added add and substract functions.

	* docs/pgm/pigment-sections.txt:
	* docs/pgm/tmpl/pgmlinearalgebra.sgml:
	Added new linear algebra function to the docs.

	* tests/check/pgm/pgmlinearalgebra.c:
	Added new linear algebra function to the unit tests.

2007-12-16  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/grid_ng.py:
	* libs/pypgmtools/widgets/list_ng.py:
	compute_opacity reimplemented so that border items opacity
	indicates if there are more items available after them.
	This works around the lack of drawable compositing.

2007-12-13  Florian Boucault  <florian@fluendo.com>

	* plugins/opengl/pgmcontext.c:
	Added debug information.

2007-12-14  Loïc Molinari  <loic@fluendo.com>

	* libs/pypgm/pgm/pgm.override:
	Removed leaked ref on the viewport in pgm.viewport_factory_make.

2007-12-13  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmimage.c:
	* pgm/pgmimage.h:
	Added the pgm_image_set/get_mapping_matrix symbols.

	* pgm/pgmlinearalgebra.c:
	* pgm/pgmlinearalgebra.h:
	* pgm/pgmviewport.c:
	* pgm/pgmdrawable.h:
	* pgm/pgmdrawable.c:
	Added new linear algebra methods.
	Adapted drawable code.

	* tests/check/pgm/pgmlinearalgebra.c:
	Added tests for the new linear algebra functions.

	* docs/pgm/tmpl/pgmdrawable.sgml:
	* docs/pgm/tmpl/pgmimage.sgml:
	* docs/pgm/tmpl/pgmlinearalgebra.sgml:
	* docs/pgm/pigment-sections.txt:
	Added new methods to the docs.

	* examples/pgm/Makefile.am:
	* examples/pgm/mappingmatrix.c:
	* examples/pictures/Makefile.am:
	* examples/pictures/meiko.jpg:
	Added an example for the mapping matrix.

	* plugins/opengl/pgmgldefs.h:
	* plugins/opengl/pgmglimage.c:
	* plugins/opengl/pgmglimage.h:
	* plugins/opengl/pgmglviewport.c:
	* plugins/opengl/pgmglviewport.h:
	* plugins/opengl/pgmtexture.c:
	* plugins/opengl/pgmtexture.h:
	Implemented the texture matrix access support.

2007-12-13  Alessandro Decina  <alessandro@fluendo.com>

	* libs/pypgmtools/widgets/Makefile.am:
	Add const.py.

2007-12-12  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmlinearalgebra.c:
	Simplified implementation using existing linear algebra API.

2007-12-12  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmlinearalgebra.c:
	* pgm/pgmlinearalgebra.h:
	Changed the whole API using boxed types.

	* pgm/pgmdrawable.c:
	* pgm/pgmviewport.c:
	* pgm/pgmviewport.h:
	Adapted to the new linear algebra API.
	Removed default projection matrix from the klass, the
	initializations are now done in only one place, the
	update_projection method.

	* plugins/opengl/pgmcontext.c:
	Adapted to the new linear algebra API.

	* tests/check/pgm/Makefile.am:
	* tests/check/pgm/pgmlinalg.c:
	* tests/check/pgm/pgmlinearalgebra.c:
	Moved pgmlinalg.c to pgmlinearalgebra.c.
	Added unit tests for the new linear algebra API.

	* docs/pgm/pigment-sections.txt:
	* docs/pgm/tmpl/pgmlinearalgebra.sgml:
	Adapted docs to the new linear algebra API.

	* pgm/pgmmodule.c:
	Added string.h to avoid compilation warning.

	fixes #203

2007-12-11  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/grid_ng.py:
	Removed selector management. This will be done in a subclass.

2007-12-11  Guillaume Emont  <guillaume@fluendo.com>

	* pgm/pgmimage.c:
	Ensured async_loader_free() is called with image lock held.

2007-12-11  Guillaume Emont  <guillaume@fluendo.com>

	* plugins/opengl/pgmglviewport.c:
	Now uses the update queue and layer locks in pgm_gl_viewport_dispose()
	for it to be thread-safe.

2007-12-11  Philippe Normand  <philippe@fluendo.com>

	* libs/pypgmtools/widgets/sliced_image.py:
	Optional arguments support in constructor

2007-12-10  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/grid_ng.py:
	Rounding error leading to shifting towards the end of the grid.

2007-12-10  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/grid_ng.py:
	* libs/pypgmtools/widgets/list_ng.py:
	Fixed positioning of the elements for the extreme cases.

2007-12-10  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmprogram.c:
	Added a workaround to avoid checking ARB fragment program limits for
	which Mesa returns uninitialized values.

2007-12-10  Philippe Normand  <philippe@fluendo.com>

	* libs/pypgmtools/widgets/grid_ng.py:
	Adjust visible_range_size correctly if we reach the end of the grid.

2007-12-07  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/grid_ng.py:
	Selector position now works fine even at the end of the grid.

2007-12-07  Guillaume Emont  <guillaume@fluendo.com>

	* pgm/pgmimage.c:
	Added a call to gdk_pixbuf_loader_close() as soon as we now the file
	is fully loaded.
	Removed some old commented-out code.

	* tests/check/pgm/pgmimage.c:
	Added a test for the loading of small (< 1024 bytes) images.

	fixes #199

2007-12-07  Guillaume Emont  <guillaume@fluendo.com>

	* plugins/opengl/pgmglviewport.c:
	Fixed a segfault in pgm_gl_viewport_dispose(). The drawables should be
	cleaned before the update queue, since gl_drawable_free() cleans some
	stuff from the update queue.

2007-12-07  Guillaume Emont  <guillaume@fluendo.com>

	 * docs/pgm/version-full.xml.in:
	 * docs/pgm/version-short.xml.in:
	 * configure.ac:
	 * docs/pgm/Makefile.am:
	 * docs/pgm/pigment-docs.sgml:
	 Changed the handling of the version of pigment in the documentation,
	 separated the two variables (full version and major.minor version) in
	 two files, because [gtk-doc | xml | my understanding of them] sucks.
	 This removes the warnings we had when running gtk-doc.

	 fixes #106

2007-12-06  Philippe Normand  <philippe@fluendo.com>

	* libs/pypgmtools/widgets/grid_ng.py:
	Added selector__get

2007-12-06  Philippe Normand  <philippe@fluendo.com>

	* libs/pypgmtools/widgets/grid_ng.py:
	Layout selector when orientation is changed

2007-12-06  Guillaume Emont  <guillaume@fluendo.com>

	* plugins/opengl/pgmgltext.c:
	Changed the font height handling so that the chosen font height is the
	maximum height of a line.

	* examples/pypgm/text.py:
	* pgm/pgmtext.c:
	Updated documentation and example to match with the new font height
	definition.

2007-12-06  Philippe Normand  <philippe@fluendo.com>

	* libs/pypgmtools/widgets/grid_ng.py:
	Layout selector when lines number is updated

	* tests/pypgmtools/run.py:
	Deactivating list tests until list_ng replaces list.

2007-12-05  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/grid_ng.py:
	* libs/pypgmtools/widgets/list_ng.py:
	Layout when resized.
	Better regeneration strategy.

2007-12-05  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/list_ng.py:
	Typo leading to bad resize of elements.

	* libs/pypgmtools/widgets/sliced_image.py:
	Setting the size was still buggy. Now tested and fixed.

2007-12-05  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/sliced_image.py:
	Refactored so that:
	- setting the size works
	- constructor does not need pictures anymore

2007-12-05  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/graph/drawable.py:
	Removed useless code.

	* libs/pypgmtools/timing/implicit.py:
	Implicitly animated objects will now be animated even if not visible
	or with opacity 0. Fixes a long standing issue!

2007-12-05  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmcontext.c:
	* plugins/opengl/pgmcontext.h:
	Added an environment variable to specify a custom framerate.
	Added debug informations.

	* docs/pgm/running.xml:
	Updated docs for the new environment variable.

	* examples/pypgm/timing.py:
	* examples/pypgm/video.py:
	Added fullscreen key handler.

	* plugins/opengl/pgmwglbackend.c:
	Cosmetic fixes.

	* win32/vs6/libpigment.dsp:
	Changed C runtime.

2007-12-05  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/timing/implicit.py:
	'mode' attribute was stored in the wrong object and everything used to
	break from time to time.

	* libs/pypgmtools/widgets/list_ng.py:
	Removed awful hacks.
	Added 'size' property support.

2007-12-05  Guillaume Emont  <guillaume@fluendo.com>

	* plugins/opengl/pgmcontext.c:
	Added support for a PGM_GL_PROGRAMS environment variable to deactivate
	all use of vertex/fragment programs.

	* docs/pgm/running.xml:
	Documented the PGM_GL_PROGRAMS variable.

2007-12-04  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/sliced_image.py:
	Removed trailing spaces.

2007-12-04  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmaglbackend.c:
	* plugins/opengl/pgmbackend.c:
	* plugins/opengl/pgmcontext.c:
	* plugins/opengl/pgmgl.c:
	* plugins/opengl/pgmgldrawable.c:
	* plugins/opengl/pgmglimage.c:
	* plugins/opengl/pgmgltext.c:
	* plugins/opengl/pgmglviewport.c:
	* plugins/opengl/pgmglxbackend.c:
	* plugins/opengl/pgmtexture.c:
	* plugins/opengl/pgmwglbackend.c:
	Put pgmtexture and pgmcontext in the pgm_gl debug category.
	Changed debug descriptions.

	* docs/pgm/running.xml:
	Replaced upper-cases debug categories to lower-cases.

	* pgm/pgm.c:
	Cosmetic fixes.

2007-12-03  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/list_ng.py:
	Fixes raised exception upon calling compute_z.
	Removed dead code.

2007-12-03  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/circular_list_ng.py:
	New circle variant of list ng.

	* libs/pypgmtools/widgets/list_ng.py:
	Public methods for computation of items size.
	Zoom reactivated.

2007-12-03  Guillaume Emont  <guillaume@fluendo.com>

	* pgm/pgm.c:
	* pgm/pgmcanvas.c:
	* pgm/pgmdrawable.c:
	* pgm/pgmimage.c:
	* pgm/pgmimagesink.c:
	* pgm/pgmlinearalgebra.c:
	* pgm/pgmmodule.c:
	* pgm/pgmtext.c:
	* pgm/pgmviewport.c:
	* pgm/pgmviewportfactory.c:
	* plugins/boilerplate/pgmbpviewport.c:
	* plugins/opengl/pgmaglbackend.c:
	* plugins/opengl/pgmbackend.c:
	* plugins/opengl/pgmcontext.c:
	* plugins/opengl/pgmgl.c:
	* plugins/opengl/pgmgldrawable.c:
	* plugins/opengl/pgmglimage.c:
	* plugins/opengl/pgmgltext.c:
	* plugins/opengl/pgmglviewport.c:
	* plugins/opengl/pgmglxbackend.c:
	* plugins/opengl/pgmprogram.c:
	* plugins/opengl/pgmtexture.c:
	* plugins/opengl/pgmwglbackend.c:
	Added support for a PGM_DEBUG environment variable.
	Made each object have its own debug category where possible.
	Renamed some debugging categories.
	Made debugging categories static where possible.
	Changed the log level of some messages.

	* docs/pgm/running.xml:
	Updated documentation.

2007-12-03  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/grid_ng.py:
	resolution of animation is now the default one (from the implicit
	animation framework).

	* libs/pypgmtools/widgets/list_ng.py:
	resolution of animation is now the default one (from the implicit
	animation framework).
	zoom variation deactivated: performance improvement.

2007-12-03  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmviewport.c:
	* pgm/pgmviewport.h:
	* win32/common/libpigment.def:
	Removed the pgm_viewport_update symbol.

	* plugins/opengl/pgmcontext.c:
	* plugins/opengl/pgmcontext.h:
	* plugins/opengl/pgmglviewport.c:
	* plugins/opengl/pgmglxbackend.c:
	* plugins/opengl/pgmwglbackend.c:
	Adapted OpenGL plugin. It's now automatically updated when an
	object property is changed. The rendering thread updates and
	renders in an idle source blocked on the vertical synchronization.
	After 500 ms of incativity the idle source is removed.
	Updated FPS displaying function using a counter incremented at
	each passes in a second. That's more accurate.

	* libs/pypgmtools/timing/implicit.py:
	Reduced to 10 ms the update resolution for implicit animation. It
	takes a bit more CPU, but it's smoother.

	* plugins/boilerplate/pgmbpviewport.c:
	Adapted boilerplate plugin.

	* docs/pgm/pigment-sections.txt:
	* docs/pgm/tmpl/pgmviewport.sgml:
	Adapted docs.

	* examples/pgm/gtk.c:
	* examples/pgm/image.c:
	* examples/pgm/sphere.c:
	* examples/pgm/text.c:
	* examples/pgm/video.c:
	* examples/pypgm/cloning.py:
	* examples/pypgm/groups.py:
	* examples/pypgm/image.py:
	* examples/pypgm/implicit.py:
	* examples/pypgm/sphere.py:
	* examples/pypgm/text.py:
	* examples/pypgm/timing.py:
	* examples/pypgm/video.py:
	* examples/pypgm/viewports.py:
	* examples/pypgm/webcam.py:
	Adapted examples.

	* libs/pypgm/pgm/pgm.defs:
	Adapted Python binding.

	* libs/pypgmtools/widgets/console.py:
	* libs/pypgmtools/widgets/curved_list.py:
	* libs/pypgmtools/widgets/grid_ng.py:
	* libs/pypgmtools/widgets/grid_view.py:
	* libs/pypgmtools/widgets/image_list.py:
	* libs/pypgmtools/widgets/inprogress/button.py:
	* libs/pypgmtools/widgets/inprogress/choice_box.py:
	* libs/pypgmtools/widgets/inprogress/growing_progressbar.py:
	* libs/pypgmtools/widgets/inprogress/popup.py:
	* libs/pypgmtools/widgets/inprogress/text_button.py:
	* libs/pypgmtools/widgets/inprogress/text_choice_box.py:
	* libs/pypgmtools/widgets/list.py:
	* libs/pypgmtools/widgets/list_ng.py:
	* libs/pypgmtools/widgets/ring_list.py:
	* libs/pypgmtools/widgets/scrollbar.py:
	* libs/pypgmtools/widgets/text_list.py:
	Adapted Python widgets

	* tests/check/plugins/opengl/pgmgldrawable.c:
	* tests/interactive/pgmtext.c:
	* tests/pypgm/test_viewport.py:
	Adapted tests.

	fixes #198

2007-12-03  Philippe Normand  <philippe@fluendo.com>

	* libs/pypgmtools/widgets/sliced_image.py:
	Make images visible only after they've been loaded to avoid white
	rectangles being displayed.

2007-11-30  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/graph/drawable.py:
	Performance improvement.

2007-11-30  Guillaume Emont  <guillaume@fluendo.com>

	* pgm/pgmimage.c:
	Fix: was unlocking instead of locking.

2007-11-30  Guillaume Emont  <guillaume@fluendo.com>

	* pgm/pgmimage.c:
	Fixed a regression: now we send the changed signal again when
	clearing an image, so that the plugin is aware of the clearing.

2007-11-30  Philippe Normand  <philippe@fluendo.com>

	* libs/pypgmtools/graph/group.py:
	* libs/pypgmtools/widgets/list_ng.py:
	Make use of super()

2007-11-30  Loïc Molinari  <loic@fluendo.com>

	* examples/pypgm/text-list-widget/bar.png:
	* examples/pypgm/text-list-widget/bg-green-stripes.png:
	* examples/pypgm/text-list-widget/bg-green.png:
	* examples/pypgm/text-list-widget/selector-green.png:
	* examples/pypgm/text-list-widget/selector.png:
	* examples/pypgm/text-list-widget/shade.png:
	* examples/pypgm/text-list-widget/speaker-green-reflection.png:
	* examples/pypgm/text-list-widget/speaker-green.png:
	* examples/pypgm/text-list-widget/textlist.py:
	Removed deprecated example.

2007-11-30  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmimage.c:
	Checked if the pixbuf has been correctly retrieved.

2007-11-29  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/graph/group.py:
	Do not remove a drawable from a non existing canvas.

	* libs/pypgmtools/widgets/grid_ng.py:
	Renamed from List to Grid.
	Do not accept a canvas nor a layer in __init__ anymore.

	* libs/pypgmtools/widgets/list_ng.py:
	* libs/pypgmtools/widgets/scrollbar.py:
	* libs/pypgmtools/widgets/sliced_image.py:
	Do not accept a canvas nor a layer in __init__ anymore.

2007-11-29  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/graph/group.py:
	* tests/pypgmtools/test_group.py:
	* tests/pypgmtools/test_list.py:
	Added the possibility to create a Group without a Canvas.

	* libs/pypgmtools/widgets/grid_ng.py:
	CairoSelector is not available anymore.

2007-11-29  Philippe Normand  <philippe@fluendo.com>

	* libs/pypgmtools/graph/text.py:
	Hack to regenerate either text or markup

2007-11-29  Philippe Normand  <philippe@fluendo.com>

	* libs/pypgmtools/utils/Makefile.am:
	* libs/pypgmtools/utils/image.py:
	* libs/pypgmtools/widgets/Makefile.am:
	* libs/pypgmtools/widgets/const.py:
	* libs/pypgmtools/widgets/grid_ng.py:
	* libs/pypgmtools/widgets/list_ng.py:
	* libs/pypgmtools/widgets/scrollbar.py:
	* libs/pypgmtools/widgets/sliced_image.py:
	Migrating new widgets from elisa/sandbox.

2007-11-29  Philippe Normand  <philippe@fluendo.com>

	* libs/pypgmtools/widgets/Makefile.am:
	These files exist no more.

2007-11-29  Philippe Normand  <philippe@fluendo.com>

	* libs/pypgmtools/widgets/circular_list.py:
	* libs/pypgmtools/widgets/dock.py:
	* libs/pypgmtools/widgets/player_osd.py:
	* libs/pypgmtools/widgets/slideshow.py:
	* libs/pypgmtools/widgets/top_level_menu.py:
	* libs/pypgmtools/widgets/volume_osd.py:
	Those Elisa specific widgets have moved to Elisa SVN.

2007-11-29  Guillaume Emont  <guillaume@fluendo.com>

	* pgm/pgmimage.c:
	Now frees the asynchronous loader immediately once a file is loaded.

2007-11-28  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmcontext.c:
	Added debug info on the GL renderer before checking if the correct
	GL version is supported.

2007-11-28  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmtexture.c:
	Initialize memory texture content to remove the ugly lines which
	was sometimes appearing on top and bottom of images with a
	bilinear filtering.

2007-11-28  Philippe Normand  <philippe@fluendo.com>

	* libs/pypgmtools/utils/classinit.py:
	GClassInitMeta now inherit from ClassInitMeta

2007-11-28  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmwglbackend.c:
	Fixed scroll event which was containing the position function of
	the screen origin.

	* win32/vs6/libpigment.dsp:
	Changed libc to multithreaded-dll.

2007-11-28  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmglxbackend.c:
	Fixed wrong embedder test disabling keyboard event pushing when not
	embedded.

2007-11-27  Loïc Molinari  <loic@fluendo.com>

	* configure.ac:
	* libs/Makefile.am:
	* libs/pgm/Makefile.am:
	* libs/pgm/gtk/Makefile.am:
	* libs/pgm/gtk/pgmgtk.c:
	* libs/pgm/gtk/pgmgtk.h:
	Added a GTK+ widget used to embed a PgmViewport. A new library has
	been created since we don't want a dependency on GTK+ in the core.

	* pgm/pgmviewport.c:
	* pgm/pgmviewport.h:
	Added flag PGM_VIEWPORT_APPLICATION_EMBEDDING in PgmViewportCapacity.
	Added pgm_viewport_get_embedding_id symbol.

	* plugins/opengl/pgmbackend.c:
	* plugins/opengl/pgmbackend.h:
	* plugins/opengl/pgmglviewport.c:
	* plugins/opengl/pgmglviewport.h:
	* plugins/opengl/pgmglxbackend.c:
	* plugins/opengl/pgmglxbackend.h:
	* plugins/opengl/pgmwglbackend.c:
	Implemented the is_embeddable and get_embedding_id methods.
	Implemented support for the XEmbed specification in the GLX backend.
	Moved feature flags in the GLX backend from defines to an enum.

	* examples/pgm/Makefile.am:
	* examples/pgm/gtk.c:
	Added an example demonstrating the GTK+ widget integration.

	* docs/pgm/pigment-docs.sgml:
	* docs/pgm/pigment-sections.txt:
	* docs/pgm/pigment.types:
	* docs/pgm/tmpl/pgmviewport.sgml:
	Updated doc for the GTK+ widget.
	Fixed object hierarchy integration.

	* pkgconfig/Makefile.am:
	* pkgconfig/pigment-gtk.pc.in:
	Added the pkg-config file for the new libpigment-gtk library.

	fixes #179

2007-11-27  Guillaume Emont  <guillaume@fluendo.com>

	* pgm/pgmimage.c:
	Removed references between master and slaves when cloning.
	Factored image clearing code.

	* tests/check/pgm/pgmimage.c:
	Changed refcounts in tests since cloning does not increase refcounts
	anymore.

	* plugins/opengl/pgmglimage.c:
	* plugins/opengl/pgmglimage.h:
	For cloning, now use ->texture and ->native_texture instead of
	->texture and ->master.
	Only try to map a master texture onto a clone if the master is in the
	same viewport.

	fixes #163

2007-11-27  Guillaume Emont  <guillaume@fluendo.com>

	* pgm/pgmimage.c:
	Fixed a race condition in asynchronous image loading.

	* tests/check/pgm/pgmimage.c:
	The generated test image is now bigger and generated using gdk-pixbuf.

	* tests/check/plugins/common/pgmimage.c:
	Added a forgotten unref.

2007-11-27  Philippe Normand  <philippe@fluendo.com>

	* libs/pypgmtools/graph/drawable.py:
	* libs/pypgmtools/graph/group.py:
	* libs/pypgmtools/graph/text.py:
	API addition in Group and Drawable: regenerate(). Use it to redraw
	a drawable.

2007-11-27  Philippe Normand  <philippe@fluendo.com>

	* libs/pypgmtools/widgets/top_level_menu.py:
	No need to redefine metaclass, it's already done in Group

2007-11-27  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/timing/implicit.py:
	List of animated attributes can now be passed to the constructor of
	AnimatedObject.
	Fixes access to some private attributes specific to AnimatedObject.

2007-11-27  Alessandro Decina  <alessandro@fluendo.com>

	* tests/pypgmtools/test_group.py:
	* tests/pypgmtools/test_image.py:
	* tests/pypgmtools/test_list.py:
	Update the tests to pass now that pypgmtools.graph.group.Group is a
	GObject.

2007-11-27  Philippe Normand  <philippe@fluendo.com>

	* libs/pypgmtools/graph/group.py:
	* libs/pypgmtools/utils/classinit.py:
	Made Group a GObject, so we can define signals and maybe use
	GObject properties in the future.

2007-11-27  Loïc Molinari  <loic@fluendo.com>

	* examples/pgm/image.c:
	Changed event timestamp format.

2007-11-26  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmglxbackend.c:
	Grab the mouse pointer while dragging.

	fixes #191

2007-11-26  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmdrawable.c:
	Changed wrong "scrolled" signal prototype.

	* plugins/opengl/pgmglxbackend.c:
	* examples/pgm/image.c:
	Scroll directions were inverted.

2007-11-26  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmdrawable.c:
	* pgm/pgmdrawable.h:
	* pgm/pgmviewport.c:
	* examples/pgm/image.c:
	Added "scrolled" signal support to PgmDrawable.
	Checked the emission mask before going deeper in picking detection.

	fixes #190

2007-11-26  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmwglbackend.c:
	Changed depth buffer size to avoid z-fighting.

2007-11-23  Guillaume Emont  <guillaume@fluendo.com>

	* tests/check/plugins/common/pgmimage.c:
	* tests/check/plugins/common/Makefile.am:
	* tests/check/plugins/common/pgmplugintestsuite.c:
	* tests/check/plugins/common/pgmplugintestsuite.h:
	Added a test for #162 in plugin tests.

2007-11-23  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmglxbackend.c:
	* plugins/opengl/pgmglxbackend.h:
	Moved function pointer types to CamelCase.

2007-11-23  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmcontext.c:
	* plugins/opengl/pgmwglbackend.c:
	* plugins/opengl/pgmwglbackend.h:
	Added support for VBlank syncing in the Win32/WGL backend.

2007-11-21  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmwglbackend.c:
	Capture the mouse on button press to get events even when the
	mouse is outside the client area.

2007-11-21  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmwglbackend.c:
	* plugins/opengl/pgmwglbackend.h:
	Added workaround to avoid strange locks when the window is shown.

	* win32/vs6/pypgm.dsp:
	* win32/vs6/pypgm.mak:
	Adapted Python binding project so that the release build works.

2007-11-20  Loïc Molinari  <loic@fluendo.com>

	* misc/pgm-uninstalled:
	Removed unused completion stuff.
	Cleaned up and added comments.

2007-11-19  Philippe Normand  <philippe@fluendo.com>

	* libs/pypgmtools/timing/implicit.py:
	New method in AnimatedObject to dynamically update animation
	parameters.

2007-11-15  Philippe Normand  <philippe@fluendo.com>

	* libs/pypgmtools/timing/implicit.py:
	Expose the object being animated to the API user via the
	"static_object" read-only property.

2007-11-09  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmgldrawable.c:
	* plugins/opengl/pgmglimage.c:
	* plugins/opengl/pgmglimage.h:
	* plugins/opengl/pgmgltext.c:
	* plugins/opengl/pgmtexture.c:
	* plugins/opengl/pgmtexture.h:
	Removed GL objects locks since update and render pass are now done
	in the same thread.

	* plugins/opengl/pgmcontext.c:
	#ifdef backend selection as it's done everywhere else.

2007-11-08  Loïc Molinari  <loic@fluendo.com>

	* libs/pypgm/pgm/pgmevent.override:
	Check for float instead of int for (x, y) event attributes.

	* tests/pypgm/test_event.py:
	Give floating-point value to (x, y) event attributes.

	* tests/pypgm/test_image.py:
	Removed constructor test since it doesn't take args anymore.

2007-11-08  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmwglbackend.h:
	* plugins/opengl/pgmwglbackend.c:
	Added all the necessary features to Win32/WGL backend, wooh!

	* win32/README.txt:
	Added description of the win32 support.

	* win32/common/config.h:
	* win32/common/libgstpgmimagesink.rc:
	* win32/common/libpgmboilerplate.rc:
	* win32/common/libpgmopengl.rc:
	* win32/common/libpigment.def:
	* win32/common/libpigment.rc:
	* win32/common/pypgm.rc:
	Added win32 files common to the different compilers.

	* win32/vs6/image.dsp:
	* win32/vs6/libgstpgmimagesink.dsp:
	* win32/vs6/libgstpgmimagesink.mak:
	* win32/vs6/libpgmboilerplate.dsp:
	* win32/vs6/libpgmboilerplate.mak:
	* win32/vs6/libpgmopengl.dsp:
	* win32/vs6/libpgmopengl.mak:
	* win32/vs6/libpigment.dsp:
	* win32/vs6/libpigment.mak:
	* win32/vs6/makefile.mak:
	* win32/vs6/pigment.dsw:
	* win32/vs6/pypgm.dsp:
	* win32/vs6/pypgm.mak:
	Added MSVC6 project files.

	* libs/pypgm/pgm/pgmviewport.override:
	* libs/pypgm/pgm/pgmtext.override:
	* libs/pypgm/pgm/pgmcanvas.override:
	* libs/pypgm/pgm/pgmdrawable.override:
	* libs/pypgm/pgm/pgmmodule.c:
	* plugins/opengl/pgmgltext.c:
	* plugins/opengl/pgmcontext.c:
	* pgm/pgmlinearalgebra.c:
	* pgm/pgmcommon.h:
	Removed unused variable.
	Fixed implicit cast warnings.

	* libs/pypgm/pgm/pgmevent.override:
	Switched event position to floating point as in the core.
	Raise AttributeError in getattr when it's not an event attribute.

	* libs/pypgm/pgm/pgmimage.override:
	Simplified constructor, no more arguments can be passed in.
	Removed set_from_fd, new_from_fd and alloc_gst_buffer methods.
	Removed unused variables.

	* libs/pypgm/pgm/pgm.defs:
	Moved PGM_IMAGE_DATA_FD to PGM_IMAGE_DATA_PIXBUF in DrawableProperty.
	Removed the set_from_fd and alloc_gst_buffer methods.

	* plugins/opengl/pgmglviewport.h:
	* plugins/opengl/pgmglviewport.c:
	* pgm/pgmviewport.c:
	* pgm/pgmcanvas.c:
	* pgm/pgmcanvas.h:
	Moved near, middle and far variable names to near_layer, middle_layer
	and far_layer since near and far are MSVC keywords.

	* pgm/pgmimage.c:
	* pgm/pgmimage.h:
	Removed pgm_image_[set_from_fd,new_from_fd,alloc_gst_buffer] functions.
	Moved "fd-loaded" signal to "pixbuf-loaded"
	Refactored asynchronous loader to use a stream handle instead of a file
	descriptor.

	* plugins/opengl/pgmgl.c:
	Added use of HAVE_WGL_H define

	* docs/pgm/pigment-sections.txt:
	Removed pgm_image_[set_from_fd,new_from_fd,alloc_gst_buffer] symbols.

	* tests/check/pgm/pgmimage.c:
	Removed test for pgm_image_set_from_fd.

	* examples/*:
	Switched to pgm_viewport_factory_make.
	Removed unneeded os import for the Python examples.
	Removed useless tests.

	* README:
	Updated dependencies for Ubuntu.

	fixes #139

2007-11-06  Guillaume Emont  <guillaume@fluendo.com>

	* configure.ac:
	* tests/check/Makefile.am:
	* tests/check/common-tests.am:
	* tests/check/common/Makefile.am:
	* tests/check/common/common-tests.am:
	* tests/check/common/pgmcheck.c:
	* tests/check/common/pgmcheck.h:
	* tests/check/opengl/Makefile.am:
	* tests/check/opengl/pgmgldrawable.c:
	* tests/check/pgm/Makefile.am:
	* tests/check/pgm/pgmcanvas.c:
	* tests/check/pgm/pgmtext.c:
	* tests/check/pgm/pgmviewport.c:
	* tests/check/pgm/pgmviewportfactory.c:
	* tests/check/plugins/Makefile.am:
	* tests/check/plugins/boilerplate/Makefile.am:
	* tests/check/plugins/boilerplate/plugin_test_suite.c:
	* tests/check/plugins/common/Makefile.am:
	* tests/check/plugins/common/pgmcanvas.c:
	* tests/check/plugins/common/pgmplugintestsuite.c:
	* tests/check/plugins/common/pgmplugintestsuite.h:
	* tests/check/plugins/common/pgmviewport.c:
	* tests/check/plugins/common/pgmviewportfactory.c:
	* tests/check/plugins/opengl/Makefile.am:
	* tests/check/plugins/opengl/pgmgldrawable.c:
	* tests/check/plugins/opengl/plugin_test_suite.c:
	Changed tests/check organisation so that tests for the core and tests
	for plugins are separated. (new plugins/ directory, opengl/ stuff
	moved to plugins/opengl, part of pgm/ moved to plugins/common/).
	Created a libpgmplugintestsuite.a in tests/check/plugins/common/ that
	regroups tests that should be run against all plugins.

2007-11-05  Guillaume Emont  <guillaume@fluendo.com>

	* tests/check/common/Makefile.am:
	Created a tests/check/common/ directory.

	* configure.ac:
	* tests/check/Makefile.am:
	Reflected the creation of the common/ directory.

	* tests/check/pgmcheck.c:
	* tests/check/pgmcheck.h:
	Moved libpgmcheck.a to common/.

	* tests/check/common-tests.am:
	* tests/check/pgm/pgmcanvas.c:
	* tests/check/pgm/pgmdrawable.c:
	* tests/check/pgm/pgmimage.c:
	* tests/check/pgm/pgmviewport.c:
	Reflected the new location of libpgmcheck.a and pgmcheck.h.

2007-11-02  Florian Boucault  <florian@fluendo.com>

	* examples/pypgm/timing.py:
	timeout_add takes a reference to a function.

2007-11-01  Lionel Martin  <lionel@fluendo.com>

	* examples/pypgm/cloning_tests.py:
	* examples/pypgm/groups.py:
	* examples/pypgm/implicit.py:
	* examples/pypgm/ratio_tests.py:
	* examples/pypgm/stress_clone.py:
	* examples/pypgm/text-list-widget/textlist.py:
	* examples/pypgm/timing.py:
	* examples/pypgm/viewports.py:
	* libs/pypgmtools/widgets/circular_list.py:
	* libs/pypgmtools/widgets/curved_list.py:
	* libs/pypgmtools/widgets/dock.py:
	* libs/pypgmtools/widgets/grid_view.py:
	* libs/pypgmtools/widgets/image_list.py:
	* libs/pypgmtools/widgets/inprogress/button.py:
	* libs/pypgmtools/widgets/inprogress/choice_box.py:
	* libs/pypgmtools/widgets/inprogress/growing_progressbar.py:
	* libs/pypgmtools/widgets/inprogress/popup.py:
	* libs/pypgmtools/widgets/list.py:
	* libs/pypgmtools/widgets/progressbar_osd.py:
	* libs/pypgmtools/widgets/ring_list.py:
	* libs/pypgmtools/widgets/slideshow.py:
	* libs/pypgmtools/widgets/top_level_menu.py:
	changing all the set_from_fd call by set_from_file

2007-10-31  Guillaume Emont  <guillaume@fluendo.com>

	* tests/check/common-tests.am:
	* tests/check/opengl/Makefile.am:
	These files should have been added in the previous commit.

2007-10-31  Guillaume Emont  <guillaume@fluendo.com>

	* configure.ac:
	* tests/Makefile.am:
	* tests/check/Makefile.am:
	* tests/check/pgm/Makefile.am:
	Reorganised test architecture a bit to allow easy addition of opengl
	tests.

	* tests/check/pgm/pgmdrawable.c:
	Reactivated some fixtures, in unchecked mode so that it runs with old
	check/gstcheck.

2007-10-26  Guillaume Emont  <guillaume@fluendo.com>

	* tests/check/pgmcheck.c:
	* tests/check/pgmcheck.h:
	Added test assertion macros (ASSERT_PGM_SUCCESS, ASSERT_PGM_ERROR,
	ASSERT_PGM_ERROR_WITH_CRITICAL, ASSERT_PGM_ERROR_WITH_WARNING), as
	well as default fixtures and the PGM_USE_STANDARD_FIXTURES macro.

	* tests/check/Makefile.am:
	Reflected the addition of pgmcheck.c, so that tests are linked with
	pgmcheck.o.

	* pgm/pgmimage.c:
	Added a check on the result of pgm_image_set_from_file() in
	pgm_image_new_from_file().

	* pgm/pgmviewport.c:
	In pgm_viewport_from_canvas() and pgm_viewport_to_canvas(), added
	checks on parameters, and a check of whether a canvas is bound to the
	viewport.

	* plugins/boilerplate/pgmbpviewport.c:
	Added dummy implementation of pgm_bp_viewport_get_screen_resolution()
	and pgm_bp_viewport_set_screen_size_mm().

	* tests/check/pgm/pgm.c:
	* tests/check/pgm/pgmcanvas.c:
	* tests/check/pgm/pgmdrawable.c:
	* tests/check/pgm/pgmimage.c:
	* tests/check/pgm/pgmviewport.c:
	Added new tests.
	Made some modifications to make use of the new pgmcheck stuff.

	fixes #184

2007-10-24  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/Makefile.am:
	* libs/pypgmtools/widgets/circular_list.py:
	New list similar to CurvedList but circular instead of parabolic.

	* libs/pypgmtools/widgets/list.py:
	Back to initial behaviour where new animations are appended to
	previous ones and not replacing them.

2007-10-23  Guillaume Emont  <guillaume@fluendo.com>

	* docs/pgm/pigment-sections.txt:
	* pgm/pgmplugin.h:
	* plugins/boilerplate/pgmbpviewport.c:
	* plugins/opengl/pgmaglbackend.c:
	* plugins/opengl/pgmbackend.c:
	* plugins/opengl/pgmgldrawable.c:
	* plugins/opengl/pgmglimage.c:
	* plugins/opengl/pgmgltext.c:
	* plugins/opengl/pgmglviewport.c:
	* plugins/opengl/pgmglxbackend.c:
	* plugins/opengl/pgmwglbackend.c:
	Added PGM_DEFINE_DYNAMIC_TYPE and PGM_DEFINE_DYNAMIC_TYPE_EXTENDED,
	and use them instead of the G_ equivalent, since they are not
	available on GLib < 2.13 and it's better not to define G_ stuff in
	pigment.

2007-10-23  Loïc Molinari  <loic@fluendo.com>

	* docs/pgm/pigment-sections.txt:
	Added a PgmModule section with its private symbols.
	Removed PGM_EXPORT from doc symbols.

	* pgm/pgmdrawable.h:
	Fixed gtk-doc struct parameter.

	* pgm/pgmplugin.h:
	* pgm/pgmmodule.h:
	* pgm/pgmmodule.c:
	Added gtk-doc module description using previous description comment.
	Removed unneeded paddings.

	* pgm/pgmviewport.c:
	* plugins/opengl/pgmcontext.c:
	Moved G_OS_UNIX ifdef after glib.h inclusion.

	* plugins/opengl/pgmgl.c:
	Included various headers to avoid warnings.

	* plugins/opengl/pgmglxbackend.c:
	Moved type to const to avoid warning.

	* pgm/pgmviewportfactory.c:
	* pgm/pgmviewportfactory.h:
	Cosmetic fixes.

2007-10-22  Loïc Molinari  <loic@fluendo.com>

	* win32:
	* win32/README.txt:
	* win32/vs8:
	* win32/vs8/libpgmboilerplate.vcproj:
	* win32/vs8/libpgmboilerplate.rc:
	* win32/vs8/libpgmopengl.vcproj:
	* win32/vs8/libgstpgmimagesink.vcproj:
	* win32/vs8/libpgmopengl.rc:
	* win32/vs8/libgstpgmimagesink.rc:
	* win32/vs8/_pgm.vcproj:
	* win32/vs8/libpigment-0.3.vcproj:
	* win32/vs8/libpigment-0.3.rc:
	* win32/vs8/pigment.sln:
	* win32/common:
	* win32/common/pgmversion.h:
	* win32/common/_pgm.def:
	* win32/common/libgstplugin.def:
	* win32/common/libpigment-0.3.def:
	* win32/common/libpgmplugin.def:
	* win32/common/glib-mkenums:
	* win32/common/config.h:
	Added project files for MSVC8.

	* plugins/boilerplate/pgmbp.c:
	* plugins/boilerplate/pgmbpviewport.c:
	Moved all GST_DEBUG() to GST_DEBUG_OBJECT().

	* plugins/opengl/pgmtexture.c:
	Added explicit casts to the void* buffer to make MSVC8 happy.

	* plugins/opengl/pgmwglbackend.h:
	* plugins/opengl/pgmwglbackend.c:
	Implemented basic support for WGL.

	* plugins/opengl/pgmglxbackend.h:
	Changed feature mask type from gint to guint.

	* plugins/opengl/pgmglxbackend.c:
	* plugins/opengl/pgmglviewport.c:
	Moved getenv() to g_getenv().

	* plugins/opengl/pgmglimage.h:
	* plugins/opengl/pgmgltext.h:
	Removed trailing ";".

	* plugins/opengl/pgmcontext.c:
	Added preprocessor conditions to support GL backend and file descriptors
	depending on the compilation platform.

	* plugins/opengl/pgmbackend.c:
	Cosmetic fix.

	* pgm/pgmcommon.h:
	* docs/pgm/pigment-sections.txt:
	Removed unneeded preprocessor defintions.

	* pgm/pgmviewport.c:
	Added preprocessor conditions to support file descriptors depending on
	the compilation platform.

	* README:
	Added Windows support part.

2007-10-19  Guillaume Emont  <guillaume@fluendo.com>

	* pgm/pgmplugin.h:
	Added a definition of G_DEFINE_TYPE_DYNAMIC and
	G_DEFINE_TYPE_DYNAMIC_EXTENDED for compatibility with glib < 2.13.

2007-10-19  Guillaume Emont  <guillaume@fluendo.com>

	* pgm/Makefile.am:
	* pgm/pgmmodule.c:
	* pgm/pgmmodule.h:
	* pgm/pgmplugin.h:
	* pgm/pgmviewportfactory.c:
	* pgm/pgmviewportfactory.h:
	* docs/pgm/tmpl/pgmplugin.sgml:
	Added a PgmModule class inheriting from GTypeModule to handle
	plugins correctly (see #168).
	Changed PgmPluginInitFunc and PgmPluginShutdownFunc so that they take
	a GTypeModule in parameter to allow plugins to register dynamic types.

	* plugins/boilerplate/pgmbp.c:
	* plugins/boilerplate/pgmbpviewport.c:
	* plugins/boilerplate/pgmbpviewport.h:
	* plugins/opengl/pgmaglbackend.c:
	* plugins/opengl/pgmaglbackend.h:
	* plugins/opengl/pgmbackend.c:
	* plugins/opengl/pgmbackend.h:
	* plugins/opengl/pgmgl.c:
	* plugins/opengl/pgmgldrawable.c:
	* plugins/opengl/pgmgldrawable.h:
	* plugins/opengl/pgmglimage.c:
	* plugins/opengl/pgmglimage.h:
	* plugins/opengl/pgmgltext.c:
	* plugins/opengl/pgmgltext.h:
	* plugins/opengl/pgmglviewport.c:
	* plugins/opengl/pgmglviewport.h:
	* plugins/opengl/pgmglxbackend.c:
	* plugins/opengl/pgmglxbackend.h:
	* plugins/opengl/pgmwglbackend.c:
	* plugins/opengl/pgmwglbackend.h:
	Updated plugins so that they register their types as dynamic.

	* tests/check/pgm/pgmviewport.c:
	* tests/check/pgm/pgmviewportfactory.c:
	* tests/pypgm/run.py:
	Reactivated tests that were commented out because of #168.

	fixes #168

2007-10-19  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmimage.c:
	* pgm/pgmimage.h:
	Added pgm_image_new_from_file and pgm_image_set_from_file symbols.
	Moved PgmImageFd storage type to PgmImagePixbuf.

	* pgm/pgmdrawable.h:
	Moved PGM_IMAGE_DATA_FD property to PGM_IMAGE_DATA_PIXBUF.

	* plugins/opengl/pgmglimage.c:
	* plugins/opengl/pgmglimage.h:
	* plugins/opengl/pgmglviewport.c:
	Updated the plugin to support new storage type.

	* libs/pypgm/pgm/pgm.defs:
	* libs/pypgm/pgm/pgmimage.override:
	Added new symbols to the Python binding.

	* examples/pgm/image.c:
	* examples/pypgm/image.py:
	Adapted examples to use new symbols.

	* docs/pgm/pigment-sections.txt:
	* docs/pgm/tmpl/pgmdrawable.sgml:
	* docs/pgm/tmpl/pgmimage.sgml:
	Added new symbols in doc.

	fixes #182

2007-10-16  Guillaume Emont  <guillaume@fluendo.com>

	* configure.ac:
	* tests/check/Makefile.am:
	Disabled opengl tests by default, since these break under xvfb.

2007-10-16  Guillaume Emont  <guillaume@fluendo.com>

	* tests/Makefile.am:
	Added interactive to DIST_SUBDIRS to fix make distcheck.

2007-10-16  Guillaume Emont  <guillaume@fluendo.com>

	* tests/check/Makefile.am:
	* tests/check/opengl/pgmdrawable.c:
	Re-renamed pgmdrawable.c into pgmgldrawable.c to avoid automake
	getting confused.

2007-10-16  Guillaume Emont  <guillaume@fluendo.com>

	* tests/check/opengl/drawableref.c:
	* tests/check/opengl/pgmdrawable.c:
	Renamed drawableref.c to pgmdrawable.c.
	Changed the default timeout for it to 10 secs, since it can take a
	while on slow machines.

2007-10-16  Guillaume Emont  <guillaume@fluendo.com>

	* tests/check/opengl/drawableref.c:
	* tests/check/pgm/pgmopengl.c:
	Moved opengl tests to their own directory.

	* tests/interactive/Makefile.am:
	* tests/interactive/pgmtext.c:
	* tests/Makefile.am:
	* tests/README:
	Added an interactive test directory with a first test.

	* configure.ac:
	Added support for --disable-opengl-tests for build bot
	Added tests/interactive/Makefile to the list of makefiles to
	generate

	* plugins/boilerplate/Makefile.am:
	* plugins/opengl/Makefile.am:
	* tests/check/Makefile.am:
	Updated some makefiles to have make coverage check the coverage of the
	plugins as well.
	Updated tests/check/Makefile.am to conditionally build/launch the
	opengl tests.


2007-10-10  Guillaume Emont  <guillaume@fluendo.com>

	* tests/tools/coverage/coverage-report-entry.pl
	* tests/tools/coverage/coverage-report.pl
	* tests/tools/coverage/coverage-report.xsl
	Added coverage report tools (taken from common/coverage in gstreamer).

	* configure.ac
	* pgm/Makefile.am
	* tests/Makefile.am
	* tests/check/Makefile.am
	Changed configure.ac and makefiles to support coverage reports:
	the call to gcov is now made with LC_ALL=C
	added a dependency to perl
	added GCOV_CFLAGS and GCOV_LIBS where needed
	separated a bit more .h and .c files in pgm/Makefile.am
	added gcov output to the list of stuff to be cleaned

2007-10-08  Alessandro Decina  <alessandro@fluendo.com>

	* tests/pypgmtools/test_group.py:
	* tests/pypgmtools/test_image.py:
	* tests/pypgmtools/test_list.py:
	Fix the tests to pass with pygobject >= 2.13.0.

2007-10-05  Guillaume Emont  <guillaume@fluendo.com>

	* pgm/pgmviewportfactory.c:
	Made PgmViewportFactory a semi-singleton (only one instance per
	possible plugin).
	fixes #124

	* tests/check/pgm/pgmviewportfactory.c:
	Added tests for the semi-singleton feature.

2007-10-04  Loïc Molinari  <loic@fluendo.com>

	* Makefile.am:
	Added RELEASE file to dist.

=== release 0.3.2 ===

2007-10-03  Loïc Molinari  <loic@fluendo.com>

	* configure.ac:
	Updated AC_INIT.

2007-10-03  Loïc Molinari  <loic@fluendo.com>

	* configure.ac:
	* plugins/Makefile.am:
	* tests/check/Makefile.am:
	Removed checks for the DirectFB plugin, not supported anymore.

	* tests/pypgm/Makefile.am:
	Disabled known failure for the next release.

2007-10-03  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmdrawable.c:
	* pgm/pgmdrawable.h:
	* examples/pgm/image.c:
	Added PgmDrawable 'double-clicked' signal support.

2007-10-02  Guillaume Emont  <guillaume@fluendo.com>

	* pgm/pgmimage.c:
	Added a g_source_remove in fd_loader_read_chunk_cb() when the loading
	of a file has failed or is finished.

2007-10-02  Loïc Molinari  <loic@fluendo.com>

	* docs/Makefile.am:
	Install documentation even if --enable-gtk-doc not passed.
	fixes #150

2007-10-02  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmimage.c:
	Correctly clean up the storage data when disposed.

	* plugins/opengl/pgmglviewport.c:
	Free the change tasks when removing a GL drawable from the viewport.
	Clean up everything correctly when the GL viewport is disposed.

	* tests/check/Makefile.am:
	* tests/check/pgm/pgmopengl.c:
	Added unit tests for the OpenGL plugin.

2007-10-02  Philippe Normand  <philippe@fluendo.com>

	* libs/pypgmtools/widgets/volume_osd.py:
	Made the volume dock a bit wider

2007-10-02  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmviewport.c:
	* plugins/opengl/pgmcontext.c:
	* plugins/opengl/pgmglviewport.c:
	Fixed memory leaks.
	Generalized the use of the walk variable name to iterate through lists.

2007-10-01  Florian Boucault  <florian@fluendo.com>

	* tests/pypgmtools/test_group.py:
	* tests/pypgmtools/test_image.py:
	Added gst refcount checks.

2007-10-01  Guillaume Emont  <guillaume@fluendo.com>

	* configure.ac:
	Added a check for cairo, added examples in the printed summary and
	fixed a small indentation issue.

	* examples/pgm/Makefile.am:
	Added stuff to compile the sphere example if cairo is present.

	* examples/pgm/sphere.c:
	New example in C using cairo. Similar to examples/pypgm/sphere.py, but
	allows the user to move the sphere around with the keyboard.

2007-10-01  Alessandro Decina  <alessandro@fluendo.com>

	* configure.ac:
	Add GST_PLUGINS_BASE_CFLAGS to PGM_CFLAGS.

2007-10-01  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/graph/group.py:
	Leak fixed: removing a Group from a Group kept a reference to the
	parent in the child Group.

	* libs/pypgmtools/timing/implicit.py:
	Leak fixed: a reference to the object was kept because the
	modifiers were not cleaned. I still do not know why: unit tests
	are needed for the animation framework.

	* libs/pypgmtools/widgets/list.py:
	Leak fixed: stopping animations after removal of the implicitely
	animated objects.
	Now refuses to insert already inserted objects.
	Better exception handling.

	* tests/pypgmtools/Makefile.am:
	* tests/pypgmtools/run.py:
	* tests/pypgmtools/test_group.py:
	* tests/pypgmtools/test_image.py:
	* tests/pypgmtools/test_list.py:
	More unit tests concerning refcounting.

2007-10-01  Guillaume Emont <guillaume@fluendo.com>

	* configure.ac:
	* examples/Makefile.am:
	Added a --disable-examples flag to give the user the choice not to
	build examples. Fixes #38.

2007-10-01  Philippe Normand  <philippe@fluendo.com>

	* examples/pypgm/ratio_tests.py:
	Screen/viewport/canvas ratio tests

2007-09-30  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/list.py:
	Insertion at current index was not acting consistently: currently
	selected item must remain selected regardless of item
	insertion/removal.

2007-09-30  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/volume_osd.py:
	Better positioning in height of the text in the volume OSD.

2007-09-29  Lionel Martin  <lionel@fluendo.com>

	* examples/pypgm/cloning_removal_test.py:
	rename cloning_removal_test.py in cloning_tests.py
	pigment crashes when you use as master a image not added in a canvas
	see #163

2007-09-29  Lionel Martin  <lionel@fluendo.com>

	* examples/pypgm/cloning_removal_test.py:
	* examples/pypgm/stress_clone.py:
	Add two samples for clone testing
	Find a bug in cloning : see #162

2007-09-28  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmimage.c:
	Update the ratio of the slaved images when image data change.

	* plugins/opengl/pgmglimage.c:
	* plugins/opengl/pgmglimage.h:
	Use another variable to store the master texture.

2007-09-28  Benjamin Kampmann  <benjamin@fluendo.com>

	* libs/pypgmtools/widgets/player_osd.py:
	corrected time calculating

2007-09-28  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmcontext.c:
	* plugins/opengl/pgmglviewport.c:
	* plugins/opengl/pgmglviewport.h:
	Flush the update queue in the rendering thread and then render. It's
	much faster, and avoid blocking the application during a Viewport
	update. Every Pigment calls are now non-blocking, neat!

2007-09-28  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmglxbackend.c:
	Use swap_control as the default VBlank method for all drivers.

2007-09-27  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmgldrawable.c:
	Added a type check.

	* plugins/opengl/pgmglimage.c:
	* plugins/opengl/pgmgltext.c:
	Take a ref on the generic drawable at creation and unref when
	disposing.

	* plugins/opengl/pgmglviewport.c:
	Deferred adding and removing of the GL drawable at update time.
	Fixed a lock.

2007-09-26  Loïc Molinari  <loic@fluendo.com>

	* tests/check/pgm/pgmimage.c:
	Checked that errno equals EBADF.

2007-09-26  Loïc Molinari  <loic@fluendo.com>

	* tests/check/pgm/pgmimage.c:
	Added a test checking that pgm_image_set_from_fd correctly closes
	the file descriptor.

2007-09-26  Florian Boucault  <florian@fluendo.com>

	* pgm/pgmimage.c:
	Documentation fixed: 'canvas' should read 'image'.

2007-09-25  Loïc Molinari  <loic@fluendo.com>

	* docs/pgm/pigment.types:
	* docs/pgm/tmpl/pgmimage.sgml:
	* pgm/pgmcanvas.c:
	* pgm/pgmdrawable.c:
	* pgm/pgmimage.c:
	* pgm/pgmimage.h:
	* pgm/pgmviewport.c:
	Added the "fd-loaded" signal to PgmImage.
	Added static storage type to pgm_*_signals variables.

2007-09-25  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmviewport.c:
	The wrong canvas instance was given to g_signal_handler_disconnect
	in set_canvas.

	* tests/pypgm/test_drawable.py:
	* tests/pypgm/test_viewport.py:
	Adapted to API changes.
	Fixed the build.

	* FAQ:
	Removed unused file.

	* TODO:
	Updated tasks.

2007-09-25  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/top_level_menu.py:
	Top-level menu labels removed. Fixes Elisa bug #606.

2007-09-25  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgm.c:
	* pgm/pgmcanvas.c:
	* pgm/pgmcommon.h:
	* pgm/pgmdrawable.c:
	* pgm/pgmevents.c:
	* pgm/pgmimage.c:
	* pgm/pgmimagesink.c:
	* pgm/pgmlinearalgebra.c:
	* pgm/pgmplugin.h:
	* pgm/pgmtext.c:
	* pgm/pgmversion.h.in:
	* pgm/pgmviewport.c:
	* pgm/pgmviewportfactory.c:
	Doc updates.

2007-09-25  Loïc Molinari  <loic@fluendo.com>

	* libs/pypgm/pgm/pgmviewport.override:
	* libs/pypgm/pgm/pgm.defs:
	* libs/pypgm/pgm/pgmdrawable.override:
	* libs/pypgm/pgm/pgmevent.override:
	Added update_projection, from_canvas and to_canvas Viewport methods in
	the Python binding.

	* docs/pgm/pigment-sections.txt:
	* docs/pgm/tmpl/pgmdrawable.sgml:
	* docs/pgm/tmpl/pgmviewport.sgml:
	* libs/pypgm/pgm/pgm.defs:
	* libs/pypgm/pgm/pgmdrawable.override:
	* libs/pypgm/pgm/pgmviewport.override:
	* pgm/pgmdrawable.c:
	* pgm/pgmdrawable.h:
	* pgm/pgmviewport.c:
	* pgm/pgmviewport.h:
	* plugins/boilerplate/pgmbpviewport.c:
	* plugins/opengl/pgmcontext.c:
	* plugins/opengl/pgmcontext.h:
	* plugins/opengl/pgmgldrawable.c:
	* plugins/opengl/pgmgldrawable.h:
	* plugins/opengl/pgmglimage.c:
	* plugins/opengl/pgmgltext.c:
	* plugins/opengl/pgmglviewport.c:
	* plugins/opengl/pgmglviewport.h:
	* tests/check/pgm/pgmviewport.c:
	Removed useless arc, stroking and shadowing methods from PgmDrawable.
	Removed SHADOW and STROKE capilility bits from PgmViewport.
	Removed useless get/set_color methods from PgmViewport.
	Removed useless PGM_VIEWPORT_CANVAS macro.

	* pgm/pgmevents.c:
	* pgm/pgmevents.h:
	* plugins/opengl/pgmglxbackend.c:
	Added support for key modifiers.

	* docs/pgm/tmpl/pgmviewport.sgml:
	* docs/pgm/pigment-sections.txt:
	* docs/pgm/tmpl/pgmevents.sgml:
	Updated docs regarding API changes.

	* README:
	Added a description on how to use Pigment uninstalled.

	* HACKING:
	Added 80 chars line wrap guideline.
	Cleaned up.

2007-09-25  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/list.py:
	Fix: pop now returns the removed element.

2007-09-24  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/list.py:
	Fixed the case where the only element of a list was popped.

2007-09-24  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/player_osd.py:
	Fixed title font size with a temporary hack: waiting for fix in PgmText.

2007-09-24  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/list.py:
	FIXME added about handling of negative indexes.
	Code factorized (_is_visible).
	Mode switched back to REPLACE: smoother animation.
	Fixed useless updating on insertion or removal of non visible items.

2007-09-21  Loïc Molinari  <loic@fluendo.com>

	* README:
	Moved cairo dependency to the OpenGL plugin section.
	Added pango OpenGL plugin dependency.

	* docs/pgm/pigment-sections.txt:
	Removed protected PgmDrawable symbols.

	* pgm/Makefile.am:
	Added pgmversion.h to dist.

	* pigment.spec.in:
	Fixed hard-coded Python dependency.

	* plugins/opengl/pgmcontext.c:
	* plugins/opengl/pgmglxbackend.c:
	Removed some UTF-8 characters.

2007-09-20  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmcanvas.c:
	* pgm/pgmdrawable.h:
	* plugins/opengl/pgmcontext.c:
	* plugins/opengl/pgmgldrawable.c:
	* plugins/opengl/pgmglimage.c:
	* plugins/opengl/pgmgltext.h:
	* plugins/opengl/pgmgltext.c:
	* plugins/opengl/pgmglviewport.c:
	* plugins/opengl/pgmglviewport.h:
	Improved OpenGL plugin performance using a task queue for the changes
	to apply, the queue is then flushed at viewport update.
	Added a lock dedicated to layers access to avoid using Viewport lock.
	Generalized use of g_list_foreach.

2007-09-20  Loïc Molinari  <loic@fluendo.com>

	* HACKING:
	Updated coding guidelines.

2007-09-20  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/list.py:
	Small bugfix.

2007-09-20  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmdrawable.c:
	* pgm/pgmdrawable.h:
	* pgm/pgmimage.c:
	* pgm/pgmimage.h:
	* pgm/pgmtext.c:
	Added a protected method _pgm_drawable_emit_changed so that subclasses
	of PgmDrawable can properly emit the 'changed' signal.

	* pgm/pgmevents.h:
	* pgm/pgmviewport.h:
	Added parenthesis around bitfield enum definitions.

	* pgm/pgmviewportfactory.c:
	Moved hard-coded max recursion depth value as a define.
	Reorganized methods in sections.

	* docs/pgm/pigment-sections.txt:
	Added protected methods of drawables in the private section.

2007-09-20  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgm.h:
	* pgm/Makefile.am:
	* pgm/pgmlinalg.c:
	* pgm/pgmlinalg.h:
	* pgm/pgmlinearalgebra.c:
	* pgm/pgmlinearalgebra.h:
	* docs/pgm/tmpl/pgmlinalg.sgml:
	* docs/pgm/tmpl/pgmlinearalgebra.sgml:
	* tests/check/pgm/pgmlinalg.c:
	Added many basic Vec3 functions.
	Added line-plane intersection function.
	Added function testing if a point belongs to a rectangle.
	Moved LinAlg to LinearAlgebra.
	Added the pgm_mat4x4_inverse symbol.
	Added the pgm_mat4x4_transpose symbol.
	Added unit tests.

	* pgm/pgmviewport.c:
	* pgm/pgmviewport.h:
	Generalized the projection system including a 4x4 projection matrix
	as a public property that plugins can use to do the projection.
	Added the from/to_canvas symbols to project/unproject vectors between
	the two coordinates spaces.
	Added the update_projection symbol to do an explicit update of the
	projection matrix.
	Added support for multi-press events.

	* pgm/pgmcanvas.c:
	* pgm/pgmdrawable.c:
	* pgm/pgmdrawable.h:
	Added the "pressed", "released", "clicked", "double-clicked",
	"drag-begin", "drag-motion" and "drag-end" signals.
	Moved PGM_DRAWABLE_UNBINDED to PGM_DRAWABLE_UNBOUND.

	* pgm/pgmmarshal.list:
	Added new marshallers for the new signals.
	Added the list of possible types as a comment.

	* libs/pypgm/pgm/pgm.defs:
	* pgm/pgmevents.h:
	Converted PgmButtonType to use bitfield enum values to make picking
	implementation easier and faster.

	* plugins/opengl/pgmgldefs.h:
	Added PGM_GL_MODELVIEW_MATRIX and PGM_GL_PROJECTION_MATRIX defines.

	* plugins/opengl/pgmglviewport.c:
	* plugins/opengl/pgmcontext.c:
	* plugins/opengl/pgmgldrawable.c:
	* plugins/opengl/pgmglimage.c:
	* plugins/opengl/pgmgltext.c:
	Adapted the plugin to the new projection system.

	* plugins/opengl/pgmglxbackend.c:
	Removed multi-press support since it's now in the base viewport class.

	* configure.ac:
	* pgm/pgmcommon.h:
	Added the PGM_FABSF macro.

	* docs/pgm/pigment-docs.sgml:
	* docs/pgm/pigment-sections.txt:
	* docs/pgm/tmpl/pgmdrawable.sgml:
	* docs/pgm/tmpl/pgmviewport.sgml:
	Updated docs for the new symbols.

	fixes #148

2007-09-19  Florian Boucault  <florian@fluendo.com>

	* README:
	Grammar mistake fixed.

2007-09-19  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/timing/implicit.py:
	Forgotten assignement that was breaking setup_next_animations.

2007-09-18  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/timing/implicit.py:
	Syntax fixes.

2007-09-17  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/timing/implicit.py:
	Optimisation: do not recreate an animation when the target value is the
	same.

	* libs/pypgmtools/widgets/dock.py:
	Added convenience methods.

	* libs/pypgmtools/widgets/slideshow.py:
	Reworked slideshow.

	* libs/pypgmtools/widgets/top_level_menu.py:
	Better looking by setting to visible at a different time.

2007-09-14  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmimage.c:
	* pgm/pgmimage.h:
	Added asynchronous image loading from file descriptor. The image
	is now loaded in the Pigment main loop by chunks of 1kb.

2007-09-14  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/top_level_menu.py:
	Fixes wrong animation when menu fades out.

2007-09-13  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/top_level_menu.py:
	Nicer selection animation.
	Fixes a crash.

2007-09-10  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmimage.c:
	* pgm/pgmimage.h:
	Added the pgm_image_get_storage_type_type symbol.

	* docs/pgm/pigment-sections.txt:
	* docs/pgm/tmpl/pgmimage.sgml:
	Updated doc for the new symbol.

	* libs/pypgm/pgm/pgm.defs:
	* libs/pypgm/pgm/pgmimage.override:
	Update binding for the new symbol.

	* tests/check/pgm/pgmimage.c:
	Added test for the new symbol.

2007-09-10  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/top_level_menu.py:
	Improved performances.

2007-09-07  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/timing/controller.py:
	end_callback now really called at the end so that it is possible to
	interact with the controller itself within the callback.

	* libs/pypgmtools/timing/implicit.py:
	end_callback added.
	is_animated method added.

	* libs/pypgmtools/widgets/slideshow.py:
	Completely refurbished.

2007-09-06  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/dock.py:
	Big cleanup of the show method.

2007-09-06  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmevents.c:
	Changed copy memory allocation call to use the GSlice allocator.

2007-09-05  Lionel Martin  <lionel@fluendo.com>

	* libs/pypgmtools/widgets/dock.py:
	add possibility to show the dock all the time

2007-09-05  Loïc Molinari  <loic@fluendo.com>

	Patch by: Lionel Martin <lionel@fluendo.com>

	* pgm/pgmviewport.h:
	* pgm/pgmviewport.c:
	Added a lock dedicated to event handling. It avoids the need to wait
	for the viewport lock which is long on high load, leading to delays
	in event processing.

2007-09-03  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/image_transition.py:
	Do not reload an already loaded picture. Hope it helps.

2007-09-03  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/image_transition.py:
	Nicer transition.

2007-08-31  Loïc Molinari  <loic@fluendo.com>

	* tests/Makefile.am:
	* tests/README:
	* tests/misc/vsync.c:
	Added program meant to test VBlank syncing mechanisms effectiveness.
	Added file describing subdirs in tests.
	Added unit tests in the dist.

2007-08-31  Florian Boucault  <florian@fluendo.com>

	* docs/pgm/compiling.xml:
	* docs/pgm/pigment-docs.sgml:
	* docs/pgm/running.xml:
	* pgm/pgm.c:
	* pgm/pgmcanvas.c:
	* pgm/pgmcommon.h:
	Documentation review leading to fixes.

2007-08-29  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmviewport.h:
	* plugins/opengl/pgmaglbackend.c:
	* plugins/opengl/pgmbackend.c:
	* plugins/opengl/pgmbackend.h:
	* plugins/opengl/pgmglviewport.c:
	* plugins/opengl/pgmglxbackend.c:
	* plugins/opengl/pgmwglbackend.c:
	* libs/pypgm/pgm/pgmviewport.override:
	* docs/pgm/tmpl/pgmviewport.sgml:
	Added the HARDWARE_ACCELERATION caps mask to the viewport.
	fixes #152

2007-08-28  Loïc Molinari  <loic@fluendo.com>

	* pgm/Makefile.am:
	* pgm/pgm.h:
	* pgm/pgmcommon.h:
	* pgm/pgmlinalg.c:
	* pgm/pgmlinalg.h:
	Added a bunch of maths and linear algebra useful macros and functions.

	* docs/pgm/pigment-docs.sgml:
	* docs/pgm/pigment-sections.txt:
	* docs/pgm/tmpl/pgmcommon.sgml:
	* docs/pgm/tmpl/pgmlinalg.sgml:
	Added documentation for the maths and linear algebra functions.

	* tests/check/Makefile.am:
	* tests/check/pgm/pgmlinalg.c:
	Added units tests for the linear algebra functions.

	* configure.ac:
	Added AC_GNU_SOURCE and checked for the sincos GNU extension function.
	Linked libpigment with -lm.

	* plugins/boilerplate/pgmbpviewport.c:
	Fixed wrong method prototype.

2007-08-22  Loïc Molinari  <loic@fluendo.com>

	* libs/pypgm/pgm/pgm.override:
	* libs/pypgm/pgm/pgmviewport.override:
	Added correct arg type to overrided function definitions.
	fixes #147

=== release 0.3.1 ===

2007-08-03  Loïc Molinari  <loic@fluendo.com>

	* tests/check/Makefile.am:
	* tests/check/pgm/pgmrectangle.c:
	* tests/pypgm/Makefile.am:
	* tests/pypgm/run.py:
	* tests/pypgm/test_rectangle.py:
	Removed unit tests concerning PgmRectangle.

2007-08-03  Loïc Molinari  <loic@fluendo.com>

	* docs/pgm/pigment-docs.sgml:
	* docs/pgm/pigment-sections.txt:
	* docs/pgm/tmpl/pgmdrawable.sgml:
	* docs/pgm/tmpl/pgmellipse.sgml:
	* docs/pgm/tmpl/pgmimage.sgml:
	* docs/pgm/tmpl/pgmimagesink.sgml:
	* docs/pgm/tmpl/pgmrectangle.sgml:
	* docs/pgm/tmpl/pgmtext.sgml:
	* docs/pgm/tmpl/pgmviewportfactory.sgml:
	* libs/pypgm/pgm/pgm.defs:
	* pgm/Makefile.am:
	* pgm/pgm.h:
	* pgm/pgmcanvas.c:
	* pgm/pgmcanvas.h:
	* pgm/pgmdrawable.h:
	* pgm/pgmellipse.c:
	* pgm/pgmellipse.h:
	* pgm/pgmimage.h:
	* pgm/pgmimagesink.h:
	* pgm/pgmrectangle.c:
	* pgm/pgmrectangle.h:
	* pgm/pgmtext.h:
	* pgm/pgmviewport.h:
	* pgm/pgmviewportfactory.h:
	Removed deprecated Ellipse and Rectangle objects.
	Documentation fixes.

2007-08-02  Florian Boucault  <florian@fluendo.com>

	* examples/pictures/dvd-blurred_256x256.png:
	* examples/pictures/dvd-normal_256x256.png:
	* examples/pictures/dvd-reflected_256x256.png:
	* examples/pictures/grid-view-bg-masks.xcf:
	* examples/pictures/grid-view-bg.png:
	* examples/pictures/music-blurred_256x256.png:
	* examples/pictures/music-normal_256x256.png:
	* examples/pictures/music-reflected_256x256.png:
	* examples/pictures/photo-blurred_256x256.png:
	* examples/pictures/photo-normal_256x256.png:
	* examples/pictures/photo-reflected_256x256.png:
	* examples/pictures/service-blurred_256x256.png:
	* examples/pictures/service-normal_256x256.png:
	* examples/pictures/service-reflected_256x256.png:
	* examples/pictures/video-blurred_256x256.png:
	* examples/pictures/video-normal_256x256.png:
	* examples/pictures/video-reflected_256x256.png:
	* examples/pypgm/Makefile.am:
	* libs/pypgmtools/graph/deprecated/element.py:
	* libs/pypgmtools/graph/deprecated/group.py:
	* libs/pypgmtools/graph/deprecated/wrappers.py:
	* libs/pypgmtools/widgets/Makefile.am:
	* libs/pypgmtools/widgets/button.py:
	* libs/pypgmtools/widgets/choice_box.py:
	* libs/pypgmtools/widgets/growing_progressbar.py:
	* libs/pypgmtools/widgets/image_list.py:
	* libs/pypgmtools/widgets/pictures/dvd.png:
	* libs/pypgmtools/widgets/pictures/movie.png:
	* libs/pypgmtools/widgets/pictures/music.png:
	* libs/pypgmtools/widgets/pictures/pictures.png:
	* libs/pypgmtools/widgets/pictures/services.png:
	* libs/pypgmtools/widgets/popup.py:
	* libs/pypgmtools/widgets/slideshow.py:
	* libs/pypgmtools/widgets/text_button.py:
	* libs/pypgmtools/widgets/text_choice_box.py:
	Cleanup of pictures and widgets.

2007-08-02  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmcontext.c:
	* plugins/opengl/pgmglimage.c:
	* plugins/opengl/pgmgltext.c:
	Locked GL Viewport during the whole update pass.
	Fixed #109, #142, #119
	Refs #143

2007-08-02  Philippe Normand  <philippe@fluendo.com>

	* tests/pypgm/Makefile.am:
	* tests/pypgmtools/Makefile.am:
	Fixed make check for srcdir != builddir

2007-08-02  Philippe Normand  <philippe@fluendo.com>

	* tests/Makefile.am:
	* tests/pypgm/Makefile.am:
	* configure.ac:
	Integrated Python unittests in make check

2007-08-02  Loïc Molinari  <loic@fluendo.com>

	Patch by: Brian Cameron <brian.cameron@sun.com>

	* configure.ac:
	* libs/pypgm/pgm/Makefile.am:
	Made it build on OpenSolaris. refs #131

2007-08-02  Philippe Normand  <philippe@fluendo.com>

	* Makefile.am:
	* configure.ac:
	* docs/pgm/Makefile.am:
	* examples/pgm/Makefile.am:
	* libs/pypgm/pgm/Makefile.am:
	* misc/Makefile.am:
	* pgm/Makefile.am:
	* plugins/boilerplate/Makefile.am:
	* plugins/opengl/Makefile.am:
	* tests/check/Makefile.am:
	Fixed the build for "make distcheck" and when builddir != srcdir,
	fixes #99, #100

	* tests/pypgm/test_image.py:
	* tests/pypgm/test_pgm.py:
	* tests/pypgm/test_viewport.py:
	Deactivated tests of unused/not-working calls.

	* libs/pypgm/pgm/pgmviewport.override:
	Override set_canvas() to allow None argument

2007-08-02  Loïc Molinari  <loic@fluendo.com>

	* configure.ac:
	Removed XRandR unused dependency.

	* pigment.spec.in:
	Updated for the 0.3. fixes #117

	* pgm/pgmviewport.h:
	Added missing field descriptions.

2007-08-02  Philippe Normand  <philippe@fluendo.com>

	* tests/check/pgm/pgmviewport.c:
	* tests/check/pgm/pgmviewportfactory.c:
	Disabled tests using pgm_viewport_factory_make(), refs #105

2007-08-02  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmtexture.c:
	Added non-NULL checks at bind/unbind steps.

2007-08-02  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmglviewport.c:
	* plugins/opengl/pgmglviewport.h:
	Refactored GL drawables sync with generic drawables.
	Added documentation.

2007-08-01  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmdrawable.c:
	Added lock to access drawable.

	* plugins/opengl/pgmtexture.c:
	Added object validity checks.

	* pgm/pgmcanvas.c:
	Fixed possible deadlock.

	* TODO:
	Updated list.

2007-07-31  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmprogram.c:
	Added a workaround to fix fp TEX write mask problem in DRI R300.
	Added the ARB_precision_hint_fastest option in csp programs.

2007-07-31  Philippe Normand  <philippe@fluendo.com>

	* libs/pypgmtools/widgets/player_osd.py:
	Hide the progress bar when the player can't report the media's length

2007-07-31  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmimagesink.c:
	Update image's canvas caps at the getcaps step.

	* docs/pgm/running.xml:
	Removed old render stuff.

2007-07-30  Loïc Molinari  <loic@fluendo.com>

	* docs/pgm/running.xml:
	Added description of the OpenGL plugin environment variable.
	fixes #130

	* pgm/pgmcanvas.c:
	Fixed protected methods documentation.

2007-07-30  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmcanvas.c:
	* pgm/pgmcanvas.h:
	* pgm/pgmviewport.c:
	* docs/pgm/pigment-sections.txt:
	* docs/pgm/tmpl/pgmcanvas.sgml:
	Added the get_pixel_formats API call.
	Added the _add_pixel_formats and _remove_pixel_formats protected
	methods.

	* pgm/pgmimagesink.c:
	Made the sink correctly retrieve the image pixel formats.

	* libs/pypgm/pgm/pgm.defs:
	* libs/pypgm/pgm/pgmcanvas.override:
	* libs/pypgm/pgm/pgmviewport.override:
	Adapted Python binding to the new API.
	Fixed use of enum instead of flags.

	* pgm/pgmimage.h:
	Added constant representating the number of pixel formats.

	* plugins/opengl/pgmglviewport.c:
	Fixed misinterpretation of PGM_GL_CSP_PROGRAM environment variable.

2007-07-30  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/Makefile.am:
	* libs/pypgmtools/widgets/player_dock.py:
	* libs/pypgmtools/widgets/progressbar.py:
	Cleaned up mess in widgets. Fixes #121

2007-07-30  Loïc Molinari  <loic@fluendo.com>

	Patch by: Chandan Pitta <chandan.pitta@gmail.com>

	* libs/pypgm/pgm/pgmimage.override:
	Added missing argument type 'kwargs' to overrided PgmImage methods.

	* libs/pypgm/pgm/pgm.defs:
	Moved the PgmImagePixelFormats definition from enum to flags.

2007-07-30  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmcontext.c:
	* plugins/opengl/pgmcontext.h:
	Added fp availablity test for i420/yv12 csp conversion feature.
	Moved task queues flushing in rendering thread at viewport disposing.

	* plugins/opengl/pgmglviewport.c:
	Fixed PGM_GL_CSP_PROGRAM misinterpretation.

	* plugins/opengl/pgmprogram.c:
	* plugins/opengl/pgmprogram.h:
	* plugins/opengl/pgmtexture.c:
	* plugins/opengl/pgmtexture.h:
	Refactored fragment program architecture.

2007-07-27  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/Makefile.am:
	* plugins/opengl/pgmcontext.c:
	* plugins/opengl/pgmcontext.h:
	* plugins/opengl/pgmgldefs.h:
	* plugins/opengl/pgmgldrawable.c:
	* plugins/opengl/pgmglimage.c:
	* plugins/opengl/pgmgltext.c:
	* plugins/opengl/pgmglviewport.c:
	* plugins/opengl/pgmglxbackend.c:
	* plugins/opengl/pgmprogram.c:
	* plugins/opengl/pgmprogram.h:
	* plugins/opengl/pgmtexture.c:
	* plugins/opengl/pgmtexture.h:
	Added architecture for ARB fragment program support.
	Added support for I420/YV12 csp conversion through fragment programs.
	Added PGM_GL_CSP_PROGRAM to enable/disable the support of YV12/I420.
	Replaced the PGM_VBLANK variable name by PGM_GL_VBLANK.

	* pgm/pgmimagesink.c:
	Hard-coded negociation of I420 YCbCr formats.

	* pgm/pgmimage.c:
	Checked modification before calling vmethod.

	* docs/pgm/tmpl/pgmviewport.sgml:
	* pgm/pgmviewport.c:
	* pgm/pgmviewport.h:
	* pgm/pgmimage.h:
	Replaced GList pixel formats retrieving by a bitmask.

	* libs/pypgm/pgm/pgm.defs:
	* libs/pypgm/pgm/pgmviewport.override:
	Modified pixel_formats/caps_mask getter to return a tuple.
	Added pixel_formats/caps_mask attributes.
	Removed unused code and fixed warnings.

	* examples/pgm/video.c:
	Printed the list of supported pixel formats by the viewport.

	fixes #30

2007-07-27  Philippe Normand  <philippe@fluendo.com>

	* libs/pypgmtools/widgets/Makefile.am:
	* libs/pypgmtools/widgets/popup.py:
	New popup widget..

	* libs/pypgmtools/widgets/button.py:
	* libs/pypgmtools/widgets/choice_box.py:
	* libs/pypgmtools/widgets/text_button.py:
	Adapted examples

2007-07-25  Philippe Normand  <philippe@fluendo.com>

	* libs/pypgmtools/widgets/Makefile.am:
	* libs/pypgmtools/widgets/dock.py:
	* libs/pypgmtools/widgets/player_osd.py:
	* libs/pypgmtools/widgets/volume_osd.py:
	New widget to display player volume in a dock. Also refactored
	some player_osd code back to dock module, refs #121

2007-07-25  Lionel Martin  <lionel@fluendo.com>

	* libs/pypgmtools/widgets/top_level_menu.py:
	allow to change images for existing items

2007-07-24  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmviewport.c:
	Fixed typo causing a deadlock when setting the same canvas two
	consecutive times.

2007-07-21  Philippe Normand  <philippe@fluendo.com>

	* libs/pypgmtools/widgets/player_osd.py:
	New method: is_visible(), until we can override visible__get()
	without regression.

2007-07-20  Loïc Molinari  <loic@fluendo.com>

	Patch by: Guillaume Emont <guillaume@emont.org>

	* AUTHORS:
	* configure.ac:
	* docs/pgm/pigment-sections.txt:
	* docs/pgm/tmpl/pgmviewport.sgml:
	* examples/pgm/image.c:
	* examples/pypgm/image.py:
	* libs/pypgm/pgm/pgm.defs:
	* libs/pypgm/pgm/pgm.override:
	* libs/pypgm/pgm/pgmviewport.override:
	* pgm/pgmviewport.c:
	* pgm/pgmviewport.h:
	* plugins/boilerplate/pgmbpviewport.c:
	* plugins/opengl/pgmaglbackend.c:
	* plugins/opengl/pgmbackend.c:
	* plugins/opengl/pgmbackend.h:
	* plugins/opengl/pgmcontext.c:
	* plugins/opengl/pgmcontext.h:
	* plugins/opengl/pgmglviewport.c:
	* plugins/opengl/pgmglxbackend.c:
	* plugins/opengl/pgmwglbackend.c:
	* tests/check/pgm/pgmviewport.c:
	Added support for viewport icon definition.

	fixes #107

2007-07-20  Philippe Normand  <philippe@fluendo.com>

	* libs/pypgmtools/widgets/player_osd.py:
	Added 2 new arguments in constructor for volume progress bar (not
	used yet)

2007-07-16  Loïc Molinari  <loic@fluendo.com>

	* libs/pypgm/pgm/pgmimage.override:
	* plugins/opengl/pgmglimage.c:
	Fixed set_from_buffer.

	* examples/pypgm/sphere.py:
	Added an example showing how to integrate Cairo in Pigment.

	* examples/pypgm/webcam.py:
	Added an example showing how to display a webcam output with GStreamer.

2007-07-16  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmglimage.c:
	* plugins/opengl/pgmglviewport.c:
	Added support for on-the-fly viewport screen_size_mm modification.

2007-07-16  Loïc Molinari  <loic@fluendo.com>

	* docs/pgm/Makefile.am:
	* docs/pgm/compiling.xml:
	* docs/pgm/pigment-docs.sgml:
	* pgm/pgm.c:
	* pgm/pgmcanvas.c:
	* pgm/pgmdrawable.c:
	* pgm/pgmviewportfactory.c:
	Added IDs to documentation sections.
	Added correct version entities to compiling section. fixes #120

2007-07-16  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmglimage.c:
	* plugins/opengl/pgmgltext.c:
	Removed the thin lines appearing on the right and bottom of images due
	to the bilinear filtering applied on texture with texture coordinates
	lower than 1.0.

2007-07-16  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/console.py:
	Nearly nothing.

2007-07-16  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmtext.c:
	Removed string comparisons to fix odd bugs, will need more
	investigations.

2007-07-16  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmgl.c:
	* plugins/opengl/pgmglimage.c:
	* plugins/opengl/pgmgltext.c:
	* plugins/opengl/pgmglxbackend.c:
	* plugins/opengl/pgmglxbackend.h:
	* plugins/opengl/pgmtexture.c:
	* plugins/opengl/pgmtexture.h:
	Fixed race conditions using correct buffer refcounting between
	application and rendering threads.

2007-07-15  Florian Boucault  <florian@fluendo.com>

	* pgm/pgmtext.c:
	* tests/check/pgm/pgmtext.c:
	Default gravity set to AUTO as it is written in the docs.

	* libs/pypgm/pgm/pgmimage.override:
	* tests/pypgm/test_canvas.py:
	* tests/pypgm/test_drawable.py:
	* tests/pypgm/test_event.py:
	* tests/pypgm/test_image.py:
	* tests/pypgm/test_text.py:
	* tests/pypgm/test_viewport.py:
	Many unittests fixed. Some nasty refcounting issues are still remaining.

2007-07-14  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/timing/controller.py:
	Fixed exception raised when duration set to 0.

2007-07-13  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/grid_view.py:
	Fix0red.

2007-07-13  Loïc Molinari  <loic@fluendo.com>

	Patch by: Florian Boucault <florian@fluendo.com>

	* docs/pgm/tmpl/pgmimage.sgml:
	* examples/pgm/image.c:
	* libs/pypgm/pgm/pgm.defs:
	* libs/pypgm/pgm/pgmimage.override:
	* libs/pypgmtools/widgets/image_transition.py:
	* pgm/pgmimage.c:
	* pgm/pgmimage.h:
	Added a max size parameter to the PgmImage set_from_fd/new_from_fd
	functions.

2007-07-13  Florian Boucault  <florian@fluendo.com>

	* plugins/opengl/pgmglxbackend.c:
	Sync to vblank: was testing vendor whereas renderer should be used.

2007-07-12  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/top_level_menu.py:
	Top menu level was still visible.

2007-07-12  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmaglbackend.c:
	* plugins/opengl/pgmbackend.c:
	* plugins/opengl/pgmbackend.h:
	* plugins/opengl/pgmcontext.c:
	* plugins/opengl/pgmglxbackend.c:
	* plugins/opengl/pgmglxbackend.h:
	* plugins/opengl/pgmwglbackend.c:
	Added support for VBlank syncing.

2007-07-12  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/curved_list.py:
	focused element stacking fixed.

	* libs/pypgmtools/widgets/grid_view.py:
	various fixes for elisa's integration.

	* libs/pypgmtools/widgets/list.py:
	fg_color set.
	remove implemented.

2007-07-12  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/curved_list.py:
	Fixed stacking issue.

2007-07-11  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmcontext.c:
	* plugins/opengl/pgmgldrawable.c:
	* plugins/opengl/pgmglimage.c:
	* plugins/opengl/pgmglimage.h:
	* plugins/opengl/pgmgltext.c:
	* plugins/opengl/pgmglviewport.c:
	* plugins/opengl/pgmglviewport.h:
	* plugins/opengl/pgmglxbackend.c:
	Added support for non-square-pixels.
	Fixed custom ratio applied on images.

2007-07-10  Florian Boucaul  <florian@fluendo.com>

	* libs/pypgmtools/widgets/player_osd.py:
	PlayerOsd widget implicit animation mode set to REPLACE.

2007-07-10  Loïc Molinari  <loic@fluendo.com>

	* configure.ac:
	Bumped API/ABI versions.

	* plugins/opengl/pgmgldefs.h:
	Removed useless constants.

	* pgm/pgmviewport.c:
	Added a check in set_cursor to call subclass only when necessary.

2007-07-10  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/top_level_menu.py:
	Computations re-done so that the widget fits in a bounding box.

2007-07-09  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmimagesink.c:
	* pgm/pgmimagesink.h:
	Added support of the pixel-aspect-ratio returned by GStreamer.

	* pgm/pgmimage.c:
	Added debug.

2007-07-09  Arek Korbik  <arkadini@gmail.com>

	* misc/pgm-uninstalled:
	Make pgm-uninistalled more Darwin and developer friendly.

2007-07-09  Arek Korbik  <arkadini@gmail.com>

	* plugins/opengl/pgmaglbackend.c:
	Add initial version of keyboard handling; create windows hidden
	initially; implement show/hide methods; cleanup and organize the
	code a bit.

2007-07-09  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmtext.c:
	Checked empty string and compared same strings before setting a new
	label/markup.

	* plugins/opengl/pgmgltext.c:
	Called correctly set_text or set_markup depending on the string type.
	fixes #114

2007-07-06  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmglxbackend.c:
	* plugins/opengl/pgmglxbackend.h:
	Change the viewport size and update the projection on fullscreen
	switches.

2007-07-06  Mirco Müller  <macslow@bangang.de>

	* libs/pypgmtools/widgets/top_level_menu.py:
	tuned the screen-resolution "awareness" of the included example a
	bit more

2007-07-06  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/top_level_menu.py:
	Removed useless code.

2007-07-05  Mirco Müller  <macslow@bangang.de>

	* libs/pypgmtools/widgets/top_level_menu.py:
	adapted example included in widget to use the fullscreen-feature now
	by default

2007-07-05  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmglxbackend.c:
	* plugins/opengl/pgmglxbackend.h:
	Fixed show/hide and fullscreen state conflicts.

2007-07-05  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/list.py:
	Insert does not do unnecessary update anymore.

2007-07-05  Loïc Molinari  <loic@fluendo.com>

	Patch by: Mirco Müller <macslow@bangang.de>

	* plugins/opengl/pgmglxbackend.c:
	Fixed fullscreen.

	* examples/pgm/image.c:
	Completed example to use fullscreen.

2007-07-05  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmcontext.c:
	Flush the queues and iterate the context before joining the render
	loop.

2007-07-05  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/list.py:
	When jumping far from the current selected item, stop sucking CPU.

2007-07-05  Mirco Müller  <macslow@bangang.de>

	* libs/pypgmtools/widgets/top_level_menu.py:
	changed the rotation direction for the carousel-mode upon request
	by the elisa-devs

2007-07-05  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/grid_view.py:
	Fixed: position was missing.

2007-07-05  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmcontext.c:
	* plugins/opengl/pgmcontext.h:
	* plugins/opengl/pgmglimage.c:
	* plugins/opengl/pgmgltext.c:
	* plugins/opengl/pgmtexture.c:
	Fixed GL calls being called from other threads than the render one.

2007-07-05  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/timing/controller.py:
	Tiny syntax fixes.

	* libs/pypgmtools/timing/implicit.py:
	Performance improvements.

	* libs/pypgmtools/widgets/top_level_menu.py:
	Update framerate set to 1/15.
	Commented out some select stuff.

2007-07-05  Mirco Müller  <macslow@bangang.de>

	* examples/pypgm/video.py:
	made usage/help-text more verbose and provided an example in the
	help-text new users have reported problems understanding how it
	works (what uri means)

2007-07-04  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmcontext.c:
	Removed duplicate in queues before pushing.

2007-07-04  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmcontext.c:
	* plugins/opengl/pgmcontext.h:
	* plugins/opengl/pgmgldrawable.c:
	* plugins/opengl/pgmglimage.c:
	* plugins/opengl/pgmgltext.c:
	* plugins/opengl/pgmtexture.c:
	* plugins/opengl/pgmtexture.h:
	Removed all the tasks related to a drawable from the queues when the
	drawable is freed.

2007-07-04  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/curved_list.py:
	* libs/pypgmtools/widgets/image_list.py:
	* libs/pypgmtools/widgets/list.py:
	* libs/pypgmtools/widgets/ring_list.py:

	* libs/pypgmtools/widgets/text_list.py:
	Renamed objects to widgets everywhere.
	Remove position from the __init__.

	* libs/pypgmtools/widgets/grid_view.py:
	Renamed entry to widget.
	Random fixes.

	* libs/pypgmtools/widgets/top_level_menu.py:
	Removed opacity and visible from __init__.
	Random fixes.
	Commented out change in size and position of the disappearing elements
	when selected.

2007-07-04  Mirco Müller  <macslow@bangang.de>

	* libs/pypgmtools/widgets/top_level_menu.py:
	removed stale testing code and fixed an error with directly setting the
	focused item

2007-07-04  Mirco Müller  <macslow@bangang.de>

	* libs/pypgmtools/widgets/top_level_menu.py:
	added guards for the case of a widget without any items

2007-07-04  Mirco Müller  <macslow@bangang.de>

	* libs/pypgmtools/widgets/top_level_menu.py:
	changed the paths to the icons to be relative to the projects
	root directory

2007-07-04  Mirco Müller  <macslow@bangang.de>

	* examples/pictures/dvd-*_256x256.png:
	* examples/pictures/music-*_256x256.png:
	* examples/pictures/photo-*_256x256.png:
	* examples/pictures/service-*_256x256.png:
	* examples/pictures/video-*_256x256.png:
	some graphical assests for the demo included in the TopLevelMenu
	widget, the images are based on SVG-icons from the Tango-project
	and slightly modified using inkscape and gimp

2007-07-04  Mirco Müller  <macslow@bangang.de>

	* libs/pypgmtools/widgets/top_level_menu.py:
	rewrite of the TopLevelMenu widget

2007-07-04  Loïc Molinari  <loic@fluendo.com>

	* AUTHORS:
	Added Arek Korbik to the contributors.

	* HACKING:
	Added the comment part.

	* libs/pypgm/pgm/pgm.override:
	* libs/pypgm/pgm/pgmcanvas.override:
	* plugins/opengl/pgmgldefs.h:
	Coding guidelines fixes.

	* pgm/pgmevents.c:
	* pgm/pgmkeysyms.h:
	Licensing fixes.

2007-07-03  Arek Korbik  <arkadini@gmail.com>

	* plugins/opengl/pgmaglbackend.c:
	* plugins/opengl/pgmaglbackend.h:
	Initial import of the AGL backend implementation.

	* plugins/opengl/pgmcontext.c (render_loop):
	Hook AGL check into backend instance creation.

	* configure.ac:
	* libs/pypgm/pgm/Makefile.am:
	* plugins/opengl/Makefile.am:
	Add OSX/AGL-specific changes to the config files.

2007-07-03  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/curved_list.py:
	* libs/pypgmtools/widgets/grid_view.py:
	* libs/pypgmtools/widgets/list.py:
	Now work from pigment root directory.

2007-07-03  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/timing/implicit.py:
	More Drawable attributes are now implicitly animated.

	* libs/pypgmtools/widgets/image_transition.py:
	Refurbished.

2007-07-02  Loïc Molinari  <loic@fluendo.com>

	Relicenced from GPL to LGPL.
	Updated README, TODO and HACKING.
	Added Benjamin Kampmann in the contributors list.
	Removed the win32 build files since it's not building anymore.
	Removed trailing spaces and adapted code to the guidelines.

2007-07-02  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/list.py:
	* libs/pypgmtools/widgets/slideshow.py:
	DECELERATE transformation used.

2007-07-02  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/graph/group.py:
	Better algorithm.

2007-07-01  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/ring_list.py:
	New cool widget.

2007-07-01  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/player_dock.py:
	__main__ was broken.

2007-07-01  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/player_dock.py:
	* libs/pypgmtools/widgets/player_osd.py:
	Bug fixed: trying to cancel an inactive delayed call.

2007-06-30  Florian Boucault  <florian@fluendo.com>

	* examples/pypgm/implicit.py:
	Cleaned up.

	* examples/pypgm/top_level_menu.py:
	* libs/pypgmtools/widgets/Makefile.am:
	Moved to libs/pypgmtools/widgets.

	* examples/pypgm/Makefile.am:
	* examples/pypgm/groups.py:
	Cleaned up a bit and moved to examples/pypgm.

2007-06-30  Florian Boucault  <florian@fluendo.com>

	* examples/pypgm/Makefile.am:
	* examples/pypgm/group-tests/implicit.py:
	* examples/pypgm/implicit.py:
	* examples/pypgm/cloning.py:
	* examples/pypgm/image.py:
	* examples/pypgm/text.py:
	* examples/pypgm/timing.py:
	* examples/pypgm/video.py:
	* examples/pypgm/viewports.py:
	Moved implicit.py in examples/pypgm.
	Uniformisation of all the examples for consistency sake.

	* examples/pypgm/text-list-widget/textlist.py:
	Fixed.

	* examples/Makefile.am:
	* examples/pypgmtools/Makefile.am:
	* examples/pypgmtools/button.py:
	* examples/pypgmtools/choice_box.py:
	* examples/pypgmtools/data/blue.png:
	* examples/pypgmtools/data/blue_fg.png:
	* examples/pypgmtools/data/sound-background.png:
	* examples/pypgmtools/data/sound-up.png:
	* examples/pypgmtools/growing_progress_bar.py:
	* examples/pypgmtools/player_dock.py:
	* examples/pypgmtools/progress_bar.py:
	* examples/pypgmtools/slideshow.py:
	* examples/pypgmtools/text_button.py:
	* examples/pypgmtools/text_choice_box.py:
	* examples/pypgmtools/top_level_menu.py:
	* examples/pypgmtools/twslideshow.py:
	Moved the testing code to __main__ of the widgets.
	Removed examples/pypgmtools.

	* libs/pypgmtools/widgets/Makefile.am:
	* libs/pypgmtools/widgets/button.py:
	* libs/pypgmtools/widgets/choice_box.py:
	* libs/pypgmtools/widgets/player_dock.py:
	* libs/pypgmtools/widgets/player_osd.py:
	* libs/pypgmtools/widgets/progressbar.py:
	* libs/pypgmtools/widgets/slideshow.py:
	* libs/pypgmtools/widgets/text_button.py:
	* libs/pypgmtools/widgets/text_choice_box.py:
	* libs/pypgmtools/widgets/text_list.py:
	Moved the testing code to __main__ of the widgets.
	Not all of them have been ported to the new event handling.
	Some of them need pictures to do anything.
	The __main__ are all quite different and not nice to read.

2007-06-30  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/curved_list.py:
	* libs/pypgmtools/widgets/list.py:
	Code factorisation, CurvedList now inherits from List.

2007-06-30  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/timing/implicit.py:
	Resolution for implicit animation set to 17 by default.

2007-06-29  Florian Boucault  <florian@fluendo.com>

	* examples/pypgm/group-tests/drawable.py:
	Fixed against the new mainloop.

	* libs/pypgmtools/graph/group.py:
	Workaround in size__set when there is no children.

	* libs/pypgmtools/widgets/curved_list.py:
	* libs/pypgmtools/widgets/list.py:
	Back to the non curved list. Just for Thomas.

	* libs/pypgmtools/widgets/player_osd.py:
	Fixed for new size__set in groups.

2007-06-29  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmimage.c:
	* plugins/opengl/pgmglimage.c:
	Added cloning support.

	* examples/pypgm/Makefile.am:
	* examples/pypgm/cloning.py:
	Added an example for the cloning.

2007-06-29  Florian Boucault  <florian@fluendo.com>

	* examples/pypgm/group-tests/groups.py:
	* libs/pypgmtools/graph/group.py:
	* tests/pypgmtools/test_group.py:
	size__set added to groups.

2007-06-29  Benjamin Kampmann <benjamin@fluendo.com>

	* examples/pypgmtools/slideshow.py:
	* examples/pypgmtools/twslideshow.py:
	updated slideshows to use the new show() of the viewport

	* libs/pypgmtools/widgets/slideshow.py:
	updated the API: list__get, list__set, index__set

2007-06-28  Loïc Molinari  <loic@fluendo.com>

	* docs/pgm/pigment-sections.txt:
	* examples/pgm/image.c:
	* examples/pgm/text.c:
	* examples/pgm/video.c:
	* examples/pypgm/image.py:
	* examples/pypgm/text.py:
	* examples/pypgm/timing.py:
	* examples/pypgm/video.py:
	* examples/pypgm/viewports.py:
	* libs/pypgm/pgm/pgm.defs:
	* libs/pypgm/pgm/pgmviewport.override:
	* pgm/pgmdrawable.c:
	* pgm/pgmviewport.c:
	* pgm/pgmviewport.h:
	* plugins/opengl/pgmaglbackend.c:
	* plugins/opengl/pgmbackend.c:
	* plugins/opengl/pgmbackend.h:
	* plugins/opengl/pgmglviewport.c:
	* plugins/opengl/pgmglxbackend.c:
	* plugins/opengl/pgmwglbackend.c:
	Added viewport_show/hide/is_visible API.
	Don't forget to show your viewport, it's hidden by default!

2007-06-28  Mirco Müller  <macslow@bangang.de>

	* examples/pypgmtools/top_level_menu.py:
	added the top-level menu widget, the CHAIN-mode works
	RING-mode is still broken and not working correctly, for the included
	example you will need to supply your own images

2007-06-28  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmglviewport.c:
	Added support for get_screen_size and get_screen_resolution.

	* plugins/opengl/pgmcontext.c:
	Removed trailing characters.

2007-06-28  Loïc Molinari  <loic@fluendo.com>

	* libs/pypgm/pgm/__init__.py:
	Added the __version__ symbol to the pgm module.

	* libs/pypgm/pgm/pgmmodule.c:
	Removed trailing spaces.

2007-06-28  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmcontext.c:
	* plugins/opengl/pgmcontext.h:
	* plugins/opengl/pgmgldrawable.c:
	* plugins/opengl/pgmgldrawable.h:
	* plugins/opengl/pgmgltext.c:
	* plugins/opengl/pgmgltext.h:
	* plugins/opengl/pgmglviewport.c:
	* plugins/opengl/pgmglviewport.h:
	* plugins/opengl/pgmglxbackend.c:
	Adapted the projection when the viewport/canvas are resized.
	Added text regeneration when the viewport projection changes.

	* pgm/pgmcanvas.c:
	* pgm/pgmcanvas.h:
	Added the 'size-changed' signal.

	* pgm/pgmevents.h:
	Removed the time field from the configure event structure.
	Switched to gint for the configure event position.

	* examples/pgm/text.c:
	Updated example to test the configure events.

2007-06-28  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/progressbar.py:
	* examples/pypgmtools/progress_bar.py:
	* examples/pypgmtools/growing_progress_bar.py:
	Syntax fixes.
	Layer added to __init__.

	* libs/pypgmtools/timing/controller.py:
	Stop on a stopped animation fixed.

	* libs/pypgmtools/widgets/dock.py:
	Syntax fixes.

	* libs/pypgmtools/widgets/Makefile.am:
	* libs/pypgmtools/widgets/player_osd.py:
	* libs/pypgmtools/widgets/progressbar_osd.py:
	New player on screen display added.

	* tests/pypgmtools/test_group.py:
	Syntax fixes.

2007-06-26  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmcontext.c:
	* plugins/opengl/pgmcontext.h:
	* plugins/opengl/pgmglimage.c:
	* plugins/opengl/pgmgltext.c:
	* plugins/opengl/pgmglviewport.c:
	* plugins/opengl/pgmglxbackend.c:
	Changed rendering thread algorithm. It was using a simple do-while
	approach with a lock and now it uses a GMainLoop with a dedicated
	GMainContext. There are two event sources to be able to push tasks
	aimed to be completed immediately or when the application requests an
	update. It also allows backends to add other event sources.

	* pgm/pgmviewport.c:
	Freed the event list after a dispatch.

2007-06-26  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/list.py:
	List widget: gaps removed.

2007-06-25  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmaglbackend.c:
	* plugins/opengl/pgmwglbackend.c:
	* plugins/opengl/pgmglxbackend.c:
	* plugins/opengl/pgmglxbackend.h:
	* plugins/opengl/pgmbackend.c:
	* plugins/opengl/pgmbackend.h:
	* plugins/opengl/pgmcontext.c:
	* plugins/opengl/pgmcontext.h:
	Let the backend decides how it wants to handle events.
	Moved the X events handling thread creation in the GlxBackend.

	* pgm/pgmevents.h:
	* docs/pgm/Makefile.am:
	* docs/pgm/pigment-sections.txt:
	Removed pgmenumtypes.h from the parsed files.
	Added missing symbols.

2007-06-25  Loïc Molinari  <loic@fluendo.com>

	* docs/pgm/pigment-sections.txt:
	* examples/pgm/image.c:
	* examples/pgm/text.c:
	* examples/pypgm/image.py:
	* examples/pypgm/text.py:
	* examples/pypgm/viewports.py:
	* pgm/pgmevents.h:
	* pgm/pgmviewport.c:
	* pgm/pgmviewport.h:
	* plugins/opengl/pgmglxbackend.c:
	Added the "expose-event".

2007-06-25  Loïc Molinari  <loic@fluendo.com>

	* libs/pypgmtools/graph/Makefile.am:
	* libs/pypgmtools/widgets/Makefile.am:
	Sync'd with directory listing.

2007-06-24  Florian Boucault  <florian@fluendo.com>

	* examples/pypgm/size_animated_image.py:
	* libs/pypgmtools/graph/image.py:
	Removed API breakage: size_pivot removed.

	* libs/pypgmtools/graph/text.py:
	Removed API breakage: encode to UTF-8 string removed.

	* libs/pypgmtools/graph/drawable.py:
	* libs/pypgmtools/graph/widget_common.py:
	WidgetCommon renamed to Drawable.

2007-06-22  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/list.py:
	* libs/pypgmtools/widgets/text_list.py:
	Tweaking the list widgets.

2007-06-22  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/player_dock.py:
	* libs/pypgmtools/widgets/progressbar.py:
	Animation fixes.

2007-06-22  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmgltext.c:
	* plugins/opengl/pgmglviewport.c:
	Fixed a deadlock.

2007-06-22  Mirco Müller  <macslow@bangang.de>

	* examples/pypgmtools/grid-view-widget/bg-mask-bottom.png:
	* examples/pypgmtools/grid-view-widget/bg-mask-left.png:
	* examples/pypgmtools/grid-view-widget/bg-mask-right.png:
	* examples/pypgmtools/grid-view-widget/bg-mask-top.png:
	* examples/pypgmtools/grid-view-widget/bg.png:
	* examples/pypgmtools/grid-view-widget/grid-view-bg-masks.xcf:
	* examples/pypgmtools/grid-view-widget/grid-view-bg.png:
	* examples/pypgmtools/grid-view-widget/grid_view.py:
	* examples/pypgmtools/grid-view-widget/grid_view_test.py:
	* examples/pypgmtools/grid-view-widget/selector.png:
	* examples/pypgmtools/grid-view-widget/shade.png:
	moved all these to examples/pictures

	* libs/pypgmtools/widgets/grid_view.py:
	documented, adjusted path to images files used by the included example

2007-06-21  Florian Boucault  <florian@fluendo.com>

	* examples/pypgmtools/grid-view-widget/grid_view.py:
	Slashes replaced by os.path.join.

2007-06-21  Mirco Müller  <macslow@bangang.de>

	* examples/pypgmtools/grid-view-widget/grid_view.py:
	added get_index() method for convenience
	added more comments for the public calls and their behaviour
	made the example contained in the widget code use two command-line
	arguments so one can pass their own images and videos to the widget
	(caution: hugestress-test potential for your machine!)

2007-06-21  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/list.py:
	* libs/pypgmtools/widgets/text_list.py:
	List performance huge boost.
	Code much clearer.
	Orientation attribute added (HORIZONTAL or VERTICAL).

2007-06-21  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmviewport.c:
	Fixed a deadlock.

	* plugins/opengl/pgmcontext.c:
	* plugins/opengl/pgmtexture.c:
	Nullified freed sturcture pointers.

2007-06-21  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/console.py:
	New console widget started.

	* libs/pypgmtools/widgets/dock.py:
	* libs/pypgmtools/widgets/list.py:
	* libs/pypgmtools/widgets/player_dock.py:
	* libs/pypgmtools/widgets/progressbar.py:
	* libs/pypgmtools/widgets/slideshow.py:
	Removed useless import.

	* libs/pypgmtools/widgets/scrollbar.py:
	Bug fixed: lenght -> length.

2007-06-20  Mirco Müller  <macslow@bangang.de>

	* examples/pypgmtools/grid-view-widget/bg-mask-bottom.png:
	* examples/pypgmtools/grid-view-widget/bg-mask-left.png:
	* examples/pypgmtools/grid-view-widget/bg-mask-right.png:
	* examples/pypgmtools/grid-view-widget/bg-mask-top.png:
	updated the mask images for the now working fade-out effect in the
	GridView

	* examples/pypgmtools/grid-view-widget/grid_view.py:
	implemented the fadeout-effect for elements on the edges

2007-06-20  Loïc Molinari  <loic@fluendo.com>

	* docs/pgm/Makefile.am:
	* docs/pgm/images/filled_layout.png:
	* docs/pgm/images/scaled_layout.png:
	* docs/pgm/images/zoomed_layout.png:
	* pgm/pgmimage.h:
	Added images to explain the different layouts.

	* plugins/opengl/pgmgltext.c:
	Removed trailing print.

	* plugins/opengl/pgmglviewport.c:
	Added locks.

2007-06-20  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmcanvas.c:
	* pgm/pgmcanvas.h:
	* pgm/pgmmarshal.list:
	Added the "regenerated" signal called on a regeneration request.

	* plugins/opengl/pgmgldrawable.c:
	* plugins/opengl/pgmgldrawable.h:
	* plugins/opengl/pgmglimage.c:
	* plugins/opengl/pgmgltext.c:
	* plugins/opengl/pgmgltext.h:
	* plugins/opengl/pgmglviewport.c:
	* plugins/opengl/pgmglviewport.h:
	Adapted the OpenGL plugin to regenerate text on request.

	* examples/pypgm/text.py:
	Removed useless line.

2007-06-18  Mirco Müller  <macslow@bangang.de>

	* examples/pypgmtools/grid-view-widget/grid_view.py:
	fixed performance issue, while only navigating on the
	same page, some clean ups

2007-06-20  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmglviewport.c:
	Fixed OpenGL plugin gldrawable insertion in layers to be sorted.

	* examples/pypgm/video.py:
	Simplified example.

2007-06-20  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmdrawable.c:
	* pgm/pgmmarshal.list:
	Used an ENUM marshaller instead of INT.

2007-06-20  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmcanvas.c:
	* pgm/pgmcanvas.h:
	* pgm/pgmdrawable.c:
	* plugins/opengl/pgmglviewport.c:
	Added ordering support.
	Modified set_order API removing the layer.

	* libs/pypgm/pgm/pgm.defs:
	Adapted to API change.

	* tests/check/Makefile.am:
	* tests/check/pgm/pgmcanvas.c:
	Unabled and added some unit tests regarding ordering.

	* tests/check/pgm/pgmtext.c:
	Adapted to API.

	* pgm/pgmimage.c:
	Fixed a deadlock.

	* misc/pgm-uninstalled:
	Hard-coded Pigment project variable.
	Removed version variable.

2007-06-20  Benjamin Kampmann  <benjamin@fluendo.com>

	* libs/pypgmtools/widgets/progressbar.py:
	adding unanimated method jump_to_position

	* libs/pypgmtools/widgets/player_dock.py:
	adding seek_position (not animated)

	* examples/pypgmtools/growing_progress_bar.py:
	* examples/pypgmtools/player_dock.py:
	improve the examples to use this

	* examples/pypgmtools/progress_bar.py:
	adding a example for the normal progressbar

2007-06-18  Mirco Müller  <macslow@bangang.de>

	* examples/pypgmtools/grid-view-widget/cover-??.jpg:
	* examples/pypgmtools/grid-view-widget/cover-??.png:
	* examples/pypgmtools/grid-view-widget/cover-??_small.png:
	removed all the cover images from the repository, you will need to supply
	your own example images/videos to make the GridView-example work

	* examples/pypgmtools/grid-view-widget/grid_view.py:
	example for GridView uses external images/videos now

2007-06-18  Mirco Müller  <macslow@bangang.de>

	* examples/pypgmtools/grid-view-widget
	moved from examples/pypgm

	* examples/pypgmtools/grid-view-widget/grid_view.py:
	extended example to use videos, made changes to the GridView widget
	in order to be able to pass a gst-pipeline as part of an entry too

2007-06-19  Benjamin Kampmann  <benjamin@fluendo.com>

	* examples/pypgmtools/twslideshow.py:
	* libs/pypgmtools/widgets/slideshow.py:
	Added a twisted based, automatic slideshow

2007-06-19  Benjamin Kampmann  <benjamin@fluendo.com>

	* libs/pypgmtools/widgets/dock.py:
	some fixes according to close and open problems
	* examples/pypgmtools/player_dock.py:
	* libs/pypgmtools/widgets/player_dock.py:
	player dock is now disappearing when using show()
	player dock now wants milliseconds (not seconds anymore)

2007-06-19  Philippe Normand  <philippe@fluendo.com>

	* pgm/pgmtext.c:
	debug informations reporting in pgm_text_set_markup()

2007-06-19  Benjamin Kampmann  <benjamin@fluendo.com>

	* libs/pypgmtools/widgets/dock.py:
	* libs/pypgmtools/widgets/player_dock.py:
	dock inherits from group now, and player docks inherits from dock

2007-06-19  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/timing/implicit.py:
	* libs/pypgmtools/timing/modifier.py:
	Implicit animation now has two modes: APPEND and REPLACE. APPEND adds
	the target value to the already existing ones, REPLACE replaces them.

2007-06-18  Mirco Müller  <macslow@bangang.de>

	* examples/pypgm/grid-view-widget/grid_view.py:
	made grid-resolution, orientation and scroll_mode dynamically changable even
	after the widget has been created
	extended included example to bind the new methods to keys in order to try
	them out on the fly

2007-06-19  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/graph/group.py:
	* tests/pypgmtools/test_group.py:
	Size read-only property added: compute the bounding box.

2007-06-18  Mirco Müller  <macslow@bangang.de>

	* examples/pypgm/grid-view-widget/grid_view.py:
	fixed element-offset update on grid-layout change

2007-06-18  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/list.py:
	* libs/pypgmtools/widgets/text_list.py:
	Updated to new event handling.
	Animated cursor added.
	Show/Hide methods added.

2007-06-18  Benjamin Kampmann  <benjamin@fluendo.com>

	* examples/pypgmtools/slideshow.py:
	* libs/pypgmtools/widgets/Makefile.am:
	* libs/pypgmtools/widgets/slideshow.py:
	adding a simple slideshow with fading

2007-06-18  Mirco Müller  <macslow@bangang.de>

	* examples/pypgm/grid-view-widget/grid_view.py:
	fixed page-offset update on grid-layout change

2007-06-18  Mirco Müller  <macslow@bangang.de>

	* examples/pypgm/grid-view-widget/cover-01.png:
	* examples/pypgm/grid-view-widget/cover-01_small.png:
	* examples/pypgm/grid-view-widget/cover-02.png:
	* examples/pypgm/grid-view-widget/cover-02_small.png:
	* examples/pypgm/grid-view-widget/cover-03.png:
	* examples/pypgm/grid-view-widget/cover-03_small.png:
	* examples/pypgm/grid-view-widget/cover-04.png:
	* examples/pypgm/grid-view-widget/cover-04_small.png:
	* examples/pypgm/grid-view-widget/cover-05.png:
	* examples/pypgm/grid-view-widget/cover-05_small.png:
	* examples/pypgm/grid-view-widget/cover-06.png:
	* examples/pypgm/grid-view-widget/cover-06_small.png:
	* examples/pypgm/grid-view-widget/cover-07.png:
	* examples/pypgm/grid-view-widget/cover-07_small.png:
	* examples/pypgm/grid-view-widget/cover-08.png:
	* examples/pypgm/grid-view-widget/cover-08_small.png:
	* examples/pypgm/grid-view-widget/cover-09.png:
	* examples/pypgm/grid-view-widget/cover-09_small.png:
	* examples/pypgm/grid-view-widget/cover-10.png:
	* examples/pypgm/grid-view-widget/cover-10_small.png:
	* examples/pypgm/grid-view-widget/cover-11.png:
	* examples/pypgm/grid-view-widget/cover-11_small.png:
	* examples/pypgm/grid-view-widget/cover-12.png:
	* examples/pypgm/grid-view-widget/cover-12_small.png:
	* examples/pypgm/grid-view-widget/cover-13.png:
	* examples/pypgm/grid-view-widget/cover-13_small.png:
	* examples/pypgm/grid-view-widget/cover-14.png:
	* examples/pypgm/grid-view-widget/cover-14_small.png:
	* examples/pypgm/grid-view-widget/cover-15.png:
	* examples/pypgm/grid-view-widget/cover-15_small.png:
	* examples/pypgm/grid-view-widget/cover-16.png:
	* examples/pypgm/grid-view-widget/cover-16_small.png:
	* examples/pypgm/grid-view-widget/cover-17.png:
	* examples/pypgm/grid-view-widget/cover-17_small.png:
	* examples/pypgm/grid-view-widget/cover-18.png:
	* examples/pypgm/grid-view-widget/cover-18_small.png:
	* examples/pypgm/grid-view-widget/cover-19.png:
	* examples/pypgm/grid-view-widget/cover-19_small.png:
	* examples/pypgm/grid-view-widget/cover-20.png:
	* examples/pypgm/grid-view-widget/cover-20_small.png:
	* examples/pypgm/grid-view-widget/cover-21.png:
	* examples/pypgm/grid-view-widget/cover-21_small.png:
	* examples/pypgm/grid-view-widget/cover-22.png:
	* examples/pypgm/grid-view-widget/cover-22_small.png:
	* examples/pypgm/grid-view-widget/cover-23.png:
	* examples/pypgm/grid-view-widget/cover-23_small.png:
	* examples/pypgm/grid-view-widget/cover-24.png:
	* examples/pypgm/grid-view-widget/cover-24_small.png:
	* examples/pypgm/grid-view-widget/cover-25.png:
	* examples/pypgm/grid-view-widget/cover-25_small.png:
	* examples/pypgm/grid-view-widget/cover-26.png:
	* examples/pypgm/grid-view-widget/cover-26_small.png:
	* examples/pypgm/grid-view-widget/cover-27.png:
	* examples/pypgm/grid-view-widget/cover-27_small.png:
	* examples/pypgm/grid-view-widget/cover-28.png:
	* examples/pypgm/grid-view-widget/cover-28_small.png:
	* examples/pypgm/grid-view-widget/cover-29.png:
	* examples/pypgm/grid-view-widget/cover-29_small.png:
	* examples/pypgm/grid-view-widget/cover-30.png:
	* examples/pypgm/grid-view-widget/cover-30_small.png:
	* examples/pypgm/grid-view-widget/cover-31.jpg:
	* examples/pypgm/grid-view-widget/cover-31.png:
	* examples/pypgm/grid-view-widget/cover-31_small.png:
	* examples/pypgm/grid-view-widget/cover-32.jpg:
	* examples/pypgm/grid-view-widget/cover-32.png:
	* examples/pypgm/grid-view-widget/cover-32_small.png:
	* examples/pypgm/grid-view-widget/cover-33.jpg:
	* examples/pypgm/grid-view-widget/cover-33.png:
	* examples/pypgm/grid-view-widget/cover-33_small.png:
	* examples/pypgm/grid-view-widget/cover-34.jpg:
	* examples/pypgm/grid-view-widget/cover-34.png:
	* examples/pypgm/grid-view-widget/cover-34_small.png:
	* examples/pypgm/grid-view-widget/cover-35.jpg:
	* examples/pypgm/grid-view-widget/cover-35.png:
	* examples/pypgm/grid-view-widget/cover-35_small.png:
	* examples/pypgm/grid-view-widget/cover-36.jpg:
	* examples/pypgm/grid-view-widget/cover-36.png:
	* examples/pypgm/grid-view-widget/cover-36_small.png:
	* examples/pypgm/grid-view-widget/cover-37.jpg:
	* examples/pypgm/grid-view-widget/cover-37.png:
	* examples/pypgm/grid-view-widget/cover-37_small.png:
	* examples/pypgm/grid-view-widget/cover-38.jpg:
	* examples/pypgm/grid-view-widget/cover-38.png:
	* examples/pypgm/grid-view-widget/cover-38_small.png:
	* examples/pypgm/grid-view-widget/cover-39.jpg:
	* examples/pypgm/grid-view-widget/cover-39.png:
	* examples/pypgm/grid-view-widget/cover-39_small.png:
	* examples/pypgm/grid-view-widget/cover-40.jpg:
	* examples/pypgm/grid-view-widget/cover-40.png:
	* examples/pypgm/grid-view-widget/cover-40_small.png:
	* examples/pypgm/grid-view-widget/cover-41.jpg:
	* examples/pypgm/grid-view-widget/cover-41.png:
	* examples/pypgm/grid-view-widget/cover-41_small.png:
	* examples/pypgm/grid-view-widget/cover-42.jpg:
	* examples/pypgm/grid-view-widget/cover-42.png:
	* examples/pypgm/grid-view-widget/cover-42_small.png:
	* examples/pypgm/grid-view-widget/cover-43.jpg:
	* examples/pypgm/grid-view-widget/cover-43.png:
	* examples/pypgm/grid-view-widget/cover-43_small.png:
	* examples/pypgm/grid-view-widget/cover-44.jpg:
	* examples/pypgm/grid-view-widget/cover-44.png:
	* examples/pypgm/grid-view-widget/cover-44_small.png:
	* examples/pypgm/grid-view-widget/cover-45.jpg:
	* examples/pypgm/grid-view-widget/cover-45.png:
	* examples/pypgm/grid-view-widget/cover-45_small.png:
	* examples/pypgm/grid-view-widget/cover-46.jpg:
	* examples/pypgm/grid-view-widget/cover-46.png:
	* examples/pypgm/grid-view-widget/cover-46_small.png:
	* examples/pypgm/grid-view-widget/cover-47.jpg:
	* examples/pypgm/grid-view-widget/cover-47.png:
	* examples/pypgm/grid-view-widget/cover-47_small.png:
	* examples/pypgm/grid-view-widget/cover-48.jpg:
	* examples/pypgm/grid-view-widget/cover-48.png:
	* examples/pypgm/grid-view-widget/cover-48_small.png:
	* examples/pypgm/grid-view-widget/cover-49.jpg:
	* examples/pypgm/grid-view-widget/cover-49.png:
	* examples/pypgm/grid-view-widget/cover-49_small.png:
	* examples/pypgm/grid-view-widget/cover-50.jpg:
	* examples/pypgm/grid-view-widget/cover-50.png:
	* examples/pypgm/grid-view-widget/cover-50_small.png:
	* examples/pypgm/grid-view-widget/cover-51.jpg:
	* examples/pypgm/grid-view-widget/cover-51.png:
	* examples/pypgm/grid-view-widget/cover-51_small.png:
	added some more example image to play with for grid_view.py

2007-06-18  Mirco Müller  <macslow@bangang.de>

	* examples/pypgm/grid-view-widget/grid_view.py:
	implemented methods insert(), append() and remove(),
	made the included example use the new pigment keysyms,
	added a first version of set_grid() to change the
	widgets layout on the fly (with preserving the current
	selection), ripped the static image/cover list

2007-06-18  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmimage.c:
	Fixed deadlock.

2007-06-18  Colin Laplace  <colin@fluendo.com>

	* examples/pictures/cart_horiz.png:
	* examples/pictures/cart_horiz_selected.png:
	* examples/pictures/cart_vert.png:
	* examples/pictures/cart_vert_selected.png:
	* examples/pictures/down_cursor.png:
	* examples/pictures/down_cursor_selected.png:
	* examples/pictures/left_cursor.png:
	* examples/pictures/left_cursor_selected.png:
	* examples/pictures/right_cursor.png:
	* examples/pictures/right_cursor_selected.png:
	* examples/pictures/up_cursor.png:
	* examples/pictures/up_cursor_selected.png:
	* examples/pypgmtools/Makefile.am:
	* examples/pypgmtools/button.py:
	* examples/pypgmtools/choice_box.py:
	* examples/pypgmtools/text_button.py:
	* examples/pypgmtools/text_choice_box.py:
	* libs/pypgmtools/widgets/Makefile.am:
	* libs/pypgmtools/widgets/choice_box.py:
	* libs/pypgmtools/widgets/text_button.py:
	* libs/pypgmtools/widgets/text_choice_box.py:
	new ChoiceBox and TextChoiceBox
	Updated all examples to new pigment API
	Still some problems with ordering and transparency in pigment.

2007-06-18  Benjamin Kampmann  <benjamin@fluendo.com>

	* examples/pypgmtools/player_dock.py:
	fixed problem to the new key-pressed handling

2007-06-18  Benjamin Kampmann  <benjamin@fluendo.com>

	* examples/pypgmtools/data/sound-background.png:
	* examples/pypgmtools/data/sound-up.png:
	* examples/pypgmtools/player_dock.py:
	addin a player dock example

	* libs/pypgmtools/widgets/Makefile.am:
	* libs/pypgmtools/widgets/dock.py:
	removed some unusefull stuff from dock.py

	* libs/pypgmtools/widgets/player_dock.py:
	Added the player dock

2007-06-18  Loïc Molinari  <loic@fluendo.com>

	* pgm/Makefile.am:
	* pgm/pgmkeysyms.h:
	* pgm/pgmevents.c:
	* pgm/pgmevents.h:
	Added the hardware_keycode field in the PgmEventKey strucutre.
	Removed the bad PgmKeyValue enum adding a function to convert a keysym
	to its Unicode value.

	* plugins/opengl/pgmglxbackend.c:
	* docs/pgm/pigment-sections.txt:
	* examples/pgm/text.c:
	* examples/pypgm/video.py:
	Adapted to the new key API.

	* configure.ac:
	* libs/pypgm/Makefile.am:
	* libs/pypgm/pgm.defs:
	* libs/pypgm/pgm.override:
	* libs/pypgm/pgm/Makefile.am:
	* libs/pypgm/pgm/__init__.py:
	* libs/pypgm/pgm/keysyms.py:
	* libs/pypgm/pgm/pgm.defs:
	* libs/pypgm/pgm/pgm.override:
	* libs/pypgm/pgm/pgmevent.override:
	* libs/pypgm/pgm/pgmmodule.c:
	* libs/pypgm/pgm/pgmtext.override:
	* libs/pypgm/pgm/pgmviewport.override:
	* libs/pypgm/pgmcanvas.override:
	* libs/pypgm/pgmdrawable.override:
	* libs/pypgm/pgmevent.override:
	* libs/pypgm/pgmimage.override:
	* libs/pypgm/pgmmodule.c:
	* libs/pypgm/pgmtext.override:
	* libs/pypgm/pgmviewport.override:
	* libs/pypgm/pgmviewportfactory.override:
	Coding guidelines fixes.
	Adapted the binding to the new key API.
	Converted pgm to a package to easily integrate Python keysyms.

	* misc/pgm-uninstalled:
	Adapted PYTHONPATH for the new Python binding package.

	* plugins/opengl/pgmglimage.c:
	* plugins/opengl/pgmgltext.c:
	Checked texture ids validity before texture binding.

	* pgm/pgm.h:
	Removed trailing tabs.

2007-06-16  Philippe Normand  <philippe@fluendo.com>

	* libs/pypgm/pgm.override:
	* libs/pypgm/pgmtext.override:
	* libs/pypgm/pgmviewport.override:
	Unicode support in the Python binding. Byte strings are still
	supported.

	* examples/pypgm/text.py:
	Adapted text example to use some unicode

2007-06-15  Mirco Müller  <macslow@bangang.de>

	* examples/pypgm/text-list-widget/textlist.py:
	font-size change

	* libs/pypgmtools/widgets/text_list.py:
	adapted TextList widget to the new event-handling API (rather the
	example included in it)

2007-06-15  Thomas Vander Stichele  <thomas at apestaart dot org>

	* configure.ac:
	  Rename the variable for the second PANGO check, otherwise it
	  caches the result from the first check.

2007-06-15  Mirco Müller  <macslow@bangang.de>

	* examples/pypgm/text-list-widget/textlist.py:
	adapted TextList example to the new event-handling API

2007-06-15  Loïc Molinari  <loic@fluendo.com>

	Patch by: Zaheer Abbas Merali <zaheerabbas at merali dot org>

	* pgm/pgmdrawable.c:
	Fixed wrong GType in "drawable::changed" signal creation.

2007-06-15  Mirco Müller  <macslow@bangang.de>

	* examples/pypgm/grid-view-widget/cover-18.jpg:
	* examples/pypgm/grid-view-widget/cover-19.jpg:
	* examples/pypgm/grid-view-widget/cover-20.jpg:
	* examples/pypgm/grid-view-widget/cover-21.jpg:
	* examples/pypgm/grid-view-widget/cover-22.jpg:
	* examples/pypgm/grid-view-widget/cover-23.jpg:
	* examples/pypgm/grid-view-widget/cover-24.jpg:
	* examples/pypgm/grid-view-widget/cover-25.jpg:
	* examples/pypgm/grid-view-widget/cover-26.jpg:
	* examples/pypgm/grid-view-widget/cover-27.jpg:
	* examples/pypgm/grid-view-widget/cover-28.jpg:
	* examples/pypgm/grid-view-widget/cover-29.jpg:
	* examples/pypgm/grid-view-widget/cover-30.jpg:
	forgot to actually add them to the repository

2007-06-15  Mirco Müller  <macslow@bangang.de>

	* examples/pypgm/grid-view-widget/grid_view.py:
	made example of GridView use the new event-handling API, tweaked the
	display of the currently selected item, added a select() method and
	mapped that to SPACE- and RETURN-key in the example

2007-06-15  Philippe Normand  <philippe@fluendo.com>

	* tests/pypgmtools/test_group.py:
	* tests/pypgmtools/test_image.py:
	Fixed unittest scripts

2007-06-15  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmmarshal.list:
	* pgm/pgmviewport.c:
	* pgm/pgmviewport.h:
	* libs/pypgm/pgm.defs:
	* libs/pypgm/pgm.override:
	* pgm/pgm.c:
	* pgm/pgm.h:
	Added the main loop API.
	Removed pgm_viewport_get_events symbol.
	Added pgm_viewport_push_event symbol.
	Added pgm_main, pgm_main_quit, pgm_main_iteration,
	pgm_main_iteration_do and pgm_events_pending symbols.
	Added PgmViewport event signals.
	Added a GSource using pipe to watch for new events.

	* pgm/pgmevents.c:
	* pgm/pgmevents.h:
	* libs/pypgm/pgmevent.override:
	Added the viewport property.

	* configure.ac:
	* pgm/Makefile.am:
	* pgm/pgmsink.c:
	* pgm/pgmsink.h:
	* pgm/pgmimagesink.c:
	* pgm/pgmimagesink.h:
	* docs/pgm/pigment-docs.sgml:
	Renamed pgmsink to pgmimagesink.

	* docs/pgm/pigment-sections.txt:
	Added the new main loop symbols.

	* docs/pgm/pigment.types:
	Added pigment.types to introspect signals.

	* examples/pgm/image.c:
	* examples/pgm/text.c:
	* examples/pgm/video.c:
	* examples/pypgm/image.py:
	* examples/pypgm/text.py:
	* examples/pypgm/timing.py:
	* examples/pypgm/video.py:
	Adapted examples to the main loop API.

	* examples/pypgm/viewports.py:
	Added an example to show the use of multiple viewports.

	* plugins/boilerplate/pgmbpviewport.c:
	* plugins/opengl/pgmglviewport.c:
	* plugins/opengl/pgmglviewport.h:
	* plugins/opengl/pgmglxbackend.c:
	Adapted plugins to the main loop API.

	* plugins/opengl/pgmcontext.c:
	Forced an update at the end of the Context creation.

2007-06-15  Benjamin Kampmann  <benjamin@fluendo.com>

	* examples/pypgmtools/Makefile.am:
	* examples/pypgmtools/data/blue.png:
	* examples/pypgmtools/data/blue_fg.png:
	* examples/pypgmtools/growing_progress_bar.py:
	Adding a example for the growing progress bar

	* libs/pypgmtools/widgets/progressbar.py:
	fixing a missing import in progressbar

2007-06-15  Mirco Müller  <macslow@bangang.de>

	* examples/pypgm/grid-view-widget/grid_view.py:
	element- and page-wise scrolling works for both
	top-bottom and left-right GridView orientations

2007-06-15  Benjamin Kampmann <benjamin@fluendo.com>

	* libs/pypgmtools/widgets/progressbar.py:
	Adding the first version of a growing progress bar

2007-06-15  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmviewport.h:
	Fixed bad parent_class type in PgmViewportClass structure.

2007-06-15  Loïc Molinari  <loic@fluendo.com>

	* configure.ac:
	* plugins/opengl/pgmgltext.c:
	Checked for Pango >= 1.8 minimum for the OpenGL plugin.
	Checked for Pango >= 1.16 to ifdef out gravity/justification related
	functions in the OpenGL plugin.

2007-06-15  Loïc Molinari  <loic@fluendo.com>

	* examples/pypgm/text.py:
	* libs/pypgm/pgm.defs:
	* libs/pypgm/pgmtext.override:
	* pgm/pgmtext.c:
	* pgm/pgmtext.h:
	* plugins/opengl/pgmgltext.c:
	* plugins/opengl/pgmgltext.h:
	* plugins/opengl/pgmglviewport.c:
	Moved pgm_text_set_height to pgm_text_set_font_height in order to
	resolve a conflict in the Python binding with the drawable height
	property.

2007-06-14  Mirco Müller  <macslow@bangang.de>

	* examples/pypgm/grid-view-widget/bg-mask-bottom.png:
	* examples/pypgm/grid-view-widget/bg-mask-left.png:
	* examples/pypgm/grid-view-widget/bg-mask-right.png:
	* examples/pypgm/grid-view-widget/bg-mask-top.png:
	* examples/pypgm/grid-view-widget/bg.png:
	* examples/pypgm/grid-view-widget/cover-01.jpg:
	* examples/pypgm/grid-view-widget/cover-02.jpg:
	* examples/pypgm/grid-view-widget/cover-03.jpg:
	* examples/pypgm/grid-view-widget/cover-04.jpg:
	* examples/pypgm/grid-view-widget/cover-05.jpg:
	* examples/pypgm/grid-view-widget/cover-06.jpg:
	* examples/pypgm/grid-view-widget/cover-07.jpg:
	* examples/pypgm/grid-view-widget/cover-08.jpg:
	* examples/pypgm/grid-view-widget/cover-09.jpg:
	* examples/pypgm/grid-view-widget/cover-10.jpg:
	* examples/pypgm/grid-view-widget/cover-11.jpg:
	* examples/pypgm/grid-view-widget/cover-12.jpg:
	* examples/pypgm/grid-view-widget/cover-13.jpg:
	* examples/pypgm/grid-view-widget/cover-14.jpg:
	* examples/pypgm/grid-view-widget/cover-15.jpg:
	* examples/pypgm/grid-view-widget/cover-16.jpg:
	* examples/pypgm/grid-view-widget/cover-17.jpg:
	* examples/pypgm/grid-view-widget/grid-view-bg-masks.xcf:
	* examples/pypgm/grid-view-widget/grid-view-bg.png:
	* examples/pypgm/grid-view-widget/grid_view.py:
	* examples/pypgm/grid-view-widget/grid_view_test.py:
	* examples/pypgm/grid-view-widget/selector.png:
	* examples/pypgm/grid-view-widget/shade.png:
	added first version of GridView widget, but it's
	not finished yet... just making sure it's under
	version-control now

	Do not touch it yet!

2007-06-14  Colin Laplace  <colin@fluendo.com>

	* examples/pictures/Makefile.am:
	* examples/pictures/btn_disabled.png:
	* examples/pictures/btn_down.png:
	* examples/pictures/btn_hover.png:
	* examples/pictures/btn_selected.png:
	* examples/pictures/btn_up.png:
	* examples/pictures/cart_horiz.png:
	* examples/pictures/cart_horiz_selected.png:
	* examples/pictures/cart_vert.png:
	* examples/pictures/cart_vert_selected.png:
	* examples/pictures/down_cursor.png:
	* examples/pictures/down_cursor_selected.png:
	* examples/pictures/left_cursor.png:
	* examples/pictures/left_cursor_selected.png:
	* examples/pictures/right_cursor.png:
	* examples/pictures/right_cursor_selected.png:
	* examples/pictures/up_cursor.png:
	* examples/pictures/up_cursor_selected.png:
	* examples/pypgmtools/Makefile.am:
	* examples/pypgmtools/choice_box.py:
	* libs/pypgmtools/widgets/Makefile.am:
	* libs/pypgmtools/widgets/button.py:
	* libs/pypgmtools/widgets/choice_box.py:
	* libs/pypgmtools/widgets/text_button.py:

	ChoiceBox. Weird bug in pigment gives a weird black trace...
	Cannot find why for now

2007-06-14  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/graph/group.py:
	Fixed remove so that it recursively remove the drawables from the canvas.
	Fixed opacity propagation when a drawable or a group is added.

	* libs/pypgmtools/widgets/list.py:
	Fixed elements initial position.

2007-06-14  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmimage.c:
	Added support to retrieve the aspect-ratio of the stored image.

2007-06-14  Benjamin Kampmann  <benjamin@fluendo.com>

	* libs/pypgmtools/widgets/Makefile.am:
	* libs/pypgmtools/widgets/progressbar.py:
	* libs/pypgmtools/widgets/scrollbar.py:
	Adding Scrollbar, LinedScrollbar and a Progressbar

2007-06-14  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/widgets/list.py:
	* libs/pypgmtools/widgets/text_list.py:
	Fixed non modifiable font height.

2007-06-14  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmglimage.c:
	Added the zoomed layout type.
	Fixed alignment to correctly reset to center.

2007-06-13  Florian Boucault  <florian@fluendo.com>

	* examples/pypgm/text-list-widget/textlist.py:
	Selector offset added.

	* examples/pypgm/video.py:
	Syntax fixes.

	* libs/pypgmtools/timing/implicit.py:
	Fixed: animating attributes when opacity is 0 but animated at the same
	time.

	* libs/pypgmtools/widgets/Makefile.am:
	* libs/pypgmtools/widgets/list.py:
	* libs/pypgmtools/widgets/text_list.py:
	TextList is now inheriting from a generic List.

2007-06-13  Colin Laplace <colin@fluendo.com>

	* examples/pypgmtools/button.py:
	* examples/pypgmtools/text_button.py:
	* libs/pypgmtools/widgets/button.py:
	* libs/pypgmtools/widgets/text_button.py:
	new Button and TextButton widgets.
	the label is currently not shown of the TextButton,
	because of the lack of ordering support

2007-06-13  Mirco Müller  <macslow@bangang.de>

	* libs/pypgmtools/widgets/text_list.py:
	fixed the import from module implicit

2007-06-13  Mirco Müller  <macslow@bangang.de>

	* libs/pypgmtools/widgets/text_list.py:
	made the text-list widget use ease-out/decelerate

2007-06-13  Loïc Molinari  <loic@fluendo.com>

	Patch by: Zaheer Abbas Merali <zaheerabbas at merali dot org>

	* pgm/pgmdrawable.c:
	* pgm/pgmmarshal.list:
	Fixed wrong marshaller for the "drawable::changed" signal.

	* plugins/opengl/pgmgldrawable.c:
	Added a condition to not draw if the opacity is 0.

2007-06-12  Florian Boucault  <florian@fluendo.com>

	* examples/pypgm/text-list-widget/textlist.py:
	* libs/pypgmtools/timing/modifier.py:
	* libs/pypgmtools/widgets/text_list.py:
	TextList code cleanup.

2007-06-12  Mirco Müller  <macslow@bangang.de>

	* libs/pypgmtools/graph/group.py:
	* tests/pypgmtools/test_group.py:
	implemented remove to group and added unit-tests

2007-06-11  Mirco Müller  <macslow@bangang.de>

	* libs/pypgmtools/widgets/text_list.py:
	fixed the method insert for "empty widget"-case

2007-06-11  Mirco Müller  <macslow@bangang.de>

	* libs/pypgmtools/widgets/text_list.py:
	fixed some issues

2007-06-11  Mirco Müller  <macslow@bangang.de>

	* examples/pypgm/text-list-widget/textlistwidget.py:
	hm... I thought I deleted this one

	* libs/pypgmtools/widgets/Makefile.am:
	modified to reflect the added widget

	* libs/pypgmtools/widgets/text_list.py:
	moved the widget to its designated target-directory

2007-06-11  Mirco Müller  <macslow@bangang.de>

	* examples/pypgm/text-list-widget/bar.png:
	* examples/pypgm/text-list-widget/bg-green-stripes.png:
	* examples/pypgm/text-list-widget/bg-green.png:
	* examples/pypgm/text-list-widget/selector-green.png:
	* examples/pypgm/text-list-widget/speaker-green-reflection.png:
	* examples/pypgm/text-list-widget/speaker-green.png:
	added some images to create a better mockup showing the feel
	of elisa as an example

	* examples/pypgm/text-list-widget/textlist.py:
	added this file and fixed the animation issues
	for fast moving up/down, inserting and removing
	elements in a already shown text-list widget

	* examples/pypgm/text-list-widget/textlistwidget.py:
	removed this due the new naming-scheme to be used for widgets

2007-06-11  Florian Boucault  <florian@fluendo.com>

	* examples/pypgm/group-tests/dock.py:
	Added video example.

2007-06-11  Loïc Molinari  <loic@fluendo.com>

	* configure.ac:
	Modified the GStreamer plugin path variable name.

	* examples/pgm/image.c:
	* examples/pgm/text.c:
	Removed useless unrefs.

	* examples/pgm/Makefile.am:
	* examples/pgm/video.c:
	Added C video example.

	* examples/pypgm/Makefile.am:
	* examples/pypgm/video.py:
	Added Python video example

	* misc/pgm-uninstalled:
	Added the PGM_PLUGIN_PATH variable

	* pgm/pgm.c:
	Load/unload the GStreamer plugin at init/deinit.

	* pgm/pgmsink.c:
	* pgm/pgmsink.h:
	Adapted to only output RGB buffers ATM.

	* pgm/pgmimage.c:
	* plugins/opengl/pgmglimage.c:
	Added GstBuffer support.

2007-06-11  Florian Boucault  <florian@fluendo.com>

	* configure.ac:
	* libs/pypgmtools/Makefile.am:
	* libs/pypgmtools/widgets/Makefile.am:
	* libs/pypgmtools/widgets/__init__.py:
	Added new module: widgets.

2007-06-09  Mirco Müller  <macslow@bangang.de>

	* examples/pypgm/text-list-widget/bg.png:
	* examples/pypgm/text-list-widget/selector.png:
	* examples/pypgm/text-list-widget/shade.png:
	added these files for visual style bonus

	* examples/pypgm/text-list-widget/textlistwidget.py:
	extended the main-function with some bling and added the
	cursor/selector parameter to the widget

2007-06-08  Mirco Müller  <macslow@bangang.de>

	* examples/pypgm/text-list-widget/textlistwidget.py: fixed
	a crash for trying to remove non-existing element

2007-06-08  Mirco Mueller  <macslow@bangang.de>

	* examples/pypgm/text-list-widget/main.py: removed

	* examples/pypgm/text-list-widget/textlistwidget.py: included
	the stuff from main.py in here

2007-06-08  Loïc Molinari  <loic@fluendo.com>

	* examples/pypgm/timing.py:
	* libs/pypgmtools/timing/controller.py:
	Moved Controller interpolation property to transformation.
	Added the LINEAR, SMOOTH, DECELERATE, ACCELERATE constants.
	Adapted the timing example.

2007-06-08  Florian Boucault  <florian@fluendo.com>

	* examples/pypgm/group-tests/dock.py:
	* examples/pypgm/group-tests/implicit.py:
	* libs/pypgmtools/timing/implicit.py:
	New feature for implicit animations: list of target values.
	Added more parameters from Controller.

2007-06-08  Florian Boucault  <florian@fluendo.com>

	* examples/pypgm/group-tests/dock.py:
	Revamped, cleaner, cooler Dock.

	* libs/pypgmtools/graph/group.py:
	* libs/pypgmtools/graph/image.py:
	* libs/pypgmtools/graph/text.py:
	* tests/pypgmtools/test_group.py:
	* tests/pypgmtools/test_image.py:
	Removed __author__ field.

	* libs/pypgmtools/timing/research/animation:
	Added new ideas.

2007-06-07  Florian Boucault  <florian@fluendo.com>

	* examples/pypgm/group-tests/dock.py:
	prototype in order to validate some ideas.

	* examples/pypgm/group-tests/drawable.py:
	implicit animation added.

	* libs/pypgmtools/graph/group.py:
	canvas parameter added so that drawables can be added to the canvas.

2007-06-07  Florian Boucault  <florian@fluendo.com>

	* examples/pypgm/group-tests/drawable.py:
	Switched to the new groups.

	* libs/pypgmtools/graph/group.py:
	Fixed import.

2007-06-07  Florian Boucault  <florian@fluendo.com>

	* libs/pypgmtools/graph/Makefile.am:
	* libs/pypgmtools/graph/element.py:
	* libs/pypgmtools/graph/wrappers.py:
	* libs/pypgmtools/group.py:
	* libs/pypgmtools/image.py:
	* libs/pypgmtools/text.py:
	Moved new groups to their final place.

2007-06-06  Florian Boucault  <florian@fluendo.com>

	* examples/pypgm/group-tests/implicit.py:
	Experiments.
	* libs/pypgmtools/timing/controller.py:
	Code factoring.
	HOLD end behaviour fixed.
	* libs/pypgmtools/timing/implicit.py:
	Nicer transitions when new target values are set
	* libs/pypgmtools/timing/modifier.py:
	Tabs removed.
	Timeline now modifiable on the fly.

2007-06-05  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmgltext.c:
	Optimized unpremultiply alpha buffer pass.

	* plugins/opengl/pgmcontext.c:
	* plugins/opengl/pgmcontext.h:
	Added a locking condition to wait for the rendering thread
	initialization completion.

	* pgm/pgm.c:
	* pgm/pgmcanvas.c:
	* pgm/pgmellipse.c:
	* pgm/pgmevents.c:
	* pgm/pgmimage.c:
	* pgm/pgmrectangle.c:
	* pgm/pgmtext.c:
	* pgm/pgmviewport.c:
	* pgm/pgmviewportfactory.c:
	* plugins/opengl/pgmbackend.c:
	* plugins/opengl/pgmtexture.c:
	Added config.h in all the files.

	* examples/pgm/image.c:
	* examples/pgm/text.c:
	Fixed to respect the coding guidelines.
	Added error checks.

	* HACKING:
	Removed out-of-date hierarchy explanation.

2007-06-03  Florian Boucault   <florian@fluendo.com>

	* libs/pypgmtools/graph/element.py:
	* libs/pypgmtools/graph/group.py:
	Finally commented.

2007-06-03  Florian Boucault  <florian@fluendo.com>

	* examples/pgm/image.c:
	Fails properly if the image file is not to be found.

	* libs/pypgmtools/graph/element.py:
	Comments added.

	* libs/pypgmtools/timing/research/animation:
	* libs/pypgmtools/timing/research/animation.svg:
	* libs/pypgmtools/timing/research/implicit.svg:
	* libs/pypgmtools/timing/research/triggers.svg:
	Beginning of a thought about the animation framework.

2007-06-02  Florian Boucault  <florian@fluendo.com>

	* examples/pypgm/group-tests/implicit.py:
	Removed spaces before opening parenthesis.

	* libs/pypgmtools/timing/implicit.py:
	* libs/pypgmtools/graph/wrappers.py:
	Simpler code.

	* libs/pypgmtools/timing/Makefile.am:
	Added implicit.py

	* libs/pypgmtools/timing/animated_object.py:
	Deprecated.

	* libs/pypgmtools/timing/controller.py:
	Replaced tabs with spaces.

2007-06-02  Florian Boucault  <florian@fluendo.com>

	* examples/pypgm/group-tests/animated_object.py:
	* libs/pypgmtools/timing/implicit.py:
	Moved to pypgmtools.
	Documentation added.

	* examples/pypgm/group-tests/group-test.py:
	* examples/pypgm/group-tests/implicit.py:
	Adapted to the previous move.

	* libs/pypgmtools/graph/wrappers.py:
	80 columns wrap.

2007-06-01  Loïc Molinari  <loic@fluendo.com>

	* Makefile.am:
	* configure.ac:
	* libs/Makefile.am:
	* libs/pypgmtools/Makefile.am:
	* libs/pypgmtools/graph/Makefile.am:
	* libs/pypgmtools/timing/Makefile.am:
	* libs/pypgmtools/utils/Makefile.am:
	* misc/Makefile.am:
	Added pypgmtools in the dist.
	Added pgm-uninstall in the dist.

	* pgm/pgmdrawable.c:
	* pgm/pgmdrawable.h:
	* docs/pgm/pigment-sections.txt:
	* libs/pypgm/pgm.defs:
	* libs/pypgm/pgmdrawable.override:
	* plugins/opengl/pgmgldrawable.c:
	* plugins/opengl/pgmgldrawable.h:
	* plugins/opengl/pgmglimage.c:
	* plugins/opengl/pgmgltext.c:
	* plugins/opengl/pgmglviewport.c:
	* plugins/opengl/pgmglviewport.h:
	* plugins/opengl/pgmglxbackend.c:
	Removed shadow_inner/outer_color keeping one shadow_color.

	* libs/pypgm/pgmtext.override:
	Added tp_get for the markup property to fix a warning.

	* libs/pgm/Makefile.am:
	* libs/pgm/tk/Makefile.am:
	* libs/pgm/tk/__init__.py:
	* libs/pgm/tk/form/Makefile.am:
	* libs/pgm/tk/form/__init__.py:
	* libs/pgm/tk/form/color.py:
	* libs/pgm/tk/form/component.py:
	* libs/pgm/tk/form/filter.py:
	* libs/pgm/tk/form/gradient.py:
	* libs/pgm/tk/form/image.py:
	* libs/pgm/tk/form/label.py:
	* libs/pgm/tk/form/media.py:
	* libs/pgm/tk/form/paint.py:
	* libs/pgm/tk/form/rectangle.py:
	* libs/pgm/tk/form/shadow.py:
	* libs/pgm/tk/form/shape.py:
	* libs/pgm/tk/form/stroke.py:
	* libs/pgm/tk/layout/Makefile.am:
	* libs/pgm/tk/layout/__init__.py:
	* libs/pgm/tk/layout/group.py:
	* libs/pgm/tk/layout/leaf.py:
	* libs/pgm/tk/layout/window.py:
	* libs/pgm/tk/log.py:
	* libs/pgm/tk/message/Makefile.am:
	* libs/pgm/tk/message/__init__.py:
	* libs/pgm/tk/message/signal.py:
	* libs/pgm/tk/render.py.in:
	* libs/pgm/tk/timing/Makefile.am:
	* libs/pgm/tk/timing/__init__.py:
	* libs/pgm/tk/timing/controller.py:
	* libs/pgm/tk/timing/keyframe.py:
	* libs/pgm/tk/timing/modifier.py:
	* libs/pgm/tk/util/Makefile.am:
	* libs/pgm/tk/util/__init__.py:
	* libs/pgm/tk/util/classinit.py:
	* libs/pgm/tk/util/discoverer.py:
	* libs/pgm/tk/util/maths.py:
	* libs/pgm/tk/util/string_tools.py:
	* libs/pgm/tk/widget.py:
	Removed since it's not used anymore.

	* libs/pypgmtools/group.py:
	Removed.

2007-06-01  Florian Boucault  <florian@fluendo.com>

	* examples/pypgm/group-tests/drawable.py:
	Adapted to new groups.

	* libs/pypgmtools/graph/element.py:
	* libs/pypgmtools/graph/group.py:
	* libs/pypgmtools/graph/wrappers.py:
	New scene-graph like framework.

	* libs/pypgmtools/timing/modifier.py:
	Small fix for a getattribute.

2007-06-01  Loïc Molinari  <loic@fluendo.com>

	* pgm/pgmdrawable.c:
	* pgm/pgmdrawable.h:
	* pgm/pgmimage.c:
	* pgm/pgmimage.h:
	* pgm/pgmtext.c:
	* docs/pgm/pigment-sections.txt:
	* tests/check/pgm/pgmdrawable.c:
	* tests/check/pgm/pgmimage.c:
	* libs/pypgm/pgm.defs:
	* libs/pypgm/pgmcanvas.override:
	* libs/pypgm/pgmdrawable.override:
	* libs/pypgm/pgmimage.override:
	* plugins/opengl/pgmgldrawable.c:
	* plugins/opengl/pgmgldrawable.h:
	* plugins/opengl/pgmglimage.c:
	* plugins/opengl/pgmglimage.h:
	* plugins/opengl/pgmglviewport.c:
	Moved layout_type and alignment from PgmDrawable to PgmImage.
	Changed set/get_layout_type to set/get_layout.
	Added layout and alignment to Image tp_get/set Python bindery.

2007-05-31  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmglimage.c:
	* plugins/opengl/pgmglimage.h:
	Added support for scaled and filled layout types.
	Added support for customized pixel aspect ratio.
	Added support for alignments.

	* plugins/opengl/pgmgldrawable.c:
	Fixed set_layout_type which was not calling the correct virtual method.

	* pgm/pgmimage.c:
	* tests/check/pgm/pgmimage.c:
	Made default custom p-a-r values to n=0, d=1.
	Adapted doc and unit test.

2007-05-30  Philippe Normand  <philippe@fluendo.com>

	* libs/pypgmtools/timing/controller.py:
	* libs/pypgmtools/timing/modifier.py:
	* misc/pgm-uninstalled:
	Import pygst and require 0.10 before importing gst

2007-05-30  Philippe Normand  <philippe@fluendo.com>

	* misc/pgm-uninstalled:
	A utility shell script stolen from Thomas's MOAP.

2007-05-30  Florian Boucault  <florian@fluendo.com>

	* examples/pypgm/group-tests/animated_drawable.py:
	Element class switched to Python-style.

	* examples/pypgm/group-tests/implicit.py:
	Exemple of how to use AnimatedDrawable.

	* examples/pypgm/group-tests/group-test.py:
	Adapted to use AnimatedDrawable.
	Removed spaces before parenthesis.

	* examples/pypgm/group-tests/group.py:
	No change.

2007-05-29  Loïc Molinari  <loic@fluendo.com>

	* libs/pypgm/pgmevent.override:
	Returned an enum from GType instead of just an int in the event getattr
	for several properties.

2007-05-29  Loïc Molinari  <loic@fluendo.com>

	* examples/pypgm/Makefile.am:
	Added timing example in the distribution.

	* libs/pypgmtools/timing/modifier.py:
	Added support for sequences to the relative operation.

2007-05-29  Loïc Molinari  <loic@fluendo.com>

	* libs/pypgmtools/__init__.py:
	* libs/pypgmtools/group.py:
	* libs/pypgmtools/timing/__init__.py:
	* libs/pypgmtools/timing/controller.py:
	* libs/pypgmtools/timing/keyframe.py:
	* libs/pypgmtools/timing/modifier.py:
	* libs/pypgmtools/utils/__init__.py:
	* libs/pypgmtools/utils/maths.py:
	Adapted the timing framework to the new architecture (pypgmtools).

	* examples/pypgm/timing.py:
	Added an example to test the timing system.

2007-05-28  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmgltext.c:
	Fixed crash in update_pixmap.
	Optimized removing of premultiplied alpha, ouf!

2007-05-28  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmaglbackend.c:
	* plugins/opengl/pgmaglbackend.h:
	* plugins/opengl/pgmbackend.c:
	* plugins/opengl/pgmbackend.h:
	* plugins/opengl/pgmcontext.c:
	* plugins/opengl/pgmcontext.h:
	* plugins/opengl/pgmgltext.c:
	* plugins/opengl/pgmglviewport.c:
	* plugins/opengl/pgmglxbackend.c:
	* plugins/opengl/pgmglxbackend.h:
	* plugins/opengl/pgmwglbackend.c:
	* plugins/opengl/pgmwglbackend.h:
	Adapted to the new title API.
	Added context parameter to backend constructor.
	Added support for the EWMH specification (_NET_WM_USER_TIME,
	WM_DELETE_WINDOW, _NET_WM_PING, _NET_WM_NAME,
	_NET_WM_STATE_FULLSCREEN).
	Updated the viewport on Expose event.
	Compressed Expose event on the queue.
	Pushed scroll/delete events.
	Initialized support for threads in Xlib.
	Included offset consideration when pushing multi button events.
	Simplified window creation.
	Fixed text_set_size uninitialized text parameters.

	* examples/pypgm/image.py:
	Changed viewport title.
	Added events handling.
	closed application correctly on delete event.

	* examples/pypgm/text.py
	Changed viewport title.
	Added events handling.
	Added alignment changes function of button pressed.
	closed application correctly on delete event.

	* pgm/pgmevents.h:
	Updated doc.

	* pgm/pgmviewport.c:
	* pgm/pgmviewport.h:
	* docs/pgm/pigment-sections.txt:
	Changed set_title API removing the icon_title parameter.
	Added get_title API.

	* libs/pypgm/pgm.defs:
	* libs/pypgm/pgmtext.override:
	* libs/pypgm/pgmviewport.override:
	Adapted to the new title API.
	Added tp_get/set for viewport title/fullscreen properties.

	* plugins/boilerplate/pgmbpviewport.c:
	Adapted to the new title API.

2007-05-25  Loïc Molinari  <loic@fluendo.com>

	* configure.ac:
	Added pypgm examples.

	* plugins/opengl/pgmaglbackend.c:
	* plugins/opengl/pgmaglbackend.h:
	* plugins/opengl/pgmglxbackend.c:
	* plugins/opengl/pgmglxbackend.h:
	* plugins/opengl/pgmwglbackend.c:
	* plugins/opengl/pgmwglbackend.h:
	Changed PgmBackend subtype constructors to return PgmBackend*.

2007-05-25  Loïc Molinari  <loic@fluendo.com>

	* libs/pypgm/pgm.defs:
	* libs/pypgm/pgmtext.override:
	Added tp_get/set for PgmText properties.

	* plugins/opengl/pgmgldrawable.c:
	* plugins/opengl/pgmglimage.c:
	* plugins/opengl/pgmgltext.c:
	Fixed texture binding usage. Textures are now only binded by part
	needing it and unbinded before part which need to remove it. It avoids
	bind/unbind superfluous calls, and makes drivers happy.

	* examples/Makefile.am:
	Added pypgm examples to be ditributed.

	* examples/pypgm/text.py:
	Fixed comments.

2007-05-25  Loïc Molinari  <loic@fluendo.com>

	* examples/pypgm/Makefile.am:
	* examples/pypgm/image.py:
	* examples/pypgm/text.py:
	Added examples.

	* libs/pypgm/pgmtext.override:
	Wrapped constructor to support markup parameter.

	* pgm/pgmtext.c:
	* pgm/pgmtext.h:
	Changed to use set_markup instead of set_label in constructor.

	* plugins/opengl/pgmglxbackend.c:
	Cosmetic fix.

2007-05-25  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmglxbackend.c:
	Added support for double/triple button press events.

2007-05-24  Loïc Molinari  <loic@fluendo.com>

	Patch by: Mirco Müller <macslow@bangang.de>

	* plugins/opengl/pgmcontext.c:
	* plugins/opengl/pgmgl.c:
	* plugins/opengl/pgmgldrawable.c:
	* plugins/opengl/pgmglimage.c:
	* plugins/opengl/pgmglimage.h:
	* plugins/opengl/pgmgltext.c:
	* plugins/opengl/pgmgltext.h:
	* plugins/opengl/pgmglviewport.c:
	* plugins/opengl/pgmglxbackend.c:
	Unbind textures after drawing.
	Added text support.

	* configure.ac:
	Replaces Cairo dependency by PangoCairo.

	* examples/pgm/Makefile.am:
	* examples/pgm/text.c:
	Added text example.

	* examples/pgm/image.c:
	Backround color fully transparent.

	* pgm/pgmtext.c:
	* tests/check/pgm/pgmtext.c:
	Changed default height to 0.1f.

	* plugins/opengl/Makefile.am:
	* plugins/opengl/pgmgl.h:
	Added pgmgl.h file to integrate various global useful functions.

	* plugins/opengl/pgmgldefs.h:
	Cosmetic fix.

	* plugins/opengl/pgmbackend.h:
	Fixed cast compilation warning.

2007-05-22  Loïc Molinari  <loic@fluendo.com>

	Patch by: Mirco Müller <macslow@bangang.de>

	* configure.ac:
	Included Cairo dependency in the OpenGL plugin.

	* pgm/pgmtext.c:
	* pgm/pgmtext.h:
	Moved outline_width type from gint to gfloat.
	Added enumeration descriptions.

	* tests/check/Makefile.am:
	* tests/check/pgm/pgmtext.c:
	Added two unit tests for the new PgmText API.

2007-05-22  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmbackend.c:
	* plugins/opengl/pgmbackend.h:
	* plugins/opengl/pgmcontext.c:
	* plugins/opengl/pgmcontext.h:
	* plugins/opengl/pgmglviewport.c:
	* plugins/opengl/pgmglxbackend.c:
	* plugins/opengl/pgmglxbackend.h:
	* plugins/opengl/pgmtexture.c:
	Added display lists based text rasterizer.
	Added event handling in a dedicated thread.

	* pgm/pgmevents.c:
	* pgm/pgmevents.h:
	Moved memory allocation calls to GSlice.

	* pgm/pgmviewport.c:
	Mentioned what to free after a call to pgm_viewport_get_events().

2007-05-21  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmcontext.c:
	* plugins/opengl/pgmcontext.h:
	* plugins/opengl/pgmgldefs.h:
	* plugins/opengl/pgmgldrawable.c:
	* plugins/opengl/pgmgldrawable.h:
	* plugins/opengl/pgmglimage.c:
	* plugins/opengl/pgmglimage.h:
	* plugins/opengl/pgmglviewport.h:
	* plugins/opengl/pgmtexture.c:
	* plugins/opengl/pgmtexture.h:
	Added RGBA texture support.
	Added fg_color/opacity/interp handling to PgmGlImage.

	* configure.ac:
	* examples/Makefile.am:
	* examples/pgm/Makefile.am:
	* examples/pgm/image.c:
	Added image example.

2007-05-18  Philippe Normand  <philippe@fluendo.com>

	* libs/pypgm/pgm.defs:
	* libs/pypgm/pgmdrawable.override:
	* libs/pypgm/pgmtext.override:
	* tests/pypgm/test_drawable.py:
	* tests/pypgm/test_rectangle.py:
	* tests/pypgm/test_text.py:
	Updated PyPgm with new PgmText API. TODO: constructor and fields.

2007-05-18  Loïc Molinari  <loic@fluendo.com>

	Patch by: Mirco Müller <macslow@bangang.de>

	* AUTHORS:
	Reorganized.

	* configure.ac:
	Added Pango deps for the OpenGL plugin.

	* docs/pgm/pigment-sections.txt:
	* pgm/pgmdrawable.h:
	* pgm/pgmtext.c:
	* pgm/pgmtext.h:
	Added the new text API.

	* plugins/opengl/pgmgltext.c:
	* plugins/opengl/pgmgltext.h:
	* plugins/opengl/pgmglviewport.c:
	* plugins/opengl/pgmglviewport.h:
	Adapted plugin for the new text API.

2007-05-18  Loïc Molinari  <loic@fluendo.com>

	* configure.ac:
	Included GdkPixbuf in PyPgm CFLAGS to fix build.

	* plugins/opengl/pgmcontext.c:
	Freed tasks after pop.

2007-05-17  Loïc Molinari  <loic@fluendo.com>

	* libs/pypgm/pgm.defs:
	Added PgmDrawableProperty enumeration.

	* libs/pypgm/pgmimage.override:
	Removed bad code from the old binding.

	* pgm/pgmimage.c:
	* pgm/pgmimage.h:
	Don't use gpointer but GdkPixbuf to store a pixbuf.

	* pgm/pgmdrawable.h:
	* plugins/opengl/Makefile.am:
	* plugins/opengl/pgmtexture.h:
	* plugins/opengl/pgmtexture.c:
	* plugins/opengl/pgmcontext.c:
	* plugins/opengl/pgmcontext.h:
	* plugins/opengl/pgmgldrawable.c:
	* plugins/opengl/pgmgldrawable.h:
	* plugins/opengl/pgmglimage.c:
	* plugins/opengl/pgmglimage.h:
	* plugins/opengl/pgmgltext.c:
	* plugins/opengl/pgmglviewport.c:
	* plugins/opengl/pgmglviewport.h:
	Added texture handling utilities.
	Use a generic queue of task in context to handle every tasks.
	Added the visibility property in the "changed" handlers.

2007-05-15  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/pgmcontext.c:
	* plugins/opengl/pgmcontext.h:
	* plugins/opengl/pgmgldefs.h:
	* plugins/opengl/pgmgldrawable.c:
	* plugins/opengl/pgmglxbackend.c:
	Added use of vertex arrays to render drawable background.
	Removed return in void functions.

	* docs/pgm/pigment-sections.txt:
	* pgm/pgmcanvas.h:
	* pgm/pgmdrawable.c:
	* pgm/pgmdrawable.h:
	* pgm/pgmimage.c:
	* pgm/pgmrectangle.c:
	* pgm/pgmtext.c:
	Adapted to correctly emit inherited signals from specialized objects.

	* pgm/Makefile.am:
	Fixed badly expanded variable.

2007-05-14  Loïc Molinari  <loic@fluendo.com>

	* docs/pgm/Makefile.am:
	* docs/pgm/pigment-docs.sgml:
	* docs/pgm/pigment-sections.txt:
	* docs/pgm/pigment.hierarchy:
	Added signals and properties introspection.
	Removed the hierarchy, not needed anymore.

	* AUTHORS:
	Added the different contributors.

	* examples/Makefile.am:
	* examples/pgm/Makefile.am:
	* examples/pgm/dragging.c:
	* examples/pgm/image.c:
	* examples/pgm/label.c:
	* examples/pgm/stream.c:
	* examples/pgm/test.c:
	* examples/pgm/version.c:
	* examples/pgmtk/Makefile.am:
	* examples/pgmtk/dragging.py:
	* examples/pgmtk/forms.py:
	* examples/pgmtk/image.py:
	* examples/pgmtk/label.py:
	* examples/pgmtk/layout.py:
	* examples/pgmtk/move_test.py:
	* examples/pgmtk/par.py:
	* examples/pgmtk/resize_test.py:
	* examples/pgmtk/sizemode.py:
	* examples/pgmtk/stream.py:
	* examples/pgmtk/stream_with_twisted.py:
	* examples/pgmtk/timing.py:
	* examples/pgmtk/tz_test.py:
	* examples/pgmtk/visible_size_stream.py:
	* examples/pgmtk/visualization.py:
	* examples/pgmtk/window_size.py:
	* examples/pgmtk/zoomed_stream.py:
	* examples/pypgm/Makefile.am:
	* examples/pypgm/image.py:
	* examples/pypgm/stream.py:
	* examples/pypgm/test.py:
	* Makefile.am:
	* configure.ac:
	Removed old examples.

	* libs/pypgm/pgmdrawable.override:
	Removed useless error check.

	* pgm/Makefile.am:
	Changed marshalling namespace.

	* pgm/pgmmarshal.list:
	Updated marshallers to match pigment signals.

	* pgm/pgmcanvas.c:
	* pgm/pgmcanvas.h:
	* pgm/pgmdrawable.c:
	* pgm/pgmdrawable.h:
	* pgm/pgmimage.c:
	* pgm/pgmrectangle.c:
	* pgm/pgmtext.c:
	* pgm/pgmviewport.c:
	* pgm/pgmviewport.h:
	Added signals.

	* pkgconfig/pigment.pc.in:
	Removed trailing whitespace.

	* plugins/Makefile.am:
	* plugins/opengl/pgmaglbackend.c:
	* plugins/opengl/pgmaglbackend.h:
	* plugins/opengl/pgmbackend.c:
	* plugins/opengl/pgmbackend.h:
	* plugins/opengl/pgmcontext.c:
	* plugins/opengl/pgmcontext.h:
	* plugins/opengl/pgmgl.c:
	* plugins/opengl/pgmgldrawable.c:
	* plugins/opengl/pgmgldrawable.h:
	* plugins/opengl/pgmglimage.c:
	* plugins/opengl/pgmglimage.h:
	* plugins/opengl/pgmgltext.c:
	* plugins/opengl/pgmgltext.h:
	* plugins/opengl/pgmglviewport.c:
	* plugins/opengl/pgmglviewport.h:
	* plugins/opengl/pgmglxbackend.c:
	* plugins/opengl/pgmglxbackend.h:
	* plugins/opengl/pgmwglbackend.c:
	* plugins/opengl/pgmwglbackend.h:
	Added signal routing, drawable drawing, update system, context
	loading, GLX support.

2007-05-08  Loïc Molinari  <loic@fluendo.com>

	* docs/pypgm/src/pypgm-pgmdrawable.sgml:
	* libs/pypgm/pgm.defs:
	* libs/pypgm/pgmdrawable.override:
	Added visible property to PyPGM drawable class.

2007-05-08  Loïc Molinari  <loic@fluendo.com>

	* Makefile.am:
	* configure.ac:
	* docs/Makefile.am:
	* libs/Makefile.am:
	Removed Cairo dependency from the OpenGL plugin.
	Disabled high level Python part. Needs update.
	Disabled examples compilation. Need update.
	Disabled pypgm doc build.

2007-05-07  Loïc Molinari  <loic@fluendo.com>

	* plugins/opengl/Makefile.am:
	* plugins/opengl/pgmaglbackend.c:
	* plugins/opengl/pgmbackend.c:
	* plugins/opengl/pgmbackend.h:
	* plugins/opengl/pgmcontext.c:
	* plugins/opengl/pgmcontext.h:
	* plugins/opengl/pgmgldrawable.c:
	* plugins/opengl/pgmgldrawable.h:
	* plugins/opengl/pgmglimage.c:
	* plugins/opengl/pgmglimage.h:
	* plugins/opengl/pgmgltext.c:
	* plugins/opengl/pgmgltext.h:
	* plugins/opengl/pgmglviewport.c:
	* plugins/opengl/pgmglviewport.h:
	* plugins/opengl/pgmglxbackend.c:
	* plugins/opengl/pgmwglbackend.c:
	Added the GlDrawable class.
	Set up the base architecture.
	Made it compile.

	* docs/pypgm/src/pypgm-reference.sgml:
	Updated the section titles.

2007-05-07  Loïc Molinari  <loic@fluendo.com>

	* docs/pypgm/src/pypgm-pgmcanvas.sgml:
	* docs/pypgm/src/pypgm-pgmdrawable.sgml:
	* docs/pypgm/src/pypgm-pgmimage.sgml:
	* docs/pypgm/src/pypgm-pgmtext.sgml:
	* docs/pypgm/src/pypgm-pgmviewport.sgml:
	* docs/pypgm/src/pypgm-reference.sgml:
	Added properties in the Python binding doc.
	Changed the bookinfo.

	* plugins/opengl/pgmglcontext.c:
	* plugins/opengl/pgmglcontext.h:
	Moved pgmglcontext to pgmcontext.

	* plugins/opengl/pgmgldrawable.c:
	* plugins/opengl/pgmgldrawable.h:
	Added GL drawable base class.

2007-05-07  Loïc Molinari  <loic@fluendo.com>

	* docs/pypgm/Makefile:
	* libs/pypgm/pgm.defs:
	* libs/pypgm/pgm.override:
	* libs/pypgm/pgmcanvas.override:
	* libs/pypgm/pgmdrawable.override:
	* libs/pypgm/pgmevent.override:
	* libs/pypgm/pgmimage.override:
	* libs/pypgm/pgmmodule.c:
	* libs/pypgm/pgmtext.override:
	* libs/pypgm/pgmviewport.override:
	* libs/pypgm/pgmviewportfactory.override:
	Added properties in the Python binding.

	* docs/planning/pigment-rewrite.planner:
	Updated planning.

	* pgm/pgm.c:
	Changed version string.

	* pgm/pgmcanvas.h:
	Added indexing variables.

	* pgm/pgmdrawable.c:
	Fixed wrong variable access.

	* pgm/pgmimage.c:
	Fixed 0 p-a-r denominator.

	* pgm/pgmtext.c:
	Changed default string to "" instead of NULL.

	* pgm/pgmviewport.c:
	* pgm/pgmcanvas.c:
	* pgm/pgmevents.h:
	* pgm/pgmviewportfactory.c:
	Updated doc.

	* plugins/opengl/README:
	* plugins/opengl/pgmaglbackend.c:
	* plugins/opengl/pgmaglbackend.h:
	* plugins/opengl/pgmbackend.c:
	* plugins/opengl/pgmbackend.h:
	* plugins/opengl/pgmgl.c:
	* plugins/opengl/pgmglcontext.c:
	* plugins/opengl/pgmglcontext.h:
	* plugins/opengl/pgmgldefs.h:
	* plugins/opengl/pgmglimage.c:
	* plugins/opengl/pgmglimage.h:
	* plugins/opengl/pgmgltext.c:
	* plugins/opengl/pgmgltext.h:
	* plugins/opengl/pgmglviewport.c:
	* plugins/opengl/pgmglviewport.h:
	* plugins/opengl/pgmglxbackend.c:
	* plugins/opengl/pgmglxbackend.h:
	* plugins/opengl/pgmraglbackend.c:
	* plugins/opengl/pgmraglbackend.h:
	* plugins/opengl/pgmrbackend.c:
	* plugins/opengl/pgmrbackend.h:
	* plugins/opengl/pgmrgl.c:
	* plugins/opengl/pgmrgl.h:
	* plugins/opengl/pgmrgldefs.h:
	* plugins/opengl/pgmrglimage.c:
	* plugins/opengl/pgmrglimage.h:
	* plugins/opengl/pgmrgltext.c:
	* plugins/opengl/pgmrgltext.h:
	* plugins/opengl/pgmrglviewport.c:
	* plugins/opengl/pgmrglviewport.h:
	* plugins/opengl/pgmrglxbackend.c:
	* plugins/opengl/pgmrglxbackend.h:
	* plugins/opengl/pgmrwglbackend.c:
	* plugins/opengl/pgmrwglbackend.h:
	* plugins/opengl/pgmwglbackend.c:
	* plugins/opengl/pgmwglbackend.h:
	Updated plugin structure.

2007-05-03  Philippe Normand  <philippe@fluendo.com>

	* docs/Makefile.am:
	* docs/pypgm/Makefile:
	* docs/pypgm/src/pypgm-hierarchy.sgml:
	* docs/pypgm/src/pypgm-pgmcanvas.sgml:
	* docs/pypgm/src/pypgm-pgmdrawable.sgml:
	* docs/pypgm/src/pypgm-pgmellipse.sgml:
	* docs/pypgm/src/pypgm-pgmevent.sgml:
	* docs/pypgm/src/pypgm-pgmimage.sgml:
	* docs/pypgm/src/pypgm-pgmrectangle.sgml:
	* docs/pypgm/src/pypgm-pgmtext.sgml:
	* docs/pypgm/src/pypgm-pgmviewport.sgml:
	* docs/pypgm/src/pypgm-pgmviewportfactory.sgml:
	* docs/pypgm/src/pypgm-reference.sgml:
	* docs/pypgm/var/pypgm.css:
	* docs/pypgm/xsl/common.xsl:
	* docs/pypgm/xsl/devhelp.xsl:
	* docs/pypgm/xsl/html.xsl:
	* docs/pypgm/xsl/pdf-style.xsl:
	* docs/pypgm/xsl/pdf.xsl:
	* docs/pypgm/xsl/ref-html-style.xsl:
	* docs/pypgm/xsl/tut-html-style.xsl:
	Initial PyPGM ref doc, needs to be updated with the binding API

2007-05-02  Philippe Normand  <philippe@fluendo.com>

	* libs/pypgm/pgm.defs:
	* libs/pypgm/pgmimage.override:
	* tests/pypgm/run.py:
	* tests/pypgm/test_image.py:
	Improvements and unittests on Image wrapper, one issue remain with
	image.alloc_gst_buffer() but i guess this is because it's not
	implemented in pgm.

2007-04-30  Philippe Normand  <philippe@fluendo.com>

	* libs/pypgm/pgm.defs:
	* libs/pypgm/pgmimage.override:
	Wrapped PgmImage, tests remain to be done

2007-04-30  Philippe Normand  <philippe@fluendo.com>

	* libs/pypgm/Makefile.am:
	* libs/pypgm/pgm.override:
	* libs/pypgm/pgmcanvas.override:
	* libs/pypgm/pgmdrawable.override:
	* libs/pypgm/pgmevent.override:
	* tests/pypgm/run.py:
	* tests/pypgm/test_canvas.py:
	* tests/pypgm/test_drawable.py:
	* tests/pypgm/test_event.py:
	* tests/pypgm/test_viewport.py:
	* tests/pypgm/test_viewport_factory.py:
	Wrapped & tested Events. Canvas tests are complete (excepted
	upcoming push_events() tests)

	* pgm/pgmcanvas.c:
	* pgm/pgmcanvas.h:
	fixed layer argument spec in pgm_canvas_get_layer_count

	* pgm/pgmevents.h:
	renammed 2BUTTON_PRESS and 3BUTTON_PRESS to DOUBLE_BUTTON_PRESS
	and TRIPLE_BUTTON_PRESS

2007-04-27  Philippe Normand  <philippe@fluendo.com>

	* libs/pypgm/pgm.defs:
	* libs/pypgm/pgm.override:
	* libs/pypgm/pgmcanvas.override:
	* libs/pypgm/pgmtext.override:
	* libs/pypgm/pgmviewportfactory.override:
	* tests/pypgm/pgm_test_case.py:
	* tests/pypgm/run.py:
	* tests/pypgm/test_canvas.py:
	* tests/pypgm/test_drawable.py:
	* tests/pypgm/test_pgm.py:
	* tests/pypgm/test_rectangle.py:
	* tests/pypgm/test_text.py:
	* tests/pypgm/test_viewport.py:
	* tests/pypgm/test_viewport_factory.py:
	More unittests
	Better refcount management. TODO: Image wrap & test, Events wrap &
	test, finish Canvas tests

2007-04-26  Philippe Normand  <philippe@fluendo.com>

	* libs/pypgm/Makefile.am:
	* libs/pypgm/pgm.defs:
	* libs/pypgm/pgm.override:
	* libs/pypgm/pgmcanvas.override:
	* libs/pypgm/pgmdrawable.override:
	* libs/pypgm/pgmimage.override:
	* libs/pypgm/pgmtext.override:
	* libs/pypgm/pgmviewport.override:
	* libs/pypgm/pgmviewportfactory.override:
	Splitted pgm.override by class
	Wrapped all methods of Drawable and finished Viewport

	* tests/pypgm/run.py:
	* tests/pypgm/test_canvas.py:
	* tests/pypgm/test_drawable.py:
	* tests/pypgm/test_text.py:
	* tests/pypgm/test_viewport.py:
	More unittests. 4 failures so far, some segfaults detected!

2007-04-26  Philippe Normand  <philippe@fluendo.com>

	* libs/pypgm/pgm.defs:
	* libs/pypgm/pgm.override:
	* libs/pypgm/pgmmodule.c:
	* pgm/pgmviewport.c:
	Wrapped PgmViewportFactory, handle init/deint automagically like
	in pygst

	* tests/pypgm/pgm_test_case.py:
	* tests/pypgm/run.py:
	* tests/pypgm/test_pgm.py:
	* tests/pypgm/test_viewport.py:
	* tests/pypgm/test_viewport_factory.py:
	Added some new tests

2007-04-25  Philippe Normand  <philippe@fluendo.com>

	* libs/pypgm/pgm.defs:
	* libs/pypgm/pgm.override:
	Started overriding methods and completed .defs

2007-04-25  Philippe Normand  <philippe@fluendo.com>

	* libs/pypgm/Makefile.am:
	* libs/pypgm/pgm.defs:
	* libs/pypgm/pgm.override:
	Fixed missing symbols of the binding. Now imports \o/

2007-04-25  Loïc Molinari  <loic@fluendo.com>

	* pgm/Makefile.am:
	Included pgmenumtypes.* in compilation.

2007-04-25  Philippe Normand  <philippe@fluendo.com>

	* libs/pypgm/pgm.defs:
	* libs/pypgm/pgm.override:
	Fixed compilation errors of the binding

2007-04-24  Philippe Normand  <philippe@fluendo.com>

	* libs/pypgm/Makefile.am:
	* libs/pypgm/pgm.defs:
	* libs/pypgm/pgm.override:
	* libs/pypgm/pgmmodule.c:
	* libs/pypgm/pgmrendermodule.c:
	Started fixing compilation errors

2007-04-24  Philippe Normand  <philippe@fluendo.com>

	* libs/pypgm/pgm.defs:
	* libs/pypgm/pgmrender.defs:
	* libs/pypgm/pgmrender.override:
	* tests/pypgm/test_pgm.py:
	Renamed pgm_render* to pgm*

2007-04-24  Philippe Normand  <philippe@fluendo.com>

	* tests/pypgm/pgm_test_case.py:
	* tests/pypgm/run.py:
	* tests/pypgm/test_pgm.py:
	Preliminary unit-tests for pypgm extension module

2007-04-20  Loïc Molinari  <loic@fluendo.com>

	* configure.ac:
	Added GdkPixbuf as a Pigment dependency.

	* docs/pgm/Makefile.am:
	* docs/pgm/pigment-docs.sgml:
	* docs/pgm/pigment-sections.txt:
	Updated docs.

	* pgm/Makefile.am:
	* pgm/pgm.c:
	* pgm/pgm.h:
	* pgm/pgmcanvas.c:
	* pgm/pgmcanvas.h:
	* pgm/pgmcommon.h:
	* pgm/pgmdrawable.c:
	* pgm/pgmdrawable.h:
	* pgm/pgmellipse.c:
	* pgm/pgmevents.c:
	* pgm/pgmevents.h:
	* pgm/pgmimage.c:
	* pgm/pgmimage.h:
	* pgm/pgmplugin.h:
	* pgm/pgmrectangle.c:
	* pgm/pgmrectangle.h:
	* pgm/pgmsink.c:
	* pgm/pgmtext.c:
	* pgm/pgmversion.h.in:
	* pgm/pgmviewport.c:
	* pgm/pgmviewport.h:
	* pgm/pgmviewportfactory.c:
	* pgm/pgmviewportfactory.h:
	* plugins/Makefile.am:
	* plugins/boilerplate/Makefile.am:
	* plugins/boilerplate/pgmbp.c:
	* plugins/boilerplate/pgmbp.h:
	* plugins/boilerplate/pgmbpviewport.c:
	* plugins/boilerplate/pgmbpviewport.h:
	Made it compile.
	Handled list of paths for PGM_PLUGIN_PATH.

	* tests/check/Makefile.am:
	* tests/check/pgm/pgm.c:
	* tests/check/pgm/pgmdrawable.c:
	* tests/check/pgm/pgmimage.c:
	* tests/check/pgm/pgmrectangle.c:
	* tests/check/pgm/pgmtext.c:
	* tests/check/pgm/pgmviewport.c:
	* tests/check/pgm/pgmviewportfactory.c:
	Updated unit tests.

2007-04-18  Loïc Molinari  <loic@fluendo.com>

	* configure.ac:
	Bumped to 0.1.5.1.

	* docs/pgm/pigment-sections.txt:
	* pgm/pgm.c:
	* pgm/pgmviewport.c:
	* pgm/pgmviewport.h:
	Implemented set/get_canvas methods.

	* pgm/pgmviewportfactory.c:
	* pgm/pgmviewportfactory.h:
	Added plugin loading code.

2007-04-16  Loïc Molinari  <loic@fluendo.com>

	* docs/pgm/running.xml:
	* docs/planning/pigment-0.1.5.html:
	* docs/planning/pigment-0.1.5.planner:
	* docs/planning/pigment-rewrite.html:
	* docs/planning/pigment-rewrite.planner:
	* pgm/pgm.c:
	Updated doc and planning.

2007-04-16  Loïc Molinari  <loic@fluendo.com>

	* docs/pgm/pigment-sections.txt:
	* docs/pgm/pigment.hierarchy:
	* pgm/pgm.c:
	* pgm/pgm.h:
	* pgm/pgmdrawable.c:
	* pgm/pgmdrawable.h:
	* pgm/pgmviewport.c:
	* pgm/pgmviewport.h:
	* pgm/pgmviewportfactory.c:
	* pgm/pgmviewportfactory.h:
	Updated doc.

	* plugins/boilerplate/Makefile.am:
	* plugins/boilerplate/pgmbp.c:
	* plugins/boilerplate/pgmbp.h:
	* plugins/boilerplate/pgmbpviewport.c:
	* plugins/boilerplate/pgmbpviewport.h:
	* plugins/boilerplate/pgmrbp.c:
	* plugins/boilerplate/pgmrbp.h:
	* plugins/boilerplate/pgmrbpimage.c:
	* plugins/boilerplate/pgmrbpimage.h:
	* plugins/boilerplate/pgmrbptext.c:
	* plugins/boilerplate/pgmrbptext.h:
	* plugins/boilerplate/pgmrbpviewport.c:
	* plugins/boilerplate/pgmrbpviewport.h:
	Updated boilerplate plugin.

	* tests/check/Makefile.am:
	* tests/check/pgm/pgm.c:
	* tests/check/pgm/pgmcanvas.c:
	* tests/check/pgm/pgmdrawable.c:
	* tests/check/pgm/pgmimage.c:
	* tests/check/pgm/pgmrectangle.c:
	* tests/check/pgm/pgmtext.c:
	* tests/check/pgm/pgmviewport.c:
	* tests/check/pgm/pgmviewportfactory.c:
	Updated unit tests.

